r34755 | cazfi | 2017-01-01 22:09:02 +0000 (Sun, 01 Jan 2017) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Updated ChangeLog before branching S3_0

------------------------------------------------------------------------
r34754 | cazfi | 2017-01-02 00:02:47 +0200 (Mon, 02 Jan 2017) | 2 lines
Changed paths:
   M /trunk/translations/core/ar.po
   M /trunk/translations/core/bg.po
   M /trunk/translations/core/ca.po
   M /trunk/translations/core/cs.po
   M /trunk/translations/core/da.po
   M /trunk/translations/core/de.po
   M /trunk/translations/core/el.po
   M /trunk/translations/core/en_GB.po
   M /trunk/translations/core/eo.po
   M /trunk/translations/core/es.po
   M /trunk/translations/core/et.po
   M /trunk/translations/core/fa.po
   M /trunk/translations/core/fi.po
   M /trunk/translations/core/fr.po
   M /trunk/translations/core/ga.po
   M /trunk/translations/core/gd.po
   M /trunk/translations/core/he.po
   M /trunk/translations/core/hu.po
   M /trunk/translations/core/id.po
   M /trunk/translations/core/it.po
   M /trunk/translations/core/ja.po
   M /trunk/translations/core/ko.po
   M /trunk/translations/core/lt.po
   M /trunk/translations/core/nb.po
   M /trunk/translations/core/nl.po
   M /trunk/translations/core/pl.po
   M /trunk/translations/core/pt.po
   M /trunk/translations/core/pt_BR.po
   M /trunk/translations/core/ro.po
   M /trunk/translations/core/ru.po
   M /trunk/translations/core/sr.po
   M /trunk/translations/core/sv.po
   M /trunk/translations/core/tr.po
   M /trunk/translations/core/uk.po
   M /trunk/translations/core/zh_CN.po
   M /trunk/translations/core/zh_TW.po
   M /trunk/translations/nations/ar.po
   M /trunk/translations/nations/bg.po
   M /trunk/translations/nations/ca.po
   M /trunk/translations/nations/cs.po
   M /trunk/translations/nations/da.po
   M /trunk/translations/nations/de.po
   M /trunk/translations/nations/el.po
   M /trunk/translations/nations/en_GB.po
   M /trunk/translations/nations/eo.po
   M /trunk/translations/nations/es.po
   M /trunk/translations/nations/et.po
   M /trunk/translations/nations/fa.po
   M /trunk/translations/nations/fi.po
   M /trunk/translations/nations/fr.po
   M /trunk/translations/nations/ga.po
   M /trunk/translations/nations/gd.po
   M /trunk/translations/nations/he.po
   M /trunk/translations/nations/hu.po
   M /trunk/translations/nations/id.po
   M /trunk/translations/nations/it.po
   M /trunk/translations/nations/ja.po
   M /trunk/translations/nations/ko.po
   M /trunk/translations/nations/lt.po
   M /trunk/translations/nations/nb.po
   M /trunk/translations/nations/nl.po
   M /trunk/translations/nations/pl.po
   M /trunk/translations/nations/pt.po
   M /trunk/translations/nations/pt_BR.po
   M /trunk/translations/nations/ro.po
   M /trunk/translations/nations/ru.po
   M /trunk/translations/nations/sr.po
   M /trunk/translations/nations/sv.po
   M /trunk/translations/nations/tr.po
   M /trunk/translations/nations/uk.po
   M /trunk/translations/nations/zh_CN.po
   M /trunk/translations/nations/zh_TW.po
   M /trunk/translations/ruledit/ar.po
   M /trunk/translations/ruledit/bg.po
   M /trunk/translations/ruledit/ca.po
   M /trunk/translations/ruledit/cs.po
   M /trunk/translations/ruledit/da.po
   M /trunk/translations/ruledit/de.po
   M /trunk/translations/ruledit/el.po
   M /trunk/translations/ruledit/en_GB.po
   M /trunk/translations/ruledit/eo.po
   M /trunk/translations/ruledit/es.po
   M /trunk/translations/ruledit/et.po
   M /trunk/translations/ruledit/fa.po
   M /trunk/translations/ruledit/fi.po
   M /trunk/translations/ruledit/fr.po
   M /trunk/translations/ruledit/ga.po
   M /trunk/translations/ruledit/gd.po
   M /trunk/translations/ruledit/he.po
   M /trunk/translations/ruledit/hu.po
   M /trunk/translations/ruledit/id.po
   M /trunk/translations/ruledit/it.po
   M /trunk/translations/ruledit/ja.po
   M /trunk/translations/ruledit/ko.po
   M /trunk/translations/ruledit/lt.po
   M /trunk/translations/ruledit/nb.po
   M /trunk/translations/ruledit/nl.po
   M /trunk/translations/ruledit/pl.po
   M /trunk/translations/ruledit/pt.po
   M /trunk/translations/ruledit/pt_BR.po
   M /trunk/translations/ruledit/ro.po
   M /trunk/translations/ruledit/ru.po
   M /trunk/translations/ruledit/sr.po
   M /trunk/translations/ruledit/sv.po
   M /trunk/translations/ruledit/tr.po
   M /trunk/translations/ruledit/uk.po
   M /trunk/translations/ruledit/zh_CN.po
   M /trunk/translations/ruledit/zh_TW.po

Msgmerged po-files against latest pot-files before branching S3_0

------------------------------------------------------------------------
r34753 | igx31 | 2017-01-01 21:32:32 +0200 (Sun, 01 Jan 2017) | 3 lines
Changed paths:
   M /trunk/translations/core/fr.po
   M /trunk/translations/nations/fr.po
   M /trunk/translations/ruledit/fr.po

Updated French translations


------------------------------------------------------------------------
r34752 | mir3x | 2016-12-31 11:14:38 +0200 (Sat, 31 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/themes.cpp

Qt client - fixed current theme not set as current in options

See bug #25404


------------------------------------------------------------------------
r34750 | mir3x | 2016-12-31 11:08:50 +0200 (Sat, 31 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/optiondlg.cpp

Qt client - fixed font options not updated immediately during refresh, apply

See bug #25403


------------------------------------------------------------------------
r34748 | sveinung | 2016-12-29 18:28:29 +0200 (Thu, 29 Dec 2016) | 8 lines
Changed paths:
   M /trunk/server/unithand.c

Stop checking if "any action" has a target.

Only a specific action can be impossible because no suitable target is
found.

Reported by wotan <wotan>

See bug #25401
------------------------------------------------------------------------
r34746 | mir3x | 2016-12-28 22:14:24 +0200 (Wed, 28 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/optiondlg.cpp

Qt client - fixed crash when applying font options

See bug #25402


------------------------------------------------------------------------
r34743 | sveinung | 2016-12-28 18:29:11 +0200 (Wed, 28 Dec 2016) | 6 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/doc/README.actions

Explicit action target city is known assumption.

Make the assumption that a city targeted action's target city is know
explicit.

See patch #7974
------------------------------------------------------------------------
r34741 | cazfi | 2016-12-28 12:26:45 +0200 (Wed, 28 Dec 2016) | 2 lines
Changed paths:
   M /trunk/translations/core/uk.po
   M /trunk/translations/nations/uk.po

Merged Ukrainian translation from S2_5 branch.

------------------------------------------------------------------------
r34740 | mir3x | 2016-12-27 23:06:06 +0200 (Tue, 27 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/colors_common.h
   M /trunk/client/mapview_common.c
   M /trunk/client/mapview_common.h
   M /trunk/data/misc/colors.tilespec

Draw negative city production on map with red color

See patch #8053


------------------------------------------------------------------------
r34738 | mir3x | 2016-12-27 22:57:25 +0200 (Tue, 27 Dec 2016) | 5 lines
Changed paths:
   M /trunk/m4/debug.m4

Remove qt debug from non-debug builds

See patch #8054


------------------------------------------------------------------------
r34736 | mir3x | 2016-12-22 20:37:29 +0200 (Thu, 22 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/canvas.cpp
   M /trunk/client/gui-qt/canvas.h
   M /trunk/client/gui-qt/chatline.cpp
   M /trunk/client/gui-qt/chatline.h
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/citydlg.h
   M /trunk/client/gui-qt/cityrep.cpp
   M /trunk/client/gui-qt/cityrep.h
   M /trunk/client/gui-qt/colors.cpp
   M /trunk/client/gui-qt/connectdlg.cpp
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/diplodlg.cpp
   M /trunk/client/gui-qt/diplodlg.h
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/finddlg.cpp
   M /trunk/client/gui-qt/fonts.cpp
   M /trunk/client/gui-qt/fonts.h
   M /trunk/client/gui-qt/gotodlg.cpp
   M /trunk/client/gui-qt/graphics.cpp
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-qt/helpdlg.cpp
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/hudwidget.h
   M /trunk/client/gui-qt/inteldlg.cpp
   M /trunk/client/gui-qt/luaconsole.cpp
   M /trunk/client/gui-qt/mapctrl.cpp
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/messagedlg.cpp
   M /trunk/client/gui-qt/messagewin.cpp
   M /trunk/client/gui-qt/optiondlg.cpp
   M /trunk/client/gui-qt/pages.cpp
   M /trunk/client/gui-qt/pages.h
   M /trunk/client/gui-qt/plrdlg.cpp
   M /trunk/client/gui-qt/qtg_cxxside.h
   M /trunk/client/gui-qt/ratesdlg.cpp
   M /trunk/client/gui-qt/repodlgs.cpp
   M /trunk/client/gui-qt/shortcuts.cpp
   M /trunk/client/gui-qt/sidebar.cpp
   M /trunk/client/gui-qt/sidebar.h
   M /trunk/client/gui-qt/spaceshipdlg.cpp
   M /trunk/client/gui-qt/spaceshipdlg.h
   M /trunk/client/gui-qt/sprite.cpp
   M /trunk/client/gui-qt/themes.cpp
   M /trunk/client/gui-qt/voteinfo_bar.cpp
   M /trunk/client/gui-qt/voteinfo_bar.h
   M /trunk/client/gui-qt/wldlg.cpp

Qt client - includes fix

See bug #25399


------------------------------------------------------------------------
r34734 | mlinnaka | 2016-12-22 14:18:15 +0200 (Thu, 22 Dec 2016) | 2 lines
Changed paths:
   M /branches/S2_5/translations/freeciv/fi.po
   M /branches/S2_6/translations/freeciv/fi.po
   M /trunk/translations/core/fi.po

Corrections and improvements in Finnish translation.

------------------------------------------------------------------------
r34731 | cazfi | 2016-12-22 08:09:06 +0200 (Thu, 22 Dec 2016) | 6 lines
Changed paths:
   M /trunk/utility/registry_ini.c

Use same translatable string for both error messages where file cannot be opened for writing.

Suggested by Jacob Nevins <jtn>

See patch #8048

------------------------------------------------------------------------
r34730 | cazfi | 2016-12-21 06:27:11 +0200 (Wed, 21 Dec 2016) | 4 lines
Changed paths:
   M /trunk/utility/fc_dirent.c

Added includes needed for Windows builds to fc_dirent.h

See patch #8051

------------------------------------------------------------------------
r34729 | mir3x | 2016-12-19 20:27:08 +0200 (Mon, 19 Dec 2016) | 5 lines
Changed paths:
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - some minor themes changes

See patch #8050


------------------------------------------------------------------------
r34725 | cazfi | 2016-12-18 09:25:47 +0200 (Sun, 18 Dec 2016) | 4 lines
Changed paths:
   M /trunk/utility/ioz.c

Fixed crash when opening file for write fails while bzip2 or xz compression is in use.

See bug #25391

------------------------------------------------------------------------
r34723 | cazfi | 2016-12-17 09:35:23 +0200 (Sat, 17 Dec 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2

Updated msys2 environment to 161212 level.

See patch #8049

------------------------------------------------------------------------
r34720 | cazfi | 2016-12-16 11:28:43 +0200 (Fri, 16 Dec 2016) | 7 lines
Changed paths:
   M /trunk/utility/registry_ini.c

Give sensible error message when savefile cannot be opened for writing. This helps only
when no compression is being used.

Originally reported by Dumbo <dumbo> in bug #25387

See patch #8048

------------------------------------------------------------------------
r34717 | cazfi | 2016-12-15 11:11:34 +0200 (Thu, 15 Dec 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruleutil/rulesave.c

Corrected keys rulesave uses when saving server settings.

See bug #25384

------------------------------------------------------------------------
r34716 | mir3x | 2016-12-14 11:44:02 +0200 (Wed, 14 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/ratesdlg.cpp
   M /trunk/client/gui-qt/ratesdlg.h
   M /trunk/client/gui-qt/sidebar.cpp
   M /trunk/data/themes/gui-qt/icons/Makefile.am
   A /trunk/data/themes/gui-qt/icons/control.png

Qt client - new tax rates dialog

See patch #8047


------------------------------------------------------------------------
r34714 | mir3x | 2016-12-14 11:37:04 +0200 (Wed, 14 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/citydlg.h
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - used label for current units in city dialog instead groupbox

See patch #8045


------------------------------------------------------------------------
r34712 | mir3x | 2016-12-14 11:34:10 +0200 (Wed, 14 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/mapview.h

Qt client - fixed minimap not always updated

See bug #25383


------------------------------------------------------------------------
r34709 | mir3x | 2016-12-14 11:30:25 +0200 (Wed, 14 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/chatline.cpp
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/diplodlg.cpp
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/gui_main.cpp

Qt client - added application alert

See bug #25380


------------------------------------------------------------------------
r34707 | mir3x | 2016-12-14 11:27:57 +0200 (Wed, 14 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/mapview.cpp

Qt client using 100% cpu

See bug #25382


------------------------------------------------------------------------
r34706 | cazfi | 2016-12-14 07:09:29 +0200 (Wed, 14 Dec 2016) | 5 lines
Changed paths:
   M /trunk/server/ruleset.c

When converting S2_6 resource to extra, use rule_name instead of human visible name to tie
ruleset structures.

See patch #8046

------------------------------------------------------------------------
r34705 | mir3x | 2016-12-12 23:42:34 +0200 (Mon, 12 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/sidebar.cpp
   M /trunk/client/gui-qt/sidebar.h

Qt client - remove unused sidebar_img

See bug #25379


------------------------------------------------------------------------
r34702 | mir3x | 2016-12-12 23:39:34 +0200 (Mon, 12 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/mapview.cpp

Qt client - set idle timer to zero

See patch #8044


------------------------------------------------------------------------
r34700 | mir3x | 2016-12-12 23:36:14 +0200 (Mon, 12 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/canvas.cpp
   M /trunk/client/gui-qt/canvas.h
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/mapview.h

Qt client - update minimap pixmap in another thread

See patch #8043


------------------------------------------------------------------------
r34699 | mir3x | 2016-12-10 14:50:55 +0200 (Sat, 10 Dec 2016) | 5 lines
Changed paths:
   M /trunk/utility/specvec.h

Removed useless comparision

See bug #25354


------------------------------------------------------------------------
r34697 | mir3x | 2016-12-10 14:31:02 +0200 (Sat, 10 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/menu.cpp

Qt client - save map image to picture folder or storage folder

See patch #8042


------------------------------------------------------------------------
r34695 | mir3x | 2016-12-10 14:28:35 +0200 (Sat, 10 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - fixed new turn information border (border no opacity)

See bug #25366


------------------------------------------------------------------------
r34692 | cazfi | 2016-12-07 08:24:17 +0200 (Wed, 07 Dec 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruleutil/rulesave.c

Rulesave saves trade.type and trade.bonus correctly.

See bug #25362

------------------------------------------------------------------------
r34691 | mir3x | 2016-12-04 21:55:30 +0200 (Sun, 04 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-qt/plrdlg.cpp

Qt client - fixed icc warnings

See bug #25353


------------------------------------------------------------------------
r34689 | mir3x | 2016-12-03 01:44:29 +0200 (Sat, 03 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/chatline.h
   M /trunk/client/gui-qt/menu.h
   M /trunk/client/gui-qt/sprite.cpp

Qt client - fixed clang 3.9 errors

See bug #25352


------------------------------------------------------------------------
r34687 | mir3x | 2016-12-03 01:27:08 +0200 (Sat, 03 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Qt client - set spacing to 0 in worklist layout

See bug #25351


------------------------------------------------------------------------
r34685 | mir3x | 2016-12-03 01:24:37 +0200 (Sat, 03 Dec 2016) | 5 lines
Changed paths:
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client -  replaced ex(x-height) with em(font-size)in theme

See bug #25350


------------------------------------------------------------------------
r34683 | mir3x | 2016-12-03 01:21:56 +0200 (Sat, 03 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/pages.cpp

Qt client - added client options to pregame page

See patch #8041


------------------------------------------------------------------------
r34681 | cazfi | 2016-12-02 15:17:00 +0200 (Fri, 02 Dec 2016) | 8 lines
Changed paths:
   M /trunk/server/unithand.c

When occypychance is above zero, and related move follows attack,
movement cost of the combined action is bigger of the costs of attack and movement,
no longer sum of them.

Requested by David Fernandez <bardo>

See bug #20945

------------------------------------------------------------------------
r34679 | cazfi | 2016-12-02 14:52:49 +0200 (Fri, 02 Dec 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp

Use "defense" instead of "defence"

See patch #8012

------------------------------------------------------------------------
r34677 | cazfi | 2016-12-02 14:48:28 +0200 (Fri, 02 Dec 2016) | 4 lines
Changed paths:
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/gtk.css

Use linear-gradient instead of gtk css extension in gtk3.22-client theme

See patch #8018

------------------------------------------------------------------------
r34676 | mir3x | 2016-12-02 10:37:58 +0200 (Fri, 02 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/messagedlg.cpp
   M /trunk/client/gui-qt/repodlgs.cpp

Qt client - added marings size when calculating width of QTablewidget

See patch #8040


------------------------------------------------------------------------
r34674 | mir3x | 2016-12-02 10:34:27 +0200 (Fri, 02 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/gui_main.cpp

Qt client - added beep (qtg_sound_bell())

See patch #8039


------------------------------------------------------------------------
r34672 | mir3x | 2016-12-02 10:32:27 +0200 (Fri, 02 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/messagewin.cpp

Qt client - widgets position and size is stored using floats instead ints

See patch #8038


------------------------------------------------------------------------
r34670 | mir3x | 2016-12-02 10:22:13 +0200 (Fri, 02 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h

Qt client - added menu entry to load any tileset for current game

See patch #8037


------------------------------------------------------------------------
r34668 | mir3x | 2016-12-02 10:18:26 +0200 (Fri, 02 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/mapctrl.cpp
   M /trunk/client/gui-qt/shortcuts.cpp
   M /trunk/client/gui-qt/shortcuts.h

Qt client - added shortcuts to reload theme and tileset

See patch #8036


------------------------------------------------------------------------
r34666 | mir3x | 2016-12-02 10:13:40 +0200 (Fri, 02 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/sprite.cpp

Qt client - ported gfx_fileextensions

See patch #8035


------------------------------------------------------------------------
r34663 | mir3x | 2016-12-01 20:52:18 +0200 (Thu, 01 Dec 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp

Qt-client - hud_units::update_actions() compile failure
Reported by Marko Lindqvist <cazfi>

See bug #25349

------------------------------------------------------------------------
r34662 | mir3x | 2016-11-30 09:53:08 +0200 (Wed, 30 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Qt client - dont use QWheelEvent->phase()

See bug #25344

------------------------------------------------------------------------
r34660 | mir3x | 2016-11-30 09:51:15 +0200 (Wed, 30 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/sidebar.cpp

Qt client - show move points in unit label more prominent

See patch #8033

------------------------------------------------------------------------
r34658 | mir3x | 2016-11-29 14:07:09 +0200 (Tue, 29 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/hudwidget.h
   M /trunk/client/gui-qt/mapctrl.cpp
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h
   M /trunk/client/gui-qt/pages.cpp
   M /trunk/client/gui-qt/shortcuts.cpp
   M /trunk/client/gui-qt/shortcuts.h
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss
   M /trunk/data/themes/gui-qt/System/resource.qss

Qt client - added popup_combat_info

See patch #8030

------------------------------------------------------------------------
r34655 | mir3x | 2016-11-29 13:59:48 +0200 (Tue, 29 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/packhand.c

Notify client with popup_combat_info before battle happens

See patch #8029

------------------------------------------------------------------------
r34653 | mir3x | 2016-11-29 13:56:29 +0200 (Tue, 29 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/sidebar.cpp
   M /trunk/client/gui-qt/sidebar.h

Qt client - use notify font for sidebar

See patch #8032

------------------------------------------------------------------------
r34652 | mir3x | 2016-11-29 13:54:50 +0200 (Tue, 29 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h

Qt client - added menu entry to save whole map to image

See patch #8031

------------------------------------------------------------------------
r34649 | mir3x | 2016-11-29 13:42:41 +0200 (Tue, 29 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Qt client - fixed city dialog worklist autoresize

See bug #25342

------------------------------------------------------------------------
r34646 | cazfi | 2016-11-28 11:34:42 +0200 (Mon, 28 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/citydlg.h

Made city_map::sizeHint() and city_map::minimumSizeHint() const as the virtual
functions they should represent.

See bug #25327

------------------------------------------------------------------------
r34644 | jtn | 2016-11-28 02:27:06 +0200 (Mon, 28 Nov 2016) | 3 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Stop requiring QWheelEvent::source() (new in Qt 5.5) to compile.

See bug #25341.
------------------------------------------------------------------------
r34643 | cazfi | 2016-11-27 18:58:52 +0200 (Sun, 27 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/themes.c
   M /trunk/client/gui-gtk-3.0/themes.c
   M /trunk/client/gui-gtk-3.22/themes.c
   M /trunk/client/gui-sdl2/themes.c
   M /trunk/utility/Makefile.am
   A /trunk/utility/fc_dirent.c
   A /trunk/utility/fc_dirent.h
   M /trunk/utility/shared.c
   M /trunk/utility/support.c
   M /trunk/utility/support.h

Moved fc_opendir() to a new fc_dirent module.

See patch #8017

------------------------------------------------------------------------
r34642 | mir3x | 2016-11-27 15:23:58 +0200 (Sun, 27 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h
   M /trunk/client/gui-qt/shortcuts.cpp
   M /trunk/client/gui-qt/shortcuts.h

Qt client - added shortcut checker for duplicates

See patch #8028

------------------------------------------------------------------------
r34640 | mir3x | 2016-11-27 15:11:32 +0200 (Sun, 27 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/hudwidget.h

Qt client - fixed highlight status in unit action

See bug #25340

------------------------------------------------------------------------
r34638 | mir3x | 2016-11-27 15:04:16 +0200 (Sun, 27 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/menu.cpp

Qt client - replace send_chat with append to chat

See bug #25339

------------------------------------------------------------------------
r34636 | cazfi | 2016-11-27 11:31:49 +0200 (Sun, 27 Nov 2016) | 5 lines
Changed paths:
   M /trunk/doc/man/Makefile.am
   M /trunk/doc/man/freeciv-client.6.in
   A /trunk/doc/man/freeciv-gtk3.22.6

Replaced client man page references of gtk3x-client with gtk3.22-client.
Add man link for gtk3.22-client.

See patch #8013

------------------------------------------------------------------------
r34634 | cazfi | 2016-11-27 11:11:37 +0200 (Sun, 27 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.h

Removed unused fc_icons::pix_cache

See bug #25326

------------------------------------------------------------------------
r34632 | cazfi | 2016-11-26 14:54:41 +0200 (Sat, 26 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-stub/dialogs.c
   M /trunk/client/gui_cbsetter.c

Corrected the way gui-stub popup_combat_info() gets called through interface.

See bug #25328

------------------------------------------------------------------------
r34630 | cazfi | 2016-11-26 14:38:57 +0200 (Sat, 26 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp

Fixed the way Qt-client popup_terrain_info() checks for empty string.

See bug #25325

------------------------------------------------------------------------
r34628 | mir3x | 2016-11-24 09:09:59 +0200 (Thu, 24 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp

Qt client - Current terrain could be scaled wrongly
Reported by Marko Lindqvist <cazfi>

See bug #25333

------------------------------------------------------------------------
r34627 | mir3x | 2016-11-24 08:52:43 +0200 (Thu, 24 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Qt client - governor sliders could be incorrect if there was custom governor

See bug #25335

------------------------------------------------------------------------
r34625 | mir3x | 2016-11-24 08:48:12 +0200 (Thu, 24 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/menu.cpp

Qt client - use goto instead send_attack_tile for rally points

See patch #8027

------------------------------------------------------------------------
r34622 | mir3x | 2016-11-23 10:26:23 +0200 (Wed, 23 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/optiondlg.h
   M /trunk/server/rssanity.c

Fixed typos "repsonse" "fullfilled"
Reported by Marko Lindqvist <cazfi>

See bug #25319

------------------------------------------------------------------------
r34618 | mir3x | 2016-11-22 21:54:26 +0200 (Tue, 22 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Qt client - set city dialog setSizeAdjustPolicy for production table and scroll

See patch #8019


------------------------------------------------------------------------
r34616 | mir3x | 2016-11-22 21:51:33 +0200 (Tue, 22 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp

Qt client - draw dark background for new turn info text

See patch #8016


------------------------------------------------------------------------
r34614 | mir3x | 2016-11-22 21:43:01 +0200 (Tue, 22 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/mapctrl.cpp

Qt client - allow scrolling map using shift+cursors

See patch #8015


------------------------------------------------------------------------
r34611 | mir3x | 2016-11-22 21:40:26 +0200 (Tue, 22 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/citydlg.h

Qt client - city dialog - allow scrolling using wheel without using scrollbar

See patch #8014


------------------------------------------------------------------------
r34608 | cazfi | 2016-11-22 07:55:21 +0200 (Tue, 22 Nov 2016) | 4 lines
Changed paths:
   M /trunk/server/cityturn.c

Added translator comment about government overthrown message.

See patch #8010

------------------------------------------------------------------------
r34606 | cazfi | 2016-11-22 07:44:17 +0200 (Tue, 22 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/canvas.cpp

Fixed clang alignment warning from Qt-client zealous_crop_rect()

See bug #25315

------------------------------------------------------------------------
r34605 | cazfi | 2016-11-21 15:19:24 +0200 (Mon, 21 Nov 2016) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/gen_headers/freeciv_config.h.in

Added configure check for opendir()

See patch #8009

------------------------------------------------------------------------
r34604 | cazfi | 2016-11-21 15:08:55 +0200 (Mon, 21 Nov 2016) | 5 lines
Changed paths:
   M /trunk/common/achievements.c

Replace 'seen' vararray with buffer allocated with fc_calloc() in handling of
"Land Ahoy" achievement.

See patch #8007

------------------------------------------------------------------------
r34602 | cazfi | 2016-11-21 13:15:30 +0200 (Mon, 21 Nov 2016) | 4 lines
Changed paths:
   M /trunk/utility/shared.c

Respect DIR_SEPARATOR when constructing file path in fileinfolist_infix()

See patch #8008

------------------------------------------------------------------------
r34601 | cazfi | 2016-11-21 08:19:40 +0200 (Mon, 21 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/editprop.c
   M /trunk/client/gui-gtk-3.0/editprop.c
   M /trunk/client/gui-gtk-3.22/editprop.c
   M /trunk/common/road.c
   M /trunk/common/road.h
   M /trunk/server/advisors/autosettlers.c
   M /trunk/server/legacysave.c
   M /trunk/server/rssanity.c
   M /trunk/server/ruleset.c
   M /trunk/server/savegame2.c

Removed road_index()

See patch #8006

------------------------------------------------------------------------
r34598 | cazfi | 2016-11-21 06:52:29 +0200 (Mon, 21 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/agents/agents.c

Fixed agents.c compile with clang-3.9.

See bug #25314

------------------------------------------------------------------------
r34596 | mir3x | 2016-11-21 00:29:27 +0200 (Mon, 21 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/dialogs.c
   M /trunk/client/gui-gtk-3.0/dialogs.c
   M /trunk/client/gui-gtk-3.22/dialogs.c
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/qtg_cxxside.cpp
   M /trunk/client/gui-qt/qtg_cxxside.h
   M /trunk/client/gui-sdl2/dialogs.c
   M /trunk/client/gui-stub/dialogs.c
   M /trunk/client/gui_interface.c
   M /trunk/client/gui_interface.h
   M /trunk/client/include/dialogs_g.h
   M /trunk/client/packhand.c

Added new function popup_combat_info

See patch #7997


------------------------------------------------------------------------
r34594 | mir3x | 2016-11-21 00:22:08 +0200 (Mon, 21 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp

Qt client - moved unit label to bottom by default

See patch #8005


------------------------------------------------------------------------
r34592 | mir3x | 2016-11-21 00:20:30 +0200 (Mon, 21 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/hudwidget.h
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h

Qt client - show new turn information on map

See patch #8004


------------------------------------------------------------------------
r34590 | mir3x | 2016-11-21 00:15:35 +0200 (Mon, 21 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/pages.cpp
   M /trunk/client/gui-qt/sidebar.cpp
   M /trunk/client/gui-qt/sidebar.h

Qt client - allow chaning tech via sidebar menu

See patch #8002


------------------------------------------------------------------------
r34588 | mir3x | 2016-11-21 00:13:55 +0200 (Mon, 21 Nov 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/menu.cpp

Don't use move_type in Qt client
Submitted by Emmet Hikory <persia>

See patch #4868


------------------------------------------------------------------------
r34585 | sveinung | 2016-11-20 14:41:14 +0200 (Sun, 20 Nov 2016) | 8 lines
Changed paths:
   M /trunk/client/gui-gtk-3.22/action_dialog.c

Gtk 3.22 doesn't support mnemonics.

Remove the in band mnemonic marker ('_') from the "Keep Moving" action
selection dialog button so it doesn't show up as text.

Reported by wotan <wotan>

See bug #25289
------------------------------------------------------------------------
r34584 | cazfi | 2016-11-20 13:22:06 +0200 (Sun, 20 Nov 2016) | 4 lines
Changed paths:
   M /trunk/common/achievements.c

Silence warning about different signedness in lucky achievement comparison

See patch #7991

------------------------------------------------------------------------
r34582 | cazfi | 2016-11-20 12:26:26 +0200 (Sun, 20 Nov 2016) | 6 lines
Changed paths:
   M /trunk/ai/default/aidata.c
   M /trunk/ai/default/aidata.h
   M /trunk/ai/default/aihand.c

Made AI to adjust policy values.

Requested by Jacob Nevins <jtn>

See patch #6080

------------------------------------------------------------------------
r34581 | cazfi | 2016-11-20 00:38:28 +0200 (Sun, 20 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/editprop.c
   M /trunk/client/gui-gtk-3.0/editprop.c
   M /trunk/client/gui-gtk-3.22/editprop.c
   M /trunk/common/base.c
   M /trunk/common/base.h
   M /trunk/server/ruleset.c

Removed base_index()

See patch #7992

------------------------------------------------------------------------
r34579 | cazfi | 2016-11-19 22:43:56 +0200 (Sat, 19 Nov 2016) | 4 lines
Changed paths:
   M /trunk/server/techtools.c

Give Future Tech as cheapest free tech when player already is researching those.

bug #25312

------------------------------------------------------------------------
r34577 | cazfi | 2016-11-19 19:58:20 +0200 (Sat, 19 Nov 2016) | 4 lines
Changed paths:
   M /trunk/doc/man/freeciv-client.6.in

Removed mention of --gtk-warnings commandline parameter for gtk3.22-client from man pages.

See patch #8003

------------------------------------------------------------------------
r34574 | cazfi | 2016-11-19 18:42:28 +0200 (Sat, 19 Nov 2016) | 2 lines
Changed paths:
   M /trunk/translations/core/fi.po

Updated Finnish translation.

------------------------------------------------------------------------
r34566 | jtn | 2016-11-19 13:13:27 +0200 (Sat, 19 Nov 2016) | 5 lines
Changed paths:
   M /trunk/translations/core/de.po

Updated German translation from "Quintus" (Marvin Gülker)
msgmerged from S2_5 r34562. Stats on trunk:
core: 77%: 5651 translated, 1089 fuzzy, 631 untranslated.

(This is Marvin's final update as primary German translator.)
------------------------------------------------------------------------
r34561 | cazfi | 2016-11-19 04:32:47 +0200 (Sat, 19 Nov 2016) | 4 lines
Changed paths:
   M /trunk/windows/installer_cross/winbuild.sh

Winbuild.sh now errors out all the way when build fails.

See bug #25308

------------------------------------------------------------------------
r34558 | mir3x | 2016-11-18 10:32:52 +0200 (Fri, 18 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/gotodlg.cpp

Qt client - remove goto dialog stylesheet from code

See patch #8001


------------------------------------------------------------------------
r34556 | mir3x | 2016-11-18 10:15:53 +0200 (Fri, 18 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/pages.cpp

Qt client - add tooltip to sidebar cities icon

See patch #8000


------------------------------------------------------------------------
r34554 | mir3x | 2016-11-18 10:13:42 +0200 (Fri, 18 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/pages.cpp

Qt client - use mouse wheel up over sidebar icons to cycle via cities

See patch #7999


------------------------------------------------------------------------
r34552 | mir3x | 2016-11-18 10:10:00 +0200 (Fri, 18 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/pages.cpp

Qt client - use wheel up over sidebar unit icon to center enemy units

See patch #7998


------------------------------------------------------------------------
r34549 | cazfi | 2016-11-18 08:21:43 +0200 (Fri, 18 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/helpdata.c

Generate help about extra's unit hiding property.

See patch #7996

------------------------------------------------------------------------
r34548 | cazfi | 2016-11-17 16:11:23 +0200 (Thu, 17 Nov 2016) | 4 lines
Changed paths:
   M /trunk/ai/default/aisettler.c
   M /trunk/client/colors_common.c
   M /trunk/client/gui-gtk-2.0/gtkpixcomm.c
   M /trunk/client/helpdata.c

Added spaces around '!=' where ever they were still missing.

See patch #7995

------------------------------------------------------------------------
r34546 | cazfi | 2016-11-17 11:33:15 +0200 (Thu, 17 Nov 2016) | 6 lines
Changed paths:
   M /trunk/common/terrain.c

Fixed pillaging of extras that have no cause.

Reported by wotan <wotan>

See bug #25284

------------------------------------------------------------------------
r34545 | mir3x | 2016-11-17 11:26:51 +0200 (Thu, 17 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/dialogs.cpp

Qt client - ported popup_musicset_suggestion_dialog()

See patch #7994


------------------------------------------------------------------------
r34543 | mir3x | 2016-11-17 11:23:15 +0200 (Thu, 17 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/dialogs.cpp

Qt client - ported popup_soundset_suggestion_dialog()

See patch #7993


------------------------------------------------------------------------
r34540 | mir3x | 2016-11-17 11:21:39 +0200 (Thu, 17 Nov 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/dialogs.h

Qt client - act sel dlg: switch target unit
Submitted by Sveinung Kvilhaugsvik <sveinung>

See patch #7528


------------------------------------------------------------------------
r34539 | mir3x | 2016-11-17 11:16:31 +0200 (Thu, 17 Nov 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/dialogs.cpp

Qt client - Implement popup_tileset_suggestion_dialog()
Submitted by Marko Lindqvist <cazfi>

See patch #7091


------------------------------------------------------------------------
r34537 | mir3x | 2016-11-17 11:13:56 +0200 (Thu, 17 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/mapview.h
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h

Qt client - remembered minimap postion and width

See patch #7989


------------------------------------------------------------------------
r34535 | mir3x | 2016-11-17 11:04:50 +0200 (Thu, 17 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/shortcuts.cpp
   M /trunk/client/gui-qt/shortcuts.h
   M /trunk/data/themes/gui-qt/icons/Makefile.am
   A /trunk/data/themes/gui-qt/icons/automate.png
   A /trunk/data/themes/gui-qt/icons/paradrop.png
   A /trunk/data/themes/gui-qt/icons/pollution.png
   A /trunk/data/themes/gui-qt/icons/set_homecity.png
   A /trunk/data/themes/gui-qt/icons/upgrade.png

Qt client - added 5 actions to unit label

See patch #7988


------------------------------------------------------------------------
r34532 | cazfi | 2016-11-17 09:55:34 +0200 (Thu, 17 Nov 2016) | 4 lines
Changed paths:
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Arrows/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Buttons/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Check-Radio/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Combo/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Frame-Gap/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Handles/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Lines/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/ListHeaders/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Menu-Menubar/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Others/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Panel/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/ProgressBar/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Range/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Scrollbars/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Shadows/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Spin/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Tabs/Makefile.am
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/Toolbar/Makefile.am

Install gtk3.22-client theme to correct directory.

See bug #25306

------------------------------------------------------------------------
r34530 | cazfi | 2016-11-17 07:14:51 +0200 (Thu, 17 Nov 2016) | 6 lines
Changed paths:
   M /trunk/data/civ2/terrain.ruleset

Civ2 ruleset Airbase hides units inside.

Reported by begre1929

See patch #7983

------------------------------------------------------------------------
r34528 | cazfi | 2016-11-17 06:48:43 +0200 (Thu, 17 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/shortcuts.cpp
   M /trunk/client/gui-qt/shortcuts.h

Renamed SC_LOCK as SC_IFACE_LOCK to avoid namespace conflict.

See bug #25302

------------------------------------------------------------------------
r34525 | cazfi | 2016-11-16 18:49:57 +0200 (Wed, 16 Nov 2016) | 4 lines
Changed paths:
   M /trunk/common/improvement.c

Do not return NULL as boolean from wonder_is_lost() nor wonder_is_built()

See bug #25301

------------------------------------------------------------------------
r34524 | cazfi | 2016-11-16 12:28:51 +0200 (Wed, 16 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/themes.c
   M /trunk/client/gui-gtk-3.0/themes.c
   M /trunk/client/gui-gtk-3.22/themes.c
   M /trunk/client/gui-sdl2/themes.c
   M /trunk/configure.ac
   M /trunk/gen_headers/freeciv_config.h.in
   M /trunk/utility/shared.c
   M /trunk/utility/support.h

Added dirent.h configure check.

See patch #7990

------------------------------------------------------------------------
r34523 | mir3x | 2016-11-16 11:08:13 +0200 (Wed, 16 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Qt client - sort items vertically in city production chooser.

See patch #7982


------------------------------------------------------------------------
r34518 | cazfi | 2016-11-15 22:37:09 +0200 (Tue, 15 Nov 2016) | 4 lines
Changed paths:
   M /trunk/configure.ac

Made FREECIV_LABEL_FORCE precious

See patch #7987

------------------------------------------------------------------------
r34517 | cazfi | 2016-11-15 22:08:40 +0200 (Tue, 15 Nov 2016) | 4 lines
Changed paths:
   M /trunk/data/sandbox/README.sandbox
   M /trunk/data/sandbox/terrain.ruleset

Sandbox ruleset fortress and airbase hides units inside

See patch #7984

------------------------------------------------------------------------
r34516 | cazfi | 2016-11-15 21:42:40 +0200 (Tue, 15 Nov 2016) | 4 lines
Changed paths:
   M /trunk/ai/default/aitech.c
   M /trunk/client/control.c
   M /trunk/client/goto.c
   M /trunk/client/gui-gtk-2.0/gui_main.c
   M /trunk/client/gui-gtk-2.0/helpdlg.c
   M /trunk/client/gui-gtk-2.0/pages.c
   M /trunk/client/gui-gtk-3.0/gui_main.c
   M /trunk/client/gui-gtk-3.0/pages.c
   M /trunk/client/gui-gtk-3.22/gui_main.c
   M /trunk/client/gui-gtk-3.22/pages.c
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-qt/menu.h
   M /trunk/client/gui-sdl2/graphics.c
   M /trunk/client/gui-sdl2/mapview.c
   M /trunk/client/gui-stub/gui_main.c
   M /trunk/client/helpdata.c
   M /trunk/client/packhand.c
   M /trunk/common/effects.c
   M /trunk/common/movement.c
   M /trunk/common/networking/connection.c
   M /trunk/common/networking/packets.def
   M /trunk/common/version.h
   M /trunk/server/citytools.c
   M /trunk/server/fcdb.c
   M /trunk/server/gamehand.c
   M /trunk/server/score.c
   M /trunk/server/srv_main.c
   M /trunk/server/stdinhand.c
   M /trunk/utility/inputfile.c
   M /trunk/utility/shared.c
   M /trunk/utility/timing.c

Added spaces around '==' where ever they were still missing.

See patch #7986

------------------------------------------------------------------------
r34512 | jtn | 2016-11-15 12:21:02 +0200 (Tue, 15 Nov 2016) | 3 lines
Changed paths:
   M /trunk/server/unittools.c

Small optimisation to autoattack transport depth check.

See gna patch #7985.
------------------------------------------------------------------------
r34511 | sveinung | 2016-11-15 08:44:31 +0200 (Tue, 15 Nov 2016) | 7 lines
Changed paths:
   M /trunk/server/unithand.c

Force all action target kinds to be handled.

Use a switch statement in handle_unit_get_actions() when getting the
probabilities of all actions. This forces all action target kinds to be
handled.

See patch #7976
------------------------------------------------------------------------
r34509 | cazfi | 2016-11-14 12:16:27 +0200 (Mon, 14 Nov 2016) | 4 lines
Changed paths:
   M /trunk/windows/installer_msys2/Makefile

Replace gtk3x by gtk3.22 in msys2 make target names.

See patch #7980

------------------------------------------------------------------------
r34508 | sveinung | 2016-11-14 08:56:58 +0200 (Mon, 14 Nov 2016) | 3 lines
Changed paths:
   M /trunk/server/unithand.c

Shorten unit_perform_action() via macros.

See patch #7977
------------------------------------------------------------------------
r34507 | sveinung | 2016-11-14 08:55:59 +0200 (Mon, 14 Nov 2016) | 7 lines
Changed paths:
   M /trunk/server/unithand.c

handle_unit_get_actions(): actor target distance.

Replace the cached calculation if the actor and the target are at the same
tile with caching the distance between actor and target. The distance is
more reusable.

See patch #7975
------------------------------------------------------------------------
r34504 | mir3x | 2016-11-13 23:37:27 +0200 (Sun, 13 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/mapview.cpp

Qt client - tax sprites not always updated

See bug #25287


------------------------------------------------------------------------
r34502 | mir3x | 2016-11-13 23:35:53 +0200 (Sun, 13 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Qt client - city dialog - use fixed height for widget holding city view

See patch #7981


------------------------------------------------------------------------
r34500 | mir3x | 2016-11-13 23:33:44 +0200 (Sun, 13 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h
   M /trunk/client/gui-qt/messagewin.cpp
   M /trunk/client/gui-qt/shortcuts.cpp
   M /trunk/client/gui-qt/shortcuts.h

Qt client - added menu option to lock interface

See patch #7979


------------------------------------------------------------------------
r34498 | sveinung | 2016-11-13 20:30:22 +0200 (Sun, 13 Nov 2016) | 3 lines
Changed paths:
   M /trunk/server/unithand.c
   M /trunk/server/unithand.h

Action not enabled explain missing target.

See patch #7978
------------------------------------------------------------------------
r34497 | sveinung | 2016-11-13 20:29:46 +0200 (Sun, 13 Nov 2016) | 14 lines
Changed paths:
   M /trunk/common/actions.c

An unknown target can't make an action possible.

An action can be known to be impossible because of the actor unit. When this
is true it doesn't matter what the target is.

Example: It doesn't matter if the unseen distant tile the unit wants to
bombard has units or not when it is out of moves and the rules requires a
bombarding unit to have a move fragment left.

Have the action probability calculation for unit stack targeted actions
return impossible rather than unknown when the actor unit is known to make
the action impossible.

See bug #25281
------------------------------------------------------------------------
r34496 | sveinung | 2016-11-13 17:43:01 +0200 (Sun, 13 Nov 2016) | 3 lines
Changed paths:
   M /trunk/common/scriptcore/api_game_find.c
   M /trunk/common/scriptcore/api_game_find.h
   M /trunk/common/scriptcore/tolua_game.pkg

Lua API: introduce find.action() methods.

See patch #7973
------------------------------------------------------------------------
r34495 | sveinung | 2016-11-13 17:42:42 +0200 (Sun, 13 Nov 2016) | 7 lines
Changed paths:
   M /trunk/server/scripting/api_server_edit.c

Lua server scripts: don't rely on "Conquer City".

Determine if a particular Lua triggered unit move is a city conquest based
on the old rules rather than on if the actor unit ever can do the "Conquer
City" action.

See bug #25280
------------------------------------------------------------------------
r34494 | cazfi | 2016-11-13 12:42:35 +0200 (Sun, 13 Nov 2016) | 6 lines
Changed paths:
   M /trunk/client/packhand.c
   M /trunk/common/extras.c
   M /trunk/common/extras.h
   M /trunk/common/fc_types.h
   M /trunk/common/networking/packets.def
   M /trunk/common/player.c
   M /trunk/data/alien/terrain.ruleset
   M /trunk/data/civ1/terrain.ruleset
   M /trunk/data/civ2/terrain.ruleset
   M /trunk/data/civ2civ3/terrain.ruleset
   M /trunk/data/classic/terrain.ruleset
   M /trunk/data/experimental/terrain.ruleset
   M /trunk/data/multiplayer/terrain.ruleset
   M /trunk/data/ruledit/comments.txt
   M /trunk/data/sandbox/terrain.ruleset
   M /trunk/data/stub/terrain.ruleset
   M /trunk/data/webperimental/terrain.ruleset
   M /trunk/fc_version
   M /trunk/server/maphand.c
   M /trunk/server/ruleset.c
   M /trunk/tools/ruleutil/rulesave.c

Added support for extras that can hide units inside from opponents.

Requested by Jacob Nevins <jtn>

See patch #4101

------------------------------------------------------------------------
r34491 | cazfi | 2016-11-12 18:32:40 +0200 (Sat, 12 Nov 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2

Updatet msys2 environment to 161110 level.

See patch #7967

------------------------------------------------------------------------
r34490 | cazfi | 2016-11-12 08:21:58 +0200 (Sat, 12 Nov 2016) | 4 lines
Changed paths:
   M /trunk/data/alio.tilespec
   M /trunk/data/hexemplio/select.png
   M /trunk/data/hexemplio/select.spec
   M /trunk/data/hexemplio.tilespec
   M /trunk/data/toonhex.tilespec

Cropped out transparent areas on top and bottom of hexemplio select sprites.

See patch #7952

------------------------------------------------------------------------
r34489 | cazfi | 2016-11-12 08:19:13 +0200 (Sat, 12 Nov 2016) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/doc/README.packaging
   M /trunk/m4/gtk3.22-client.m4

Made gtk3.22-client the default

See patch #7970

------------------------------------------------------------------------
r34487 | mir3x | 2016-11-11 11:44:46 +0200 (Fri, 11 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/dialogs.cpp

Qt client - changes to notify goto

See patch #7972


------------------------------------------------------------------------
r34485 | mir3x | 2016-11-11 11:42:14 +0200 (Fri, 11 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h

Qt client - removed unused fc_message_box

See patch #7971


------------------------------------------------------------------------
r34483 | mir3x | 2016-11-11 11:28:57 +0200 (Fri, 11 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp

Qt client - add terrain tooltip to unit label

See patch #7968


------------------------------------------------------------------------
r34481 | mir3x | 2016-11-11 11:26:50 +0200 (Fri, 11 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/mapctrl.cpp
   M /trunk/client/gui-qt/shortcuts.cpp
   M /trunk/client/gui-qt/shortcuts.h

Qt client - added shortcut to quick buy current city production

See patch #7969


------------------------------------------------------------------------
r34477 | cazfi | 2016-11-11 07:56:38 +0200 (Fri, 11 Nov 2016) | 4 lines
Changed paths:
   M /trunk/data/hexemplio/unitextras.spec

Updated authors list in hexemplio unitextras.spec.

See patch #7931

------------------------------------------------------------------------
r34475 | sveinung | 2016-11-10 11:41:01 +0200 (Thu, 10 Nov 2016) | 8 lines
Changed paths:
   M /trunk/server/actiontools.c
   M /trunk/server/actiontools.h

An act_prob struct isn't a pointer.

The function action_auto_perf_unit_prob() returns an act_prob struct, not a
pointer to an act_prob struct. Remove the const from its return type.

Reported-by: Marko Lindqvist <cazfi>

See bug #25268
------------------------------------------------------------------------
r34474 | sveinung | 2016-11-10 11:40:27 +0200 (Thu, 10 Nov 2016) | 3 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/doc/README.actions
   M /trunk/fc_version

Conquer City: make !animal hard req obligatory.

See patch #7966
------------------------------------------------------------------------
r34472 | mir3x | 2016-11-10 10:03:26 +0200 (Thu, 10 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h
   M /trunk/client/gui-qt/shortcuts.cpp

Qt client - added autocaravan

See patch #7965

------------------------------------------------------------------------
r34470 | cazfi | 2016-11-10 07:39:39 +0200 (Thu, 10 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/audio.c

When mixer is not available, recommend SDL2_mixer instead of SDL1.2 mixer

See patch #7948

------------------------------------------------------------------------
r34468 | cazfi | 2016-11-10 07:04:17 +0200 (Thu, 10 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/mapview.c
   M /trunk/client/gui-gtk-3.22/mapview.c

Made left panel unit icon area big enough

See bug #25275

------------------------------------------------------------------------
r34466 | cazfi | 2016-11-10 06:50:27 +0200 (Thu, 10 Nov 2016) | 4 lines
Changed paths:
   M /trunk/data/hexemplio/bases.spec

Removed outcommented tags from hexemplio bases.spec

See patch #7918

------------------------------------------------------------------------
r34464 | sveinung | 2016-11-10 02:23:32 +0200 (Thu, 10 Nov 2016) | 7 lines
Changed paths:
   M /trunk/client/packhand.c
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/server/ruleset.c

Prepare for ruleset derived action data.

Introduce the new function actions_rs_pre_san_gen(). It generates data that
is based on the loaded ruleset but needed before ruleset sanity checking and
ruleset compatibility upgrade.

See patch #7963
------------------------------------------------------------------------
r34463 | sveinung | 2016-11-10 02:22:46 +0200 (Thu, 10 Nov 2016) | 3 lines
Changed paths:
   M /trunk/common/requirements.c

A nation contradicts its group's absence.

See patch #7962
------------------------------------------------------------------------
r34462 | sveinung | 2016-11-10 02:22:12 +0200 (Thu, 10 Nov 2016) | 6 lines
Changed paths:
   M /trunk/common/unittype.c
   M /trunk/doc/README.actions
   M /trunk/server/citytools.c
   M /trunk/server/unittools.c

"Paradrop Unit": Don't rely on "Conquer City".

Determine if a particular drop is a city conquest based on the old rules
rather than on if the actor unit ever can do the "Conquer City" action.

See bug #25234
------------------------------------------------------------------------
r34461 | sveinung | 2016-11-09 21:08:43 +0200 (Wed, 09 Nov 2016) | 3 lines
Changed paths:
   M /trunk/server/unithand.c

Make city conquest able to cause an incident.

See patch #7960
------------------------------------------------------------------------
r34460 | sveinung | 2016-11-09 21:07:37 +0200 (Wed, 09 Nov 2016) | 6 lines
Changed paths:
   M /trunk/data/civ2civ3/units.ruleset
   M /trunk/data/classic/units.ruleset
   M /trunk/data/experimental/units.ruleset
   M /trunk/data/multiplayer/units.ruleset
   M /trunk/data/sandbox/units.ruleset
   M /trunk/data/webperimental/units.ruleset

Declare all GameLoss units autoattack Provoking.

It is, in all bundled rulesets, reasonable to attack a GamleLoss unit at
once rather than hoping that it will attack and thus be defeated.

See patch #7959
------------------------------------------------------------------------
r34458 | cazfi | 2016-11-09 15:53:54 +0200 (Wed, 09 Nov 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2
   M /trunk/windows/installer_msys2/Makefile

Made Windows 7 minimum requirement for msys2 builds.

See patch #7955

------------------------------------------------------------------------
r34456 | cazfi | 2016-11-09 13:49:23 +0200 (Wed, 09 Nov 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.graphics

README.graphics typofix "form" -> "from"

See patch #7957

------------------------------------------------------------------------
r34454 | cazfi | 2016-11-09 13:38:39 +0200 (Wed, 09 Nov 2016) | 4 lines
Changed paths:
   D /trunk/data/amplio/select.png
   M /trunk/data/amplio2/Makefile.am
   D /trunk/data/amplio2/select.png

Dropped unused select.png from amplio/2 tilesets

See patch #7954

------------------------------------------------------------------------
r34452 | cazfi | 2016-11-09 13:02:50 +0200 (Wed, 09 Nov 2016) | 6 lines
Changed paths:
   M /trunk/data/alio.tilespec
   M /trunk/data/hexemplio/Makefile.am
   A /trunk/data/hexemplio/roads-maglevs.png
   A /trunk/data/hexemplio/roads-maglevs.spec
   A /trunk/data/hexemplio/roads-rails.png
   A /trunk/data/hexemplio/roads-rails.spec
   M /trunk/data/hexemplio/roads.png
   M /trunk/data/hexemplio/roads.spec
   M /trunk/data/hexemplio.tilespec
   M /trunk/data/toonhex.tilespec

Updated hexemplio road types.

Art by GriffonSpade

See patch #6798

------------------------------------------------------------------------
r34450 | mir3x | 2016-11-09 10:11:31 +0200 (Wed, 09 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/menu.cpp

Qt client - moved update unit label to real_menus_update

See bug #25273

------------------------------------------------------------------------
r34448 | sveinung | 2016-11-09 03:38:22 +0200 (Wed, 09 Nov 2016) | 11 lines
Changed paths:
   M /trunk/ai/default/aidiplomat.c

ai: any hostile unit != any hostile diplomat.

Freeciv 3.0 has hostile enabler controlled actions that aren't diplomatic.
The function is_city_surrounded_by_our_spies() is used when the Diplomat/Spy
control code checks if a new Diplomat/Spy is needed.

Stop assuming that any unit capable of performing any hostile action is
capable of performing a hostile Spy/Diplomat action in the function
is_city_surrounded_by_our_spies().

See bug #25272
------------------------------------------------------------------------
r34446 | jtn | 2016-11-09 00:05:56 +0200 (Wed, 09 Nov 2016) | 3 lines
Changed paths:
   M /trunk/doc/README.effects
   M /trunk/server/unittools.c

Fully document Retire_Pct behaviour.

See bug #25265.
------------------------------------------------------------------------
r34444 | cazfi | 2016-11-08 19:37:21 +0200 (Tue, 08 Nov 2016) | 4 lines
Changed paths:
   M /trunk/utility/mem.c

sanity_check_size() memory allocations on debug builds only.

See patch #7951

------------------------------------------------------------------------
r34441 | cazfi | 2016-11-08 10:19:05 +0200 (Tue, 08 Nov 2016) | 4 lines
Changed paths:
   M /trunk/data/hex2t/select.png
   M /trunk/data/hex2t/select.spec
   M /trunk/data/hex2t.tilespec

Cut out transparent top and bottom of hex2t select sprites.

See patch #7953

------------------------------------------------------------------------
r34440 | cazfi | 2016-11-08 09:00:26 +0200 (Tue, 08 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/graphics.c
   M /trunk/client/gui-gtk-2.0/graphics.h
   M /trunk/client/gui-gtk-2.0/mapview.c
   M /trunk/client/gui-gtk-3.0/graphics.c
   M /trunk/client/gui-gtk-3.0/graphics.h
   M /trunk/client/gui-gtk-3.0/mapview.c
   M /trunk/client/gui-gtk-3.22/graphics.c
   M /trunk/client/gui-gtk-3.22/graphics.h
   M /trunk/client/gui-gtk-3.22/mapview.c
   M /trunk/client/gui-qt/graphics.cpp

Cleaned out remaining radar sprite code.

See patch #7949

------------------------------------------------------------------------
r34438 | cazfi | 2016-11-08 08:29:10 +0200 (Tue, 08 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/citydlg.c
   M /trunk/client/gui-gtk-3.0/gui_main.c
   M /trunk/client/gui-gtk-3.0/mapview.c
   M /trunk/client/gui-gtk-3.0/mapview.h
   M /trunk/client/gui-gtk-3.22/citydlg.c
   M /trunk/client/gui-gtk-3.22/gui_main.c
   M /trunk/client/gui-gtk-3.22/mapview.c
   M /trunk/client/gui-gtk-3.22/mapview.h

Use proper overlays for units in citydlg present units area.

See bug #24642

------------------------------------------------------------------------
r34436 | cazfi | 2016-11-08 07:40:48 +0200 (Tue, 08 Nov 2016) | 6 lines
Changed paths:
   M /trunk/data/hexemplio/unitcost.png
   M /trunk/data/hexemplio/unitcost.spec

Updated hexemplio unitcost files.

Art by GriffonSpade

See patch #7950

------------------------------------------------------------------------
r34434 | cazfi | 2016-11-07 22:06:03 +0200 (Mon, 07 Nov 2016) | 4 lines
Changed paths:
   M /trunk/data/alien/terrain.ruleset
   M /trunk/data/civ2/terrain.ruleset
   M /trunk/data/classic/terrain.ruleset
   M /trunk/data/experimental/terrain.ruleset
   M /trunk/data/multiplayer/terrain.ruleset

Fixed format of unitclass helptexts about paradrop ability.

See patch #7947

------------------------------------------------------------------------
r34432 | sveinung | 2016-11-07 14:42:27 +0200 (Mon, 07 Nov 2016) | 36 lines
Changed paths:
   M /trunk/server/unittools.c

autoattack: have the best attacker go first.

A unit will only auto attack if its probability of success is above a
certain threshold. The threshold is currently 90% if the unit is the last
defender in a city and 25% otherwise.

A unit's probability of success against a target can depend on target
specific factors. One example of target relative unit strength is how the
classic ruleset gives a defense bonus to Pikemen when attacked by Horsemen.

Up unit now the potential attacker with the *worst* odds (above the
threshold) have attacked first.
 * saved the stronger units for more worthy potential future enemies.
   (Thanks to Jacob Nevins <jtn> for noticing.)
 * made it harder to lure strong enemy units out of the way by using
   sacrificial units. (A regular attack may, depending on the occupychance
   server setting, make the attacker move after victory is achieved)
 * made it possible to exploit target relative unit strength by moving a
   unit a strong unit in a unit stack is weak against next to the tile.
 * increased the probability of the auto attacker losing and dying.
 * decreased the probability of a follow up attack (target weakness can
   increase the probability of victory enough to have it pass the threshold)

Make the potential attacker with the *best* odds attack first.
 * makes it possible to waste a strong unit's attacks by sending weak units
   against it. (Assuming a more or less global ranking of attack strength.)
 * makes it possible to lure away strong units by using sacrificial units.
   (Assuming a more or less global ranking of attack strength.)
 * target specific factors are exploited to the autoattacker's advantage.
   This beats the advantage of the old system because attacker unit strength
   can depend on the target unit.
 * reduces the probability of the auto attacker dying during the attack.
 * increases the probability of a second auto attacker finishing of the
   target if the first auto attacker fails.

See patch #7942
------------------------------------------------------------------------
r34431 | cazfi | 2016-11-07 09:58:47 +0200 (Mon, 07 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/tilespec.c
   M /trunk/data/alio.tilespec
   M /trunk/data/amplio.tilespec
   M /trunk/data/amplio2.tilespec
   M /trunk/data/cimpletoon.tilespec
   M /trunk/data/hex2t.tilespec
   M /trunk/data/hexemplio.tilespec
   M /trunk/data/isophex.tilespec
   M /trunk/data/isotrident.tilespec
   M /trunk/data/toonhex.tilespec
   M /trunk/data/trident.tilespec
   M /trunk/doc/README.graphics

Added support for tileset specified offset for city size number sprites.

See patch #7946

------------------------------------------------------------------------
r34430 | cazfi | 2016-11-07 07:01:43 +0200 (Mon, 07 Nov 2016) | 5 lines
Changed paths:
   M /trunk/data/alien/game.ruleset
   M /trunk/data/alien/units.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ1/units.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2/units.ruleset

Simplify rulesets that have just one unit class having "AttFromNonNative" flag to use direct
"UnitClass" requirements instead.

See patch #7944

------------------------------------------------------------------------
r34428 | cazfi | 2016-11-07 06:57:29 +0200 (Mon, 07 Nov 2016) | 6 lines
Changed paths:
   M /trunk/data/hexemplio/tiles.png
   M /trunk/data/hexemplio/tiles.spec

Updated hexemplio tiles.png

Art by GriffonSpade

See patch #7945

------------------------------------------------------------------------
r34426 | sveinung | 2016-11-07 02:00:09 +0200 (Mon, 07 Nov 2016) | 8 lines
Changed paths:
   M /trunk/common/unittype.h
   M /trunk/data/alien/units.ruleset
   M /trunk/data/civ1/units.ruleset
   M /trunk/data/civ2/units.ruleset
   M /trunk/data/civ2civ3/units.ruleset
   M /trunk/data/classic/units.ruleset
   M /trunk/data/experimental/units.ruleset
   M /trunk/data/multiplayer/units.ruleset
   M /trunk/data/ruledit/comments.txt
   M /trunk/data/sandbox/units.ruleset
   M /trunk/data/stub/units.ruleset
   M /trunk/data/webperimental/units.ruleset
   M /trunk/fc_version
   M /trunk/server/rscompat.c
   M /trunk/server/unittools.c

Introduce the new utype flag "Provoking".

A unit considering if it should autoattack a unit that just moved next to it
will normally decide not to attack if it has better odds when defending
against it than when attacking it. Exceptions are made for diplomats and for
transports. Move this exception to the new unit type flag "Provoking".

See patch #7943
------------------------------------------------------------------------
r34425 | mir3x | 2016-11-06 23:29:45 +0200 (Sun, 06 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/options.c
   M /trunk/client/options.h

Fixed invalid NULL default string for option gui_qt_default_theme_name.
Reported by Marko Lindqvist <cazfi>

See bug #25250

------------------------------------------------------------------------
r34423 | mir3x | 2016-11-06 23:20:54 +0200 (Sun, 06 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp

Qt client - capitalized text in unit label

See patch patch #7940

------------------------------------------------------------------------
r34421 | mir3x | 2016-11-06 23:19:11 +0200 (Sun, 06 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - squeezed units/improvemnts layout a bit in city dialog

See patch patch #7941

------------------------------------------------------------------------
r34419 | mir3x | 2016-11-06 23:16:54 +0200 (Sun, 06 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/pages.cpp
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - added border around savegame preview

See patch #7937

------------------------------------------------------------------------
r34417 | mir3x | 2016-11-06 23:15:12 +0200 (Sun, 06 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/fonts.cpp

Qt client - added configuration comment font and help text on first run

See patch #7936

------------------------------------------------------------------------
r34415 | mir3x | 2016-11-06 23:12:58 +0200 (Sun, 06 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp

Qt client - added information about number of selected units

See patch #7935

------------------------------------------------------------------------
r34413 | mir3x | 2016-11-06 23:10:41 +0200 (Sun, 06 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h
   M /trunk/client/gui-qt/repodlgs.cpp
   M /trunk/client/gui-qt/repodlgs.h

Qt client - added endgame report to menu

See patch #7934

------------------------------------------------------------------------
r34411 | mir3x | 2016-11-06 23:08:57 +0200 (Sun, 06 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/dialogs.h
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h

Qt client - added menu to choose default unit action bypassing choice dialog

See patch #7932

------------------------------------------------------------------------
r34409 | mir3x | 2016-11-06 23:03:53 +0200 (Sun, 06 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-qt/helpdlg.cpp
   M /trunk/client/gui-qt/helpdlg.h

Qt client: fixed some fonts not updated when changed in the settings
Reported by Louis Moureaux <louis94>

See bug #25023

------------------------------------------------------------------------
r34407 | mir3x | 2016-11-06 22:56:47 +0200 (Sun, 06 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/mapctrl.cpp

Qt client - fixed crash when adding city to trade planning

See bug #25260

------------------------------------------------------------------------
r34405 | cazfi | 2016-11-06 16:35:48 +0200 (Sun, 06 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/tilespec.c
   M /trunk/data/alio.tilespec
   M /trunk/data/amplio.tilespec
   M /trunk/data/amplio2.tilespec
   M /trunk/data/cimpletoon.tilespec
   M /trunk/data/hex2t.tilespec
   M /trunk/data/hexemplio.tilespec
   M /trunk/data/isophex.tilespec
   M /trunk/data/isotrident.tilespec
   M /trunk/data/toonhex.tilespec
   M /trunk/data/trident.tilespec
   M /trunk/doc/README.graphics

Added support for tileset specified offset for selected unit sprites.

See patch #7923

------------------------------------------------------------------------
r34403 | cazfi | 2016-11-06 09:11:13 +0200 (Sun, 06 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-sdl2/graphics.c
   M /trunk/client/gui-sdl2/graphics.h

Completely removed outcommented stuff from sdl2-client graphics.c

See patch #7939

------------------------------------------------------------------------
r34402 | cazfi | 2016-11-06 09:07:29 +0200 (Sun, 06 Nov 2016) | 4 lines
Changed paths:
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset

Set non-hex topology the default in civ/2 rulesets.

See patch #7938

------------------------------------------------------------------------
r34400 | cazfi | 2016-11-06 09:05:14 +0200 (Sun, 06 Nov 2016) | 4 lines
Changed paths:
   M /trunk/data/alio.tilespec
   M /trunk/data/hexemplio/rivers.spec
   M /trunk/data/hexemplio.tilespec
   M /trunk/data/toonhex.tilespec

Set hexemplio irrigation and farmland outlets to use.

See patch #7928

------------------------------------------------------------------------
r34396 | cazfi | 2016-11-05 09:16:40 +0200 (Sat, 05 Nov 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-sdl2/themes.c

Sdl-clients ignore requests from client-common code to switch theme once there is one already loaded.

This avoids some crashes reported by Jacob Nevins <jtn>

See bug #25117

------------------------------------------------------------------------
r34395 | cazfi | 2016-11-05 08:31:16 +0200 (Sat, 05 Nov 2016) | 5 lines
Changed paths:
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ1/units.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2/units.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/classic/units.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/multiplayer/units.ruleset

Simplify rulesets that have just one unit class having "Airliftable" flag to use direct
"UnitClass" requirements instead.

See patch #7933

------------------------------------------------------------------------
r34393 | cazfi | 2016-11-05 08:21:50 +0200 (Sat, 05 Nov 2016) | 6 lines
Changed paths:
   M /trunk/data/hexemplio/select.png
   M /trunk/data/hexemplio/select.spec

Updated hexemplio select sprites.

Art by GriffonSpade

See patch #7922

------------------------------------------------------------------------
r34390 | cazfi | 2016-11-04 22:18:17 +0200 (Fri, 04 Nov 2016) | 4 lines
Changed paths:
   M /trunk/windows/installer_cross/winbuild.sh

winbuild.sh builds also gtk3.22-client.

See patch #7930

------------------------------------------------------------------------
r34386 | sveinung | 2016-11-04 14:10:56 +0200 (Fri, 04 Nov 2016) | 6 lines
Changed paths:
   M /trunk/common/actions.c

Keep attack action probability in range.

Fix a rounding error that could result in "Attack"'s action probability to
go outside the act_prob struct's range for non signal values.

See bug #25261
------------------------------------------------------------------------
r34385 | sveinung | 2016-11-04 14:10:44 +0200 (Fri, 04 Nov 2016) | 3 lines
Changed paths:
   M /trunk/common/actions.c

action_prob(): assert that act_prob is in range.

See patch #7929
------------------------------------------------------------------------
r34384 | sveinung | 2016-11-04 14:10:26 +0200 (Fri, 04 Nov 2016) | 10 lines
Changed paths:
   M /trunk/server/unittools.c

autoattack: cargo attacks before transporters.

The function compare_units() tried to make a cargo unit auto attack before
its transporter by sorting the autoattacker list. Fix the function that
compares two units during the sorting so it does:
 * put cargo units *before* transporting units.
 * check the cargo status of *both* units being compared.
 * consider recursive transports.

See bug #25259
------------------------------------------------------------------------
r34383 | sveinung | 2016-11-04 14:10:03 +0200 (Fri, 04 Nov 2016) | 7 lines
Changed paths:
   M /trunk/server/actiontools.c

actiontools: act perf acquire target to macro.

The acquire target code for action_auto_perf_unit_sel() and
action_auto_perf_unit_prob() is and should be identical. Move it to the new
macro action_auto_perf_acquire_targets.

See patch #7926
------------------------------------------------------------------------
r34381 | cazfi | 2016-11-04 10:44:58 +0200 (Fri, 04 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-sdl2/graphics.c

Implemented fullscreen mode for sdl2-client

See patch #7901

------------------------------------------------------------------------
r34379 | cazfi | 2016-11-04 10:04:57 +0200 (Fri, 04 Nov 2016) | 6 lines
Changed paths:
   M /trunk/data/hexemplio/grid.png
   M /trunk/data/hexemplio/grid.spec

Updated hexemplio grid

Art by GriffonSpade

See patch #7917

------------------------------------------------------------------------
r34378 | cazfi | 2016-11-04 09:42:55 +0200 (Fri, 04 Nov 2016) | 4 lines
Changed paths:
   M /trunk/common/map.h
   M /trunk/data/civ2civ3/game.ruleset

Made isohex the default topology

See patch #7915

------------------------------------------------------------------------
r34370 | jtn | 2016-11-04 01:40:24 +0200 (Fri, 04 Nov 2016) | 3 lines
Changed paths:
   M /trunk/server/settings.c

Explain the 'quickening' revolentypes.

See gna patch #7921.
------------------------------------------------------------------------
r34369 | jtn | 2016-11-04 01:40:20 +0200 (Fri, 04 Nov 2016) | 3 lines
Changed paths:
   M /trunk/server/cityturn.c

Warn the turn before a city in disorder provokes a national revolution.

See gna patch #7920.
------------------------------------------------------------------------
r34368 | jtn | 2016-11-04 01:40:17 +0200 (Fri, 04 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/menu.c
   M /trunk/client/gui-gtk-3.0/menu.c
   M /trunk/client/gui-gtk-3.22/menu.c
   M /trunk/common/government.c
   M /trunk/common/government.h
   M /trunk/server/plrhand.c

Prevent untargeted revolution for the RANDQUICK revolentype, the same as
QUICKENING.

See gna bug #25256.
------------------------------------------------------------------------
r34367 | jtn | 2016-11-04 01:40:13 +0200 (Fri, 04 Nov 2016) | 3 lines
Changed paths:
   M /trunk/doc/man/freeciv-client.6.in

Document the FREECIV_OPT environment variable.

See gna bug #25165.
------------------------------------------------------------------------
r34366 | jtn | 2016-11-04 01:40:10 +0200 (Fri, 04 Nov 2016) | 3 lines
Changed paths:
   M /trunk/doc/man/freeciv-client.6.in

Update freeciv-client man page to refer to ~/.freeciv/freeciv-client-rc* file.

See gna bug #25255.
------------------------------------------------------------------------
r34365 | mir3x | 2016-11-04 00:35:21 +0200 (Fri, 04 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/citydlg.h
   M /trunk/data/themes/gui-qt/icons/Makefile.am
   A /trunk/data/themes/gui-qt/icons/minus.png
   A /trunk/data/themes/gui-qt/icons/plus.png

Qt client - added zoom to city map view

See patch #7927

------------------------------------------------------------------------
r34363 | cazfi | 2016-11-04 00:02:19 +0200 (Fri, 04 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-gtk-3.22/action_dialog.c
   M /trunk/client/gui-gtk-3.22/canvas.c
   M /trunk/client/gui-gtk-3.22/canvas.h
   M /trunk/client/gui-gtk-3.22/chatline.c
   M /trunk/client/gui-gtk-3.22/chatline.h
   M /trunk/client/gui-gtk-3.22/choice_dialog.c
   M /trunk/client/gui-gtk-3.22/choice_dialog.h
   M /trunk/client/gui-gtk-3.22/citizensinfo.c
   M /trunk/client/gui-gtk-3.22/citydlg.c
   M /trunk/client/gui-gtk-3.22/citydlg.h
   M /trunk/client/gui-gtk-3.22/cityrep.c
   M /trunk/client/gui-gtk-3.22/cityrep.h
   M /trunk/client/gui-gtk-3.22/cma_fe.c
   M /trunk/client/gui-gtk-3.22/cma_fe.h
   M /trunk/client/gui-gtk-3.22/colors.c
   M /trunk/client/gui-gtk-3.22/colors.h
   M /trunk/client/gui-gtk-3.22/connectdlg.c
   M /trunk/client/gui-gtk-3.22/connectdlg.h
   M /trunk/client/gui-gtk-3.22/dialogs.c
   M /trunk/client/gui-gtk-3.22/dialogs.h
   M /trunk/client/gui-gtk-3.22/diplodlg.c
   M /trunk/client/gui-gtk-3.22/diplodlg.h
   M /trunk/client/gui-gtk-3.22/editgui.c
   M /trunk/client/gui-gtk-3.22/editprop.c
   M /trunk/client/gui-gtk-3.22/editprop.h
   M /trunk/client/gui-gtk-3.22/finddlg.c
   M /trunk/client/gui-gtk-3.22/finddlg.h
   M /trunk/client/gui-gtk-3.22/gamedlgs.c
   M /trunk/client/gui-gtk-3.22/gamedlgs.h
   M /trunk/client/gui-gtk-3.22/gotodlg.c
   M /trunk/client/gui-gtk-3.22/gotodlg.h
   M /trunk/client/gui-gtk-3.22/graphics.c
   M /trunk/client/gui-gtk-3.22/graphics.h
   M /trunk/client/gui-gtk-3.22/gui_main.c
   M /trunk/client/gui-gtk-3.22/gui_stuff.c
   M /trunk/client/gui-gtk-3.22/gui_stuff.h
   M /trunk/client/gui-gtk-3.22/happiness.c
   M /trunk/client/gui-gtk-3.22/happiness.h
   M /trunk/client/gui-gtk-3.22/helpdlg.c
   M /trunk/client/gui-gtk-3.22/helpdlg.h
   M /trunk/client/gui-gtk-3.22/inputdlg.c
   M /trunk/client/gui-gtk-3.22/inputdlg.h
   M /trunk/client/gui-gtk-3.22/inteldlg.c
   M /trunk/client/gui-gtk-3.22/inteldlg.h
   M /trunk/client/gui-gtk-3.22/luaconsole.c
   M /trunk/client/gui-gtk-3.22/luaconsole.h
   M /trunk/client/gui-gtk-3.22/mapctrl.c
   M /trunk/client/gui-gtk-3.22/mapctrl.h
   M /trunk/client/gui-gtk-3.22/mapview.c
   M /trunk/client/gui-gtk-3.22/mapview.h
   M /trunk/client/gui-gtk-3.22/menu.c
   M /trunk/client/gui-gtk-3.22/menu.h
   M /trunk/client/gui-gtk-3.22/messagedlg.c
   M /trunk/client/gui-gtk-3.22/messagedlg.h
   M /trunk/client/gui-gtk-3.22/messagewin.c
   M /trunk/client/gui-gtk-3.22/messagewin.h
   M /trunk/client/gui-gtk-3.22/optiondlg.c
   M /trunk/client/gui-gtk-3.22/optiondlg.h
   M /trunk/client/gui-gtk-3.22/pages.c
   M /trunk/client/gui-gtk-3.22/pages.h
   M /trunk/client/gui-gtk-3.22/plrdlg.c
   M /trunk/client/gui-gtk-3.22/plrdlg.h
   M /trunk/client/gui-gtk-3.22/ratesdlg.h
   M /trunk/client/gui-gtk-3.22/repodlgs.c
   M /trunk/client/gui-gtk-3.22/repodlgs.h
   M /trunk/client/gui-gtk-3.22/soundset_dlg.c
   M /trunk/client/gui-gtk-3.22/spaceshipdlg.c
   M /trunk/client/gui-gtk-3.22/spaceshipdlg.h
   M /trunk/client/gui-gtk-3.22/sprite.c
   M /trunk/client/gui-gtk-3.22/sprite.h
   M /trunk/client/gui-gtk-3.22/theme_dlg.c
   M /trunk/client/gui-gtk-3.22/themes.c
   M /trunk/client/gui-gtk-3.22/tileset_dlg.c
   M /trunk/client/gui-gtk-3.22/transportdlg.c
   M /trunk/client/gui-gtk-3.22/transportdlg.h
   M /trunk/client/gui-gtk-3.22/unitselect.c
   M /trunk/client/gui-gtk-3.22/unitselunitdlg.c
   M /trunk/client/gui-gtk-3.22/voteinfo_bar.c
   M /trunk/client/gui-gtk-3.22/voteinfo_bar.h
   M /trunk/client/gui-gtk-3.22/wldlg.c
   M /trunk/client/gui-gtk-3.22/wldlg.h

Updated gtk3.22-client comments about the source directory to match it and
some other minor cleanup.

See patch #7925

------------------------------------------------------------------------
r34362 | cazfi | 2016-11-03 23:27:21 +0200 (Thu, 03 Nov 2016) | 4 lines
Changed paths:
   M /trunk/data/civ2civ3/effects.ruleset
   M /trunk/data/default/ai_effects.ruleset

Added Attack_Bonus of -20 to handicapped AI and change its Defend_Bonus to the same value.

See patch #7924

------------------------------------------------------------------------
r34360 | cazfi | 2016-11-03 20:25:00 +0200 (Thu, 03 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-sdl2/themes.c
   M /trunk/client/gui-sdl2/themespec.c

Made sdl2-client theme loading to respect DIR_SEPARATOR

See patch #7903

------------------------------------------------------------------------
r34359 | sveinung | 2016-11-03 17:09:45 +0200 (Thu, 03 Nov 2016) | 7 lines
Changed paths:
   M /trunk/server/unittools.c

autoattack: consider the odds of all actions.

An auto attack can result in "Capture Units", "Bombard" or "Attack". What
unit tries to auto attack first is determined by its odds. Consider the odds
of doing any of the actions.

See bug #25253
------------------------------------------------------------------------
r34358 | sveinung | 2016-11-03 17:09:28 +0200 (Thu, 03 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/tilespec.c

tilesets: make the act dec want icon use offsets.

Make the action_decision_want icon support activity offsets.

See patch #7913
------------------------------------------------------------------------
r34357 | sveinung | 2016-11-03 17:09:06 +0200 (Thu, 03 Nov 2016) | 7 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h

Add an action probability to [0, 1] converter.

Introduce action_prob_to_0_to_1_pessimist(). It converts an act_prob struct
to a double from 0 to 1. When an action probability represents a range it
will return the minimum probability.

See patch #7911
------------------------------------------------------------------------
r34356 | cazfi | 2016-11-03 15:23:32 +0200 (Thu, 03 Nov 2016) | 5 lines
Changed paths:
   M /trunk/data/civ1/effects.ruleset
   M /trunk/data/civ1/terrain.ruleset
   M /trunk/data/civ2/effects.ruleset
   M /trunk/data/civ2/terrain.ruleset
   M /trunk/data/classic/effects.ruleset
   M /trunk/data/classic/terrain.ruleset
   M /trunk/data/experimental/effects.ruleset
   M /trunk/data/experimental/terrain.ruleset
   M /trunk/data/multiplayer/effects.ruleset
   M /trunk/data/multiplayer/terrain.ruleset
   M /trunk/data/webperimental/effects.ruleset
   M /trunk/data/webperimental/terrain.ruleset

Simplify rulesets that have just one extra having "DiplomatDefense" flag to use direct
"Extra" requirements instead.

See patch #7919

------------------------------------------------------------------------
r34355 | cazfi | 2016-11-03 15:20:52 +0200 (Thu, 03 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/tilespec.c
   M /trunk/client/tilespec.h

Made tileset_read_toplevel() static.

See patch #7907

------------------------------------------------------------------------
r34353 | cazfi | 2016-11-03 11:09:46 +0200 (Thu, 03 Nov 2016) | 6 lines
Changed paths:
   M /trunk/data/hexemplio/water1.png
   M /trunk/data/hexemplio/water1.spec
   M /trunk/data/hexemplio/water2.png
   M /trunk/data/hexemplio/water2.spec
   M /trunk/data/hexemplio/water3.png
   M /trunk/data/hexemplio/water3.spec

Updated hexemplio water files.

Art by GriffonSpade

See patch #7912

------------------------------------------------------------------------
r34352 | mir3x | 2016-11-03 10:24:54 +0200 (Thu, 03 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/messagewin.cpp
   M /trunk/client/gui-qt/messagewin.h

Qt client - added icon to move message/chat widget

See patch #7916

------------------------------------------------------------------------
r34350 | mir3x | 2016-11-03 10:16:16 +0200 (Thu, 03 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/hudwidget.h
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - added new unit filter

See patch #7914

------------------------------------------------------------------------
r34348 | mir3x | 2016-11-03 10:08:43 +0200 (Thu, 03 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp

Qt client: Fixed slow map redrawing
Reported by Louis Moureaux <louis94>

See bug #25252

------------------------------------------------------------------------
r34344 | cazfi | 2016-11-03 08:03:21 +0200 (Thu, 03 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-sdl2/citydlg.c

Use correct factor in all situations when scaling down sdl-client citymap.

See bug #25251

------------------------------------------------------------------------
r34342 | cazfi | 2016-11-03 07:50:22 +0200 (Thu, 03 Nov 2016) | 4 lines
Changed paths:
   M /trunk/dependencies/luasql/Makefile.am
   M /trunk/dependencies/luasql/Version
   D /trunk/dependencies/luasql/freeciv_luasql.patch
   M /trunk/dependencies/luasql/src/ls_postgres.c
   M /trunk/dependencies/luasql/src/luasql.c

Updated included luasql files to luasql-2.3.4 level.

See patch #7910

------------------------------------------------------------------------
r34341 | cazfi | 2016-11-03 07:38:18 +0200 (Thu, 03 Nov 2016) | 4 lines
Changed paths:
   M /trunk/ai/default/aiparatrooper.c
   M /trunk/server/edithand.c
   M /trunk/server/generator/Makefile.am
   M /trunk/server/generator/fracture_map.c
   M /trunk/server/generator/height_map.c
   M /trunk/server/generator/mapgen.c
   A /trunk/server/generator/mapgen_utils.c (from /trunk/server/generator/utilities.c:34340)
   A /trunk/server/generator/mapgen_utils.h (from /trunk/server/generator/utilities.h:34340)
   M /trunk/server/generator/startpos.c
   M /trunk/server/generator/temperature_map.c
   D /trunk/server/generator/utilities.c
   D /trunk/server/generator/utilities.h
   M /trunk/server/legacysave.c
   M /trunk/server/maphand.c
   M /trunk/server/savegame2.c
   M /trunk/server/savegame3.c
   M /trunk/server/srv_main.c

Renamed utilities module as mapgen_utils.

See patch #7909

------------------------------------------------------------------------
r34339 | cazfi | 2016-11-02 22:39:42 +0200 (Wed, 02 Nov 2016) | 4 lines
Changed paths:
   M /trunk/server/scripting/script_server.c
   M /trunk/server/scripting/script_server.h

Dropped unused script_server_callback_invoke()

See patch #7908

------------------------------------------------------------------------
r34338 | cazfi | 2016-11-02 19:12:13 +0200 (Wed, 02 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-sdl2/themespec.c

Renamed sdl2-client theme handling function load_sprite() and friends to have previx 'theme_'
to distinguish them from tileset functions with the same names.

See patch #7902

------------------------------------------------------------------------
r34337 | sveinung | 2016-11-02 18:15:31 +0200 (Wed, 02 Nov 2016) | 6 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h

Add an action probability comparison function.

Introduce action_prob_cmp_pessimist(). It compares two act_prob structs
first by minimum probability and then by maximum probability.

See patch #7906
------------------------------------------------------------------------
r34336 | sveinung | 2016-11-02 18:14:25 +0200 (Wed, 02 Nov 2016) | 7 lines
Changed paths:
   M /trunk/server/actiontools.c
   M /trunk/server/actiontools.h

Auto performer forced to act probability.

Introduce action_auto_perf_unit_act_prob(). It returns the probability for
the specified actor unit to be forced to perform an action by the specified
action auto performer cause.

See patch #7904
------------------------------------------------------------------------
r34334 | cazfi | 2016-11-02 16:50:28 +0200 (Wed, 02 Nov 2016) | 6 lines
Changed paths:
   M /trunk/data/alio.tilespec
   M /trunk/data/hexemplio/Makefile.am
   A /trunk/data/hexemplio/embellishments.png
   A /trunk/data/hexemplio/embellishments.spec
   A /trunk/data/hexemplio/forests.png
   A /trunk/data/hexemplio/forests.spec
   A /trunk/data/hexemplio/hills.png
   A /trunk/data/hexemplio/hills.spec
   A /trunk/data/hexemplio/mountains.png
   A /trunk/data/hexemplio/mountains.spec
   A /trunk/data/hexemplio/terrain.png
   A /trunk/data/hexemplio/terrain.spec
   D /trunk/data/hexemplio/terrain1.png
   D /trunk/data/hexemplio/terrain1.spec
   D /trunk/data/hexemplio/terrain2.png
   D /trunk/data/hexemplio/terrain2.spec
   M /trunk/data/hexemplio.tilespec
   M /trunk/data/toonhex.tilespec

Updated hexemplio land terrains.

Art by GriffonSpade

See patch #7897

------------------------------------------------------------------------
r34331 | sveinung | 2016-11-02 16:26:23 +0200 (Wed, 02 Nov 2016) | 12 lines
Changed paths:
   M /trunk/client/options.c

client: stop storing server topology choice.

The function client_start_server() sets topology based on tileset. Its
conclusions have ended up in most client setting files.

A stored topology interacts badly with tileset ruleset change, ruleset
tileset change and topology tileset change. It breaks ruleset default
topology.

The tileset is already stored in the client setting file.

See bug #25249
------------------------------------------------------------------------
r34330 | sveinung | 2016-11-02 16:25:22 +0200 (Wed, 02 Nov 2016) | 8 lines
Changed paths:
   M /trunk/client/tilespec.c

tilespec_reread(): initialize dependency first.

The function tileset_player_init() falls back to sprites.background.color if
the player doesn't have a color. But sprites.background.color is set in
tileset_background_init(). Make tilespec_reread() call
tileset_background_init() before it calls tileset_player_init().

See bug #25239
------------------------------------------------------------------------
r34329 | sveinung | 2016-11-02 16:24:32 +0200 (Wed, 02 Nov 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/sprite.c
   M /trunk/client/gui-gtk-3.0/sprite.c
   M /trunk/client/gui-gtk-3.22/sprite.c
   M /trunk/client/gui-qt/sprite.cpp

crop_sprite(): assert that source sprite exists.

Assert the existence of the source sprite in the crop_sprite()
implementation of the Qt client and of the GTK clients.

See patch #7900
------------------------------------------------------------------------
r34326 | mir3x | 2016-11-02 12:16:23 +0200 (Wed, 02 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/canvas.cpp
   M /trunk/client/gui-qt/canvas.h
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/citydlg.h
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/dialogs.h
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - added cropping transparent borders

See patch #7895

------------------------------------------------------------------------
r34324 | cazfi | 2016-11-02 12:02:23 +0200 (Wed, 02 Nov 2016) | 4 lines
Changed paths:
   M /trunk/windows/Makefile.am
   A /trunk/windows/installer_cross
   A /trunk/windows/installer_cross/winbuild.sh

Added winbuild.sh script for building freeciv using crosser environment.

See patch #7905

------------------------------------------------------------------------
r34323 | mir3x | 2016-11-02 12:01:44 +0200 (Wed, 02 Nov 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp

Qt client - Failed to maximize at start.
Reported by Jacob Nevins

See bug #24860

------------------------------------------------------------------------
r34317 | cazfi | 2016-11-02 06:41:12 +0200 (Wed, 02 Nov 2016) | 4 lines
Changed paths:
   M /trunk/common/version.c

Increased size of the betatest message buffer to 500 bytes.

See patch #7899

------------------------------------------------------------------------
r34315 | cazfi | 2016-11-02 00:14:59 +0200 (Wed, 02 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-sdl2/graphics.c
   M /trunk/client/gui-sdl2/graphics.h

Dropped unused load_surf_with_flags() from sdl2-client.

See patch #7898

------------------------------------------------------------------------
r34313 | cazfi | 2016-11-02 00:04:47 +0200 (Wed, 02 Nov 2016) | 4 lines
Changed paths:
   M /trunk/data/civ2civ3/units.ruleset

Made it possible to fortify diplomats and spies in civ2civ3 ruleset.

See bug #25151

------------------------------------------------------------------------
r34312 | cazfi | 2016-11-01 22:07:03 +0200 (Tue, 01 Nov 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-3.22/gui_main.c

Gtk3.22-client calls itself "gui-gtk-3.22"

See patch #7896

------------------------------------------------------------------------
r34311 | cazfi | 2016-11-01 20:58:03 +0200 (Tue, 01 Nov 2016) | 4 lines
Changed paths:
   M /trunk/server/generator/fracture_map.c

Fixed shadow warning from fracture_map.c

See bug #25247

------------------------------------------------------------------------
r34310 | sveinung | 2016-11-01 20:02:31 +0200 (Tue, 01 Nov 2016) | 7 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h

Action fall back act_prob utility function.

In some cases it is useful to get the probability of doing action A, or if
action A can't be done, action B. Introduce action_prob_fall_back() for
those cases.

See patch #7889
------------------------------------------------------------------------
r34309 | cazfi | 2016-11-01 11:24:15 +0200 (Tue, 01 Nov 2016) | 4 lines
Changed paths:
   M /trunk/ai/default/daieffects.c
   M /trunk/common/combat.c
   M /trunk/common/effects.h
   M /trunk/doc/README.effects
   M /trunk/fc_version

Added Attack_Bonus effect type.

See patch #7894

------------------------------------------------------------------------
r34307 | cazfi | 2016-11-01 10:40:47 +0200 (Tue, 01 Nov 2016) | 4 lines
Changed paths:
   D /trunk/client/gui-gtk-3.0/gtkpixcomm.c
   D /trunk/client/gui-gtk-3.0/gtkpixcomm.h
   D /trunk/client/gui-gtk-3.22/gtkpixcomm.c
   D /trunk/client/gui-gtk-3.22/gtkpixcomm.h

Dropped unused copies of gtkpixcomm.[ch] from version control.

See patch #7893

------------------------------------------------------------------------
r34304 | cazfi | 2016-11-01 10:22:56 +0200 (Tue, 01 Nov 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-sdl2/diplodlg.c
   M /trunk/common/player.c

Present treaty cancellation button in sdl-clients when it should.

Reported by Jacob Nevins <jtn>

See bug #25245

------------------------------------------------------------------------
r34301 | mir3x | 2016-10-31 17:47:29 +0200 (Mon, 31 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/hudwidget.h
   M /trunk/client/gui-qt/menu.cpp

Qt client - added transport selection dialog
Reported by Marko Lindqvist <cazfi>

See patch #7154

------------------------------------------------------------------------
r34299 | mir3x | 2016-10-31 17:34:55 +0200 (Mon, 31 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/pages.cpp
   M /trunk/client/gui-qt/sidebar.cpp
   M /trunk/client/gui-qt/sidebar.h

Qt client - added menu to switch observed player

See patch #7890

------------------------------------------------------------------------
r34298 | sveinung | 2016-10-31 11:31:49 +0200 (Mon, 31 Oct 2016) | 3 lines
Changed paths:
   M /trunk/common/actions.h
   M /trunk/server/actiontools.c

Action auto performer action iterator macro.

See patch #7892
------------------------------------------------------------------------
r34296 | cazfi | 2016-10-31 10:02:05 +0200 (Mon, 31 Oct 2016) | 4 lines
Changed paths:
   M /trunk/data/scenarios/british-isles-85x80-v2.80.sav
   M /trunk/data/scenarios/earth-160x90-v2.sav
   M /trunk/data/scenarios/earth-80x50-v3.sav
   M /trunk/data/scenarios/europe-200x100-v2.sav
   M /trunk/data/scenarios/europe_1901.sav
   M /trunk/data/scenarios/france-140x90-v2.sav
   M /trunk/data/scenarios/hagworld-120x60-v1.2.sav
   M /trunk/data/scenarios/iberian-peninsula-136x100-v1.0.sav
   M /trunk/data/scenarios/italy-100x100-v1.5.sav
   M /trunk/data/scenarios/japan-88x100-v1.3.sav
   M /trunk/data/scenarios/north_america_116x100-v1.2.sav
   M /trunk/data/scenarios/tileset-demo.sav
   M /trunk/data/scenarios/tutorial.sav

Set last_updated_as_year to FALSE in supplied scenarios.

See patch #7891

------------------------------------------------------------------------
r34294 | cazfi | 2016-10-30 23:54:57 +0200 (Sun, 30 Oct 2016) | 2 lines
Changed paths:
   M /trunk/translations/core/fi.po

Updated Finnish translation.

------------------------------------------------------------------------
r34291 | cazfi | 2016-10-30 10:23:03 +0200 (Sun, 30 Oct 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2
   M /trunk/windows/installer_msys2/Makefile

Added Qt-client installer build to msys2 Makefile.

See patch #7888

------------------------------------------------------------------------
r34289 | sveinung | 2016-10-29 20:54:17 +0300 (Sat, 29 Oct 2016) | 11 lines
Changed paths:
   M /trunk/common/actions.h
   M /trunk/common/fc_types.h
   M /trunk/data/alien/game.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/stub/game.ruleset
   M /trunk/data/webperimental/game.ruleset
   M /trunk/server/rscompat.c
   M /trunk/server/ruleset.c
   M /trunk/server/unittools.c
   M /trunk/tools/ruleutil/rulesave.c

Let the ruleset exclude units from autoattack.

Let the ruleset specify one or more unit type flags that prevents a unit
from autoattacking. Remove the hard coding that stops all unit types that in
theory may become able to perform the "Explode Nuclear" action from auto
attacking.

Have the bundled rulesets can go back to using the "Nuclear" utype flag like
2.6 hard coded. Do the same to upgraded rulesets.

See bug #25233
------------------------------------------------------------------------
r34287 | cazfi | 2016-10-29 14:04:10 +0300 (Sat, 29 Oct 2016) | 4 lines
Changed paths:
   M /trunk/common/game.c
   M /trunk/common/game.h
   M /trunk/server/legacysave.c
   M /trunk/server/maphand.c
   M /trunk/server/savegame2.c
   M /trunk/server/savegame3.c

Store turn, not year, to plrtile last_updated.

See patch #7880

------------------------------------------------------------------------
r34285 | cazfi | 2016-10-29 10:27:06 +0300 (Sat, 29 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-3.22/gui_main.c

Dummified gtk3.22-client screen_width() and screen_height()

See patch #7877

------------------------------------------------------------------------
r34283 | mir3x | 2016-10-29 08:48:29 +0300 (Sat, 29 Oct 2016) | 5 lines
Changed paths:
   A /trunk/data/themes/gui-qt/NightStalker/cities.png
   A /trunk/data/themes/gui-qt/NightStalker/plantforest.png
   A /trunk/data/themes/gui-qt/NightStalker/research.png
   A /trunk/data/themes/gui-qt/NightStalker/units.png
   A /trunk/data/themes/gui-qt/NightStalker/view.png

Qt client - added missed icons
Reported by Jacob Nevins <jtn>

See patch #7881

------------------------------------------------------------------------
r34281 | cazfi | 2016-10-28 21:29:47 +0300 (Fri, 28 Oct 2016) | 5 lines
Changed paths:
   M /trunk/data/alien/game.ruleset
   M /trunk/data/alien/terrain.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2/terrain.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/classic/terrain.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/experimental/terrain.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/multiplayer/terrain.ruleset
   M /trunk/data/webperimental/game.ruleset
   M /trunk/data/webperimental/terrain.ruleset

Simplify rulesets that have just one extra having "ParadropFrom" flag to use direct
"Extra" requirements instead.

See patch #7886

------------------------------------------------------------------------
r34280 | mir3x | 2016-10-28 18:56:33 +0300 (Fri, 28 Oct 2016) | 4 lines
Changed paths:
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - themed disabled QCheckBox and QRadioButton

See bug #25235

------------------------------------------------------------------------
r34278 | mir3x | 2016-10-28 18:54:10 +0300 (Fri, 28 Oct 2016) | 4 lines
Changed paths:
   M /trunk/data/themes/gui-qt/Necrophos/Makefile.am
   D /trunk/data/themes/gui-qt/Necrophos/pattern.jpg
   A /trunk/data/themes/gui-qt/Necrophos/pattern.png
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   D /trunk/data/themes/gui-qt/Necrophos/sun.jpg
   A /trunk/data/themes/gui-qt/Necrophos/sun.png
   M /trunk/data/themes/gui-qt/NightStalker/Makefile.am
   D /trunk/data/themes/gui-qt/NightStalker/pattern-game.jpg
   A /trunk/data/themes/gui-qt/NightStalker/pattern-game.png
   D /trunk/data/themes/gui-qt/NightStalker/pattern.jpg
   A /trunk/data/themes/gui-qt/NightStalker/pattern.png
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss
   D /trunk/data/themes/gui-qt/NightStalker/sun.jpg
   A /trunk/data/themes/gui-qt/NightStalker/sun.png

Qt client - added some nighstalkers to images

See patch #7881

------------------------------------------------------------------------
r34276 | sveinung | 2016-10-28 16:15:58 +0300 (Fri, 28 Oct 2016) | 8 lines
Changed paths:
   M /trunk/server/ruleset.c
   M /trunk/tools/ruleutil/rulesave.c

Reusable action auto performer's rs conversion.

Action auto performers aren't fully exposed in the ruleset because their
semantic still isn't set in stone (see patch #6638). Make the code "missing
unit upkeep" uses to convert between action auto performers (in Freeciv's
memory) and regular settings (in the ruleset) reusable.

See patch #7885
------------------------------------------------------------------------
r34275 | sveinung | 2016-10-28 16:15:31 +0300 (Fri, 28 Oct 2016) | 5 lines
Changed paths:
   M /trunk/server/actiontools.c
   M /trunk/server/actiontools.h
   M /trunk/server/cityturn.c

Support other caused action performers.

Make action auto performers caused by someone else possible.

See patch #7883
------------------------------------------------------------------------
r34274 | sveinung | 2016-10-28 16:15:02 +0300 (Fri, 28 Oct 2016) | 6 lines
Changed paths:
   M /trunk/server/unittools.c

order execution: prepare for > 1 found city.

Get a city name if the action results in city founding rather than if its
action id matches found city.

See patch #7882
------------------------------------------------------------------------
r34273 | cazfi | 2016-10-28 13:20:09 +0300 (Fri, 28 Oct 2016) | 4 lines
Changed paths:
   M /trunk/doc/BUGS
   M /trunk/doc/README

Listed gtk3.22-client in README & BUGS client lists

See patch #7884

------------------------------------------------------------------------
r34271 | cazfi | 2016-10-27 23:09:59 +0300 (Thu, 27 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/cityrepdata.c
   M /trunk/client/cityrepdata.h
   M /trunk/client/gui-gtk-2.0/cityrep.c
   M /trunk/client/gui-gtk-3.0/cityrep.c
   M /trunk/client/gui-gtk-3.22/cityrep.c
   M /trunk/client/gui-qt/cityrep.cpp

Moved can_city_sell_universal() present in many guis to a single implementation
in client common code.

See patch #7879

------------------------------------------------------------------------
r34270 | mir3x | 2016-10-27 22:55:22 +0300 (Thu, 27 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/citydlg.h
   M /trunk/client/gui-qt/cityrep.cpp
   M /trunk/client/gui-qt/helpdlg.cpp
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/hudwidget.h
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/repodlgs.cpp
   M /trunk/client/gui-qt/sidebar.cpp

Qt client - fix some memory leaks

See bug #25232

------------------------------------------------------------------------
r34268 | mir3x | 2016-10-27 22:31:13 +0300 (Thu, 27 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/messagewin.cpp
   M /trunk/client/gui-qt/messagewin.h

Qt client - fixed cursor shape in message output

See bug bug #25231

------------------------------------------------------------------------
r34266 | mir3x | 2016-10-27 22:26:37 +0300 (Thu, 27 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/sidebar.cpp

Qt client -fixed crash when reloading sidebar pixmaps from PAGE MAIN

See bug #25229

------------------------------------------------------------------------
r34264 | mir3x | 2016-10-27 22:24:37 +0300 (Thu, 27 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-qt/themes.cpp

Qt client - under windows doesnt find themes

See bug #25228

------------------------------------------------------------------------
r34261 | sveinung | 2016-10-27 14:00:50 +0300 (Thu, 27 Oct 2016) | 1 line
Changed paths:
   M /trunk/server/actiontools.c

Comment terminology fix.
------------------------------------------------------------------------
r34260 | sveinung | 2016-10-27 14:00:43 +0300 (Thu, 27 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/helpdata.c

help: auto document action distance range.

This supersedes the custom auto range documentation for "Paradrop Unit".

See patch #7878
------------------------------------------------------------------------
r34259 | sveinung | 2016-10-27 14:00:31 +0300 (Thu, 27 Oct 2016) | 6 lines
Changed paths:
   M /trunk/tools/civmanual.c

freeciv-manual: mention Freeciv-web's use.

Mention that Freeciv-web uses freeciv-manual's government and unit type
output.

See patch #7875
------------------------------------------------------------------------
r34258 | sveinung | 2016-10-27 14:00:23 +0300 (Thu, 27 Oct 2016) | 14 lines
Changed paths:
   M /trunk/tools/Makefile.am

Permit freeciv-manual in client less builds.

Freeciv-web uses freeciv-manual to get some help texts Freeciv generates
from the ruleset. Having to compile the C clients would slow down the
Freeciv-web build. The build system is capable of compiling the client
source files freeciv-manual needs.

In an earlier "freeciv-manual without the client" experiment a difference in
the generated server commands and server setting output was observed. This
was interpreted as corruption caused the client not being compiled. The
experiment couldn't be replicated. The difference may have been caused by an
accidental variation in applied patches and compile time settings.

See patch #7874
------------------------------------------------------------------------
r34254 | mir3x | 2016-10-26 01:06:41 +0300 (Wed, 26 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - added scrollbars to city dialog

See patch #7869

------------------------------------------------------------------------
r34252 | mir3x | 2016-10-26 00:45:35 +0300 (Wed, 26 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Qt client - added size grip to city dialog

See patch #7873

------------------------------------------------------------------------
r34250 | mir3x | 2016-10-26 00:43:27 +0300 (Wed, 26 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/citydlg.h

Qt client - added tooltips to city dialog close/next/prev buttons.

See patch #7868

------------------------------------------------------------------------
r34245 | cazfi | 2016-10-25 21:58:00 +0300 (Tue, 25 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/gui_stuff.c
   M /trunk/client/gui-gtk-3.22/gui_stuff.c

Correctly set 'bold' as font-weight, not font-style.

See bug #25226

------------------------------------------------------------------------
r34244 | cazfi | 2016-10-25 19:30:05 +0300 (Tue, 25 Oct 2016) | 4 lines
Changed paths:
   M /trunk/INSTALL

Changed references to 'gtk3x-client' to 'gtk3.22-client' in INSTALL.

See patch #7872

------------------------------------------------------------------------
r34242 | cazfi | 2016-10-25 09:36:16 +0300 (Tue, 25 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-3.22/gui_main.c
   M /trunk/client/gui-gtk-3.22/gui_main.h
   M /trunk/client/options.c
   M /trunk/client/options.h
   M /trunk/client/tilespec.c

Added options specific to gtk3.22-client.

See patch #7867

------------------------------------------------------------------------
r34240 | sveinung | 2016-10-24 14:54:45 +0300 (Mon, 24 Oct 2016) | 7 lines
Changed paths:
   M /trunk/server/actiontools.c
   M /trunk/server/actiontools.h
   M /trunk/server/diplomats.c
   M /trunk/server/unithand.c

action consequence functions: action as action.

Make the parameter that specifies the action for the functions
action_consequence_caught() and action_consequence_success() an action
rather than an action id. Define an id version for each via macros.

See patch #7864
------------------------------------------------------------------------
r34239 | sveinung | 2016-10-24 14:54:19 +0300 (Mon, 24 Oct 2016) | 3 lines
Changed paths:
   M /trunk/client/helpdata.c

help: show tech class to global observers.

See bug #25213
------------------------------------------------------------------------
r34238 | sveinung | 2016-10-24 14:53:35 +0300 (Mon, 24 Oct 2016) | 6 lines
Changed paths:
   M /trunk/tools/civmanual.c

freeciv-manual: generate tech help.

It only includes the tech name and the help text (including the auto
generated parts) for now.

See patch #7863
------------------------------------------------------------------------
r34233 | cazfi | 2016-10-24 00:49:54 +0300 (Mon, 24 Oct 2016) | 2 lines
Changed paths:
   M /trunk/translations/core/fi.po

Updated Finnish translation.

------------------------------------------------------------------------
r34231 | cazfi | 2016-10-24 00:05:42 +0300 (Mon, 24 Oct 2016) | 2 lines
Changed paths:
   M /trunk/translations/ruledit/fi.po

Updated Finnish ruledit translation.

------------------------------------------------------------------------
r34230 | cazfi | 2016-10-23 21:24:52 +0300 (Sun, 23 Oct 2016) | 4 lines
Changed paths:
   M /trunk/m4/gtk3.22-client.m4

Fixed enabling of gtk3.22-client with --enable-client=all.

See bug #25211

------------------------------------------------------------------------
r34229 | mir3x | 2016-10-23 21:08:41 +0300 (Sun, 23 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss
   M /trunk/data/themes/gui-qt/System/resource.qss

Qt client - control popup info colors from theme

See patch #7857

------------------------------------------------------------------------
r34227 | mir3x | 2016-10-23 21:05:48 +0300 (Sun, 23 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/data/themes/gui-qt/icons/Makefile.am
   A /trunk/data/themes/gui-qt/icons/cclose.png
   A /trunk/data/themes/gui-qt/icons/cmax.png
   A /trunk/data/themes/gui-qt/icons/cmin.png

Qt client - use custom close/minimize/buttons for no titlebar mode

See patch #7856

------------------------------------------------------------------------
r34225 | mir3x | 2016-10-23 21:00:51 +0300 (Sun, 23 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/chatline.cpp
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fonts.cpp
   M /trunk/client/gui-qt/fonts.h

Qt client - try to set better fonts on first run

See patch #7854

------------------------------------------------------------------------
r34223 | mir3x | 2016-10-23 20:54:54 +0300 (Sun, 23 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/repodlgs.cpp

Qt client - popup science report only when raise is set.

See bug #25207

------------------------------------------------------------------------
r34221 | mir3x | 2016-10-23 20:53:08 +0300 (Sun, 23 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/pages.cpp
   M /trunk/client/gui-qt/sidebar.cpp
   M /trunk/client/gui-qt/sidebar.h
   M /trunk/client/gui-qt/themes.cpp

Qt client - sidebar icons not updated on theme change

See bug #25206

------------------------------------------------------------------------
r34218 | mir3x | 2016-10-23 20:46:35 +0300 (Sun, 23 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Qt client - progress bar might show extra frame when acquired focus

See bug #25202

------------------------------------------------------------------------
r34217 | mir3x | 2016-10-23 20:44:26 +0300 (Sun, 23 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/chatline.cpp
   M /trunk/client/gui-qt/chatline.h
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/messagewin.cpp
   M /trunk/client/gui-qt/messagewin.h
   M /trunk/client/gui-qt/pages.cpp
   M /trunk/client/gui-qt/themes.cpp
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/Makefile.am
   A /trunk/data/themes/gui-qt/NightStalker/city-close.png
   A /trunk/data/themes/gui-qt/NightStalker/city-left.png
   A /trunk/data/themes/gui-qt/NightStalker/city-right.png
   A /trunk/data/themes/gui-qt/NightStalker/city-switch.png
   M /trunk/data/themes/gui-qt/NightStalker/pattern-game.jpg
   M /trunk/data/themes/gui-qt/NightStalker/pattern.jpg
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/splitter-horizontal.png
   M /trunk/data/themes/gui-qt/NightStalker/splitter-vertical.png
   M /trunk/data/themes/gui-qt/NightStalker/sun.jpg
   M /trunk/data/themes/gui-qt/System/resource.qss
   M /trunk/data/themes/gui-qt/icons/Makefile.am
   M /trunk/data/themes/gui-qt/icons/buildroad.png
   M /trunk/data/themes/gui-qt/icons/chopchop.png
   A /trunk/data/themes/gui-qt/icons/city-close.png
   A /trunk/data/themes/gui-qt/icons/city-left.png
   A /trunk/data/themes/gui-qt/icons/city-right.png
   A /trunk/data/themes/gui-qt/icons/city-switch.png
   M /trunk/data/themes/gui-qt/icons/done.png
   M /trunk/data/themes/gui-qt/icons/fortify.png
   M /trunk/data/themes/gui-qt/icons/goto.png
   M /trunk/data/themes/gui-qt/icons/home.png
   M /trunk/data/themes/gui-qt/icons/irrigation.png
   M /trunk/data/themes/gui-qt/icons/load.png
   M /trunk/data/themes/gui-qt/icons/mine.png
   M /trunk/data/themes/gui-qt/icons/nuke.png
   M /trunk/data/themes/gui-qt/icons/plantforest.png
   M /trunk/data/themes/gui-qt/icons/sentry.png
   M /trunk/data/themes/gui-qt/icons/transform.png
   M /trunk/data/themes/gui-qt/icons/unload.png
   M /trunk/data/themes/gui-qt/icons/wait.png

Qt client - themes tuning

See patch #7865

------------------------------------------------------------------------
r34214 | cazfi | 2016-10-23 10:57:50 +0300 (Sun, 23 Oct 2016) | 6 lines
Changed paths:
   M /trunk/client/tilespec.c

Made goto activity icon to use correct offsets.

Reported by Jacob Nevins <jtn>

See bug #25039

------------------------------------------------------------------------
r34212 | cazfi | 2016-10-23 10:09:16 +0300 (Sun, 23 Oct 2016) | 4 lines
Changed paths:
   M /trunk/windows/Makefile.am
   M /trunk/windows/installer_msys2/Makefile
   A /trunk/windows/installer_msys2/create-freeciv-gtk3.22-nsi.sh (from /trunk/windows/installer_msys2/create-freeciv-gtk3x-nsi.sh:34211)
   D /trunk/windows/installer_msys2/create-freeciv-gtk3x-nsi.sh

Updated gtk3.22-client enabling configure option in msys2 Windows Installer makefile.

See patch #7858

------------------------------------------------------------------------
r34210 | sveinung | 2016-10-23 05:19:47 +0300 (Sun, 23 Oct 2016) | 7 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h

Declare action_blocked_by_situation_*() const.

The action argument of the functions action_blocked_by_situation_act() and
action_blocked_by_situation_tgt() shouldn't modify their action argument.
Declare it const.

See patch #7860
------------------------------------------------------------------------
r34209 | sveinung | 2016-10-23 05:19:37 +0300 (Sun, 23 Oct 2016) | 6 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h

Declare action_get_*_kind() action const.

The functions action_get_actor_kind() and action_get_target_kind() shouldn't
modify their action parameter. Declare it const.

See patch #7859
------------------------------------------------------------------------
r34205 | cazfi | 2016-10-22 17:40:11 +0300 (Sat, 22 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/citydlg.c
   M /trunk/client/gui-gtk-3.22/citydlg.c

Do not use small screen layout for gtk3-clients' citydlg when screen size is unknown.

See patch #7861

------------------------------------------------------------------------
r34203 | cazfi | 2016-10-21 22:54:17 +0300 (Fri, 21 Oct 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2
   M /trunk/windows/installer_msys2/Makefile

Updated msys2 environment to 161018 level.

See patch #7757

------------------------------------------------------------------------
r34199 | sveinung | 2016-10-21 13:35:52 +0300 (Fri, 21 Oct 2016) | 6 lines
Changed paths:
   M /trunk/common/player.c

A real embassy excludes no embassy at all.

Let the DiplRel requirements contradiction checking know that the presence
of a real embassy contradicts the absence of any embassy at all.

See patch #7855
------------------------------------------------------------------------
r34198 | sveinung | 2016-10-21 13:35:30 +0300 (Fri, 21 Oct 2016) | 6 lines
Changed paths:
   M /trunk/tools/civmanual.c

freeciv-manual: mark government help text.

Dividing the generated government type help items into sub sections makes it
more machine readable.

See patch #7853
------------------------------------------------------------------------
r34197 | sveinung | 2016-10-21 13:35:05 +0300 (Fri, 21 Oct 2016) | 6 lines
Changed paths:
   M /trunk/common/requirements.c

requirements: x contradicts !x.

Exact opposite requirements will always contradict each other. Use this fact
to speed up are_requirements_contradictions().

See patch #7852
------------------------------------------------------------------------
r34195 | cazfi | 2016-10-20 16:52:18 +0300 (Thu, 20 Oct 2016) | 5 lines
Changed paths:
   M /trunk/windows/Makefile.am
   M /trunk/windows/installer_msys2/create-freeciv-gtk3x-nsi.sh
   A /trunk/windows/installer_msys2/freeciv-gtk3.22.cmd (from /trunk/windows/installer_msys2/freeciv-gtk3x.cmd:34194)
   D /trunk/windows/installer_msys2/freeciv-gtk3x.cmd

Adjusted msys2 based Windows Installer makefile to recent gtk3.22-client
binary name change.

See patch #7851

------------------------------------------------------------------------
r34193 | sveinung | 2016-10-20 16:08:35 +0300 (Thu, 20 Oct 2016) | 6 lines
Changed paths:
   M /trunk/tools/civmanual.c

Fix double free in freeciv-manual.

The ruleset option is set to be garbage collected. Don't free the variable
pointing to it.

See bug #25201
------------------------------------------------------------------------
r34192 | sveinung | 2016-10-20 16:04:56 +0300 (Thu, 20 Oct 2016) | 6 lines
Changed paths:
   M /trunk/data/webperimental/game.ruleset

webperimental: clarify relation to experimental.

Make it clear to fans of the experimental ruleset that webperimental isn't
based on experimental.

See patch #7848
------------------------------------------------------------------------
r34191 | mir3x | 2016-10-20 12:04:30 +0300 (Thu, 20 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/hudwidget.h
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/mapview.h
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h
   M /trunk/client/gui-qt/pages.cpp
   M /trunk/client/gui-qt/shortcuts.cpp
   M /trunk/client/gui-qt/shortcuts.h
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss
   M /trunk/data/themes/gui-qt/icons/Makefile.am
   A /trunk/data/themes/gui-qt/icons/buildroad.png
   A /trunk/data/themes/gui-qt/icons/chopchop.png
   A /trunk/data/themes/gui-qt/icons/done.png
   A /trunk/data/themes/gui-qt/icons/fortify.png
   A /trunk/data/themes/gui-qt/icons/goto.png
   A /trunk/data/themes/gui-qt/icons/home.png
   A /trunk/data/themes/gui-qt/icons/irrigation.png
   A /trunk/data/themes/gui-qt/icons/load.png
   A /trunk/data/themes/gui-qt/icons/mine.png
   A /trunk/data/themes/gui-qt/icons/move.png
   A /trunk/data/themes/gui-qt/icons/nuke.png
   A /trunk/data/themes/gui-qt/icons/plantforest.png
   A /trunk/data/themes/gui-qt/icons/sentry.png
   A /trunk/data/themes/gui-qt/icons/transform.png
   A /trunk/data/themes/gui-qt/icons/unload.png
   A /trunk/data/themes/gui-qt/icons/wait.png

Qt client - new unit label

See patch #7847

------------------------------------------------------------------------
r34189 | mir3x | 2016-10-20 10:57:42 +0300 (Thu, 20 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/mapview.h
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss
   M /trunk/data/themes/gui-qt/icons/Makefile.am
   A /trunk/data/themes/gui-qt/icons/close.png
   A /trunk/data/themes/gui-qt/icons/resize.png

Qt client - move resize and close pixmap out of code and let them be controlled by theme

See patch #7850

------------------------------------------------------------------------
r34186 | cazfi | 2016-10-20 10:47:30 +0300 (Thu, 20 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/ratesdlg.cpp

Changed Qt-client policies adjusting window title to speak of "policies"
instead of "government modifiers"

See patch #7840

------------------------------------------------------------------------
r34185 | mir3x | 2016-10-20 10:44:18 +0300 (Thu, 20 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - control overview border color from theme

See patch #7849

------------------------------------------------------------------------
r34183 | mir3x | 2016-10-20 10:41:32 +0300 (Thu, 20 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Qt client - change tooltip in city dialog

See bug #25200


------------------------------------------------------------------------
r34181 | cazfi | 2016-10-20 00:55:02 +0300 (Thu, 20 Oct 2016) | 4 lines
Changed paths:
   M /trunk/configure.ac

Turned gtk3.22 modpack installer in to new gtk3x version that builds with flags from gtk+-4.0.pc

See patch #7846

------------------------------------------------------------------------
r34180 | sveinung | 2016-10-19 15:21:31 +0300 (Wed, 19 Oct 2016) | 6 lines
Changed paths:
   M /trunk/data/alien/game.ruleset
   M /trunk/data/alien/units.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ1/units.ruleset

Remove "Marines" utype flag from alien and civ1.

The alien ruleset and the civ1 ruleset doesn't have any unit types that uses
the "Marines" unit type flag. Remove it.

See patch #7844
------------------------------------------------------------------------
r34179 | sveinung | 2016-10-19 15:21:13 +0300 (Wed, 19 Oct 2016) | 6 lines
Changed paths:
   M /trunk/common/actions.c

action_prob_vs_units(): distance is known.

An action is known to be impossible if the distance between actor and target
is out of the accepted range.

See bug #25196
------------------------------------------------------------------------
r34178 | sveinung | 2016-10-19 15:20:40 +0300 (Wed, 19 Oct 2016) | 9 lines
Changed paths:
   M /trunk/common/actions.c

Clean up enablers after adding obligatory reqs.

Have action_enabler_obligatory_reqs_add() remove any requirements that
conflicts with the action's obligatory hard requirements it just added.
This, together with the automatic obligatory hard req appending already done
in action_enabler_obligatory_reqs_add(), makes ruledit's enabler action
changing produce valid enablers.

See patch #7842
------------------------------------------------------------------------
r34177 | sveinung | 2016-10-19 15:20:23 +0300 (Wed, 19 Oct 2016) | 7 lines
Changed paths:
   M /trunk/data/webperimental/game.ruleset
   M /trunk/data/webperimental/units.ruleset

webperimental: hand write "Heal Unit" help.

The auto generated help text for the "Heal Unit" action doesn't cover
every part of its rules. Replace the autogenerated help text with a
more detailed handwritten description.

See patch #7841
------------------------------------------------------------------------
r34174 | cazfi | 2016-10-19 10:53:01 +0300 (Wed, 19 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/pages.c
   M /trunk/client/gui-gtk-3.22/pages.c

When screen size cannot be queried, assume minimum height instead of considering it zero,
when deciding size for intro picture.

See patch #7845

------------------------------------------------------------------------
r34172 | cazfi | 2016-10-18 18:33:49 +0300 (Tue, 18 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/fonts.h

Removed unnecessary line preventing compilation on msys1 environment from qt-client.

See bug #25191

------------------------------------------------------------------------
r34170 | sveinung | 2016-10-18 15:13:45 +0300 (Tue, 18 Oct 2016) | 5 lines
Changed paths:
   M /trunk/data/webperimental/game.ruleset

webperimental: clarify how the Leader heals.

Give the Leader's "Heal Unit" action the name "Use Court Physician".

See patch #7839
------------------------------------------------------------------------
r34169 | sveinung | 2016-10-18 15:13:24 +0300 (Tue, 18 Oct 2016) | 3 lines
Changed paths:
   M /trunk/data/webperimental/game.ruleset

webperimental: clarify description wording.

See patch #7838
------------------------------------------------------------------------
r34168 | sveinung | 2016-10-18 15:13:01 +0300 (Tue, 18 Oct 2016) | 3 lines
Changed paths:
   M /trunk/tools/ruledit/req_edit.cpp

ruledit: keep req vec order on req deletion.

See patch #7836
------------------------------------------------------------------------
r34167 | sveinung | 2016-10-18 15:11:49 +0300 (Tue, 18 Oct 2016) | 8 lines
Changed paths:
   M /trunk/common/requirements.c
   M /trunk/common/requirements.h

Add a req vec conflict removal utility.

Existing requirement adjustment code appends needed requirements to a vector
without checking if an existing requirement contradicts them. Add
requirement_vector_contradiction_clean(), an utility that detects and
removes conflicting requirements.

See patch #7837
------------------------------------------------------------------------
r34166 | sveinung | 2016-10-18 15:10:47 +0300 (Tue, 18 Oct 2016) | 10 lines
Changed paths:
   M /trunk/data/alien/game.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/webperimental/game.ruleset

Fix conquer city ui name typos.

Have the rulesets set ui_name_conquer_city rather than the non existing
ui_conquer_city.

Fix mnemonic insertion.

Reported by Marko Lindqvist <cazfi>

See bug #25190
------------------------------------------------------------------------
r34165 | sveinung | 2016-10-18 15:10:30 +0300 (Tue, 18 Oct 2016) | 3 lines
Changed paths:
   M /trunk/utility/specvec.h

specvec: introduce foo_vector_remove().

See patch #7835
------------------------------------------------------------------------
r34164 | sveinung | 2016-10-18 15:09:52 +0300 (Tue, 18 Oct 2016) | 9 lines
Changed paths:
   M /trunk/tools/ruledit/tab_enablers.cpp

ruledit enabler type change: add obligatory.

Modify an action enabler's requirements on action type change to make them
satisfy the new action's obligatory hard requirements.

Confirmation dialog wording allows action_enabler_obligatory_reqs_add() to
start removing conflicting requirements.

See patch #7822
------------------------------------------------------------------------
r34163 | cazfi | 2016-10-17 17:08:09 +0300 (Mon, 17 Oct 2016) | 4 lines
Changed paths:
   A /trunk/bootstrap/freeciv-gtk3.22.appdata.xml.in
   A /trunk/bootstrap/freeciv-gtk3.22.desktop.in
   M /trunk/client/Makefile.am
   M /trunk/configure.ac

Added gtk3.22-client desktop and appdata files.

See patch #7814

------------------------------------------------------------------------
r34161 | sveinung | 2016-10-17 10:47:19 +0300 (Mon, 17 Oct 2016) | 3 lines
Changed paths:
   M /trunk/common/actions.c

Move data hard coding out of actions_init().

See patch #7833
------------------------------------------------------------------------
r34160 | sveinung | 2016-10-17 10:46:59 +0300 (Mon, 17 Oct 2016) | 6 lines
Changed paths:
   M /trunk/tools/civmanual.c

freeciv-manual: divide utype into sub sections.

Dividing the generated unit type help items into sub sections makes it more
machine readable.

See patch #7832
------------------------------------------------------------------------
r34159 | sveinung | 2016-10-17 10:46:33 +0300 (Mon, 17 Oct 2016) | 6 lines
Changed paths:
   M /trunk/tools/civmanual.c

freeciv-manual: remove redundant newlines.

Patch #7817 accidentally added extra newlines to the mediawiki output.
Remove them.

See bug #25181
------------------------------------------------------------------------
r34158 | sveinung | 2016-10-17 10:46:14 +0300 (Mon, 17 Oct 2016) | 6 lines
Changed paths:
   M /trunk/server/diplomats.c

Spy action performers: split act id from result.

Separate action id from action result by using action_id_has_result() to
check an action's result rather than checking its action id.

See patch #7831
------------------------------------------------------------------------
r34156 | sveinung | 2016-10-16 18:34:58 +0300 (Sun, 16 Oct 2016) | 3 lines
Changed paths:
   M /trunk/tools/civmanual.c

freeciv-manual: separate government items.

See patch #7825
------------------------------------------------------------------------
r34155 | sveinung | 2016-10-16 18:34:27 +0300 (Sun, 16 Oct 2016) | 6 lines
Changed paths:
   M /trunk/tools/civmanual.c

freeciv-manual: clarify markup constant name.

Rename SECTION_BEGIN and SECTION_END to SECTION_TITLE_BEGIN and
SECTION_TITLE_END.

See patch #7823
------------------------------------------------------------------------
r34154 | sveinung | 2016-10-16 18:33:34 +0300 (Sun, 16 Oct 2016) | 6 lines
Changed paths:
   M /trunk/tools/civmanual.c

freeciv-manual: add item id.

Add an item id to files that separate items from each other. This makes the
generated help more machine readable.

See patch #7821
------------------------------------------------------------------------
r34152 | cazfi | 2016-10-16 13:51:45 +0300 (Sun, 16 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/tilespec.c
   M /trunk/common/fc_types.h
   M /trunk/fc_version

Added GUI_GTK3_22 definition.

See patch #7759

------------------------------------------------------------------------
r34150 | cazfi | 2016-10-16 11:24:45 +0300 (Sun, 16 Oct 2016) | 2 lines
Changed paths:
   M /trunk/translations/core/fi.po

Updated Finnish translation.

------------------------------------------------------------------------
r34148 | sveinung | 2016-10-15 23:44:35 +0300 (Sat, 15 Oct 2016) | 7 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h

Introduce action_[id_]has_result().

At the moment an action's result is the same as its action id. Make it
possible to write code that checks an action's result without relying on its
action id.

See patch #7820
------------------------------------------------------------------------
r34145 | sveinung | 2016-10-15 23:39:56 +0300 (Sat, 15 Oct 2016) | 1 line
Changed paths:
   M /trunk/utility/specvec.h

specvec comment: document foo_vector_append().
------------------------------------------------------------------------
r34140 | cazfi | 2016-10-15 08:17:33 +0300 (Sat, 15 Oct 2016) | 8 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/gui_stuff.c
   M /trunk/client/gui-gtk-3.22/gui_stuff.c

Corrections to the way gtk3-clients produce font css
- Size is considered pixels, not points
- Handle font style and weight

Reported by Jacob Nevins <jtn>

See patch #7162

------------------------------------------------------------------------
r34139 | mir3x | 2016-10-15 01:52:55 +0300 (Sat, 15 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/dialogs.h
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss
   M /trunk/data/themes/gui-qt/System/resource.qss

Qt client - control unit selection dialog colors from theme

See patch #7829


------------------------------------------------------------------------
r34137 | mir3x | 2016-10-15 01:46:53 +0300 (Sat, 15 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/sidebar.cpp

Qt client - faster map redraw

See patch #7828


------------------------------------------------------------------------
r34135 | mir3x | 2016-10-15 01:44:47 +0300 (Sat, 15 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/options.c

Fix typo in qt options

See patch #7827


------------------------------------------------------------------------
r34133 | mir3x | 2016-10-15 01:43:17 +0300 (Sat, 15 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss
   M /trunk/data/themes/gui-qt/System/resource.qss

Qt client - control notify dialog colors from theme

See patch #7826


------------------------------------------------------------------------
r34131 | mir3x | 2016-10-15 01:41:27 +0300 (Sat, 15 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/sidebar.cpp
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss
   M /trunk/data/themes/gui-qt/System/resource.qss

Qt client - allow theming sidebar

See patch #7824


------------------------------------------------------------------------
r34129 | mir3x | 2016-10-15 01:39:29 +0300 (Sat, 15 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp

Qt client - fixed bad position of hud message box

See bug #25172


------------------------------------------------------------------------
r34127 | mir3x | 2016-10-15 01:34:21 +0300 (Sat, 15 Oct 2016) | 7 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp

Qt client - Fixed "QColor::setAlpha: invalid value" warnings

Reported by Louis Moureaux <louis94>

See bug #25169


------------------------------------------------------------------------
r34125 | mir3x | 2016-10-15 01:31:07 +0300 (Sat, 15 Oct 2016) | 7 lines
Changed paths:
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/hudwidget.h
   M /trunk/client/gui-qt/repodlgs.cpp

Qt client - Fixed crash in hud_message_box

Reported by Louis Moureaux <louis94>

See bug #25168


------------------------------------------------------------------------
r34123 | mir3x | 2016-10-15 01:26:15 +0300 (Sat, 15 Oct 2016) | 7 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/shortcuts.cpp
   M /trunk/client/gui-qt/shortcuts.h

Qt client - Fixed clang warnings

Reported by Marko Lindqvist <cazfi>

See bug #25166


------------------------------------------------------------------------
r34121 | cazfi | 2016-10-14 16:37:45 +0300 (Fri, 14 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/Makefile.am

Set name of the gtk3.22-client binary to freeciv-gtk3.22

See patch #7807

------------------------------------------------------------------------
r34118 | cazfi | 2016-10-14 07:53:19 +0300 (Fri, 14 Oct 2016) | 6 lines
Changed paths:
   M /trunk/ai/default/daidiplomacy.c

Randomize AI love on first contact.

Reported by Jacob Nevins <jtn>

See bug #25045

------------------------------------------------------------------------
r34116 | cazfi | 2016-10-13 19:06:37 +0300 (Thu, 13 Oct 2016) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/m4/gtk3.22-client.m4

Changed gtk3.22-client enabling --enable-client value to 'gtk3.22'

See patch #7806

------------------------------------------------------------------------
r34115 | sveinung | 2016-10-13 13:12:39 +0300 (Thu, 13 Oct 2016) | 8 lines
Changed paths:
   M /trunk/server/unithand.c

Explanation: "Conquer City" is city targeted.

Check the target city's tile rather than a potentially missing target tile
when trying to explain why the "Conquer City" action was illegal.

Reported by Andreas Røsdal <andreasr>

See bug #25170
------------------------------------------------------------------------
r34114 | sveinung | 2016-10-13 13:12:12 +0300 (Thu, 13 Oct 2016) | 6 lines
Changed paths:
   M /trunk/tools/civmanual.c

freeciv-manual: mark section headline in HTML.

Mark an item's section headline by giving it the class "section" in
the generated HTML.

See patch #7819
------------------------------------------------------------------------
r34113 | sveinung | 2016-10-13 13:11:23 +0300 (Thu, 13 Oct 2016) | 6 lines
Changed paths:
   M /trunk/tools/civmanual.c

freeciv-manual: mention ruleset name.

Mention what ruleset the manual is generated for in all generated files that
depends on the ruleset in use.

See patch #7818
------------------------------------------------------------------------
r34112 | sveinung | 2016-10-13 13:10:56 +0300 (Thu, 13 Oct 2016) | 6 lines
Changed paths:
   M /trunk/tools/civmanual.c

freeciv-manual: split the item separator.

Replace SEPARATOR with ITEM_BEGIN and ITEM_END. Use the div tag to separate
the items in the HTML output.

See patch #7817
------------------------------------------------------------------------
r34111 | sveinung | 2016-10-13 02:23:29 +0300 (Thu, 13 Oct 2016) | 6 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/server/rscompat.c

Centralize action obligatory hard req handling.

Introduce action_enabler_obligatory_reqs_add(). Have it use the same data as
the sanity cheking. Use it when upgrading a ruleset.

See patch #7803
------------------------------------------------------------------------
r34110 | cazfi | 2016-10-12 21:19:15 +0300 (Wed, 12 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/Makefile.am
   M /trunk/configure.ac

Added new gtk3x-client section to client/Makefile.am

See patch #7805

------------------------------------------------------------------------
r34108 | sveinung | 2016-10-12 17:13:40 +0300 (Wed, 12 Oct 2016) | 10 lines
Changed paths:
   M /trunk/server/unittools.c

Auto attack is performed by the rules.

When the autoattack setting is enabled a server side auto attack happens
automatically. This means that auto attack isn't player performed. The
player doesn't control if his units (or a particular unit) should auto
attack or not. This means that auto attack isn't controlled by a server side
agent. The autoattack setting is a rule. Declare that the actions performed
by it is done by the rules.

See patch #7811
------------------------------------------------------------------------
r34107 | sveinung | 2016-10-12 17:13:26 +0300 (Wed, 12 Oct 2016) | 7 lines
Changed paths:
   M /trunk/common/actions.c

Data driven action obligatory hard requirements.

Making the obligatory hard requirements data driven makes it more readable.
It also enables other functions to use the data rather than adding the same
information more than once.

See patch #7802
------------------------------------------------------------------------
r34105 | cazfi | 2016-10-12 10:58:08 +0300 (Wed, 12 Oct 2016) | 5 lines
Changed paths:
   M /trunk/windows/installer_msys2/Makefile

Set msys2 Windows Installer makefile target 'all' to depend on those installers that can
be built with official msys2 environment.

See patch #7813

------------------------------------------------------------------------
r34104 | mir3x | 2016-10-12 09:31:37 +0300 (Wed, 12 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/hudwidget.cpp
   M /trunk/client/gui-qt/hudwidget.h
   M /trunk/client/gui-qt/mapctrl.cpp
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - replaced QInputDialog with custom dialog

See patch #7812


------------------------------------------------------------------------
r34101 | cazfi | 2016-10-12 03:29:23 +0300 (Wed, 12 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/client_main.c
   M /trunk/client/options.c
   M /trunk/client/options.h
   M /trunk/client/tilespec.c
   M /trunk/client/tilespec.h

Fill initial default for tileset option for all topologies.

See patch #6875

------------------------------------------------------------------------
r34099 | cazfi | 2016-10-11 22:25:36 +0300 (Tue, 11 Oct 2016) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   A /trunk/m4/gtk3x-client.m4

Added gtk3x-client.m4

See patch #7799

------------------------------------------------------------------------
r34097 | sveinung | 2016-10-11 17:18:17 +0300 (Tue, 11 Oct 2016) | 6 lines
Changed paths:
   M /trunk/common/actions.c

Ruleset action enabler access sanity checks.

* a non existing action doesn't have enablers.
* a non existing action enabler can't be added or removed.

See patch #7804
------------------------------------------------------------------------
r34096 | sveinung | 2016-10-11 17:17:56 +0300 (Tue, 11 Oct 2016) | 7 lines
Changed paths:
   M /trunk/server/unittools.c

auto attack: check if enemy can perform actions.

A unit on an adjacent tile may be unable to perform an auto attack action
because no auto attack action is enabled. Select auto attackers based on
their ability to perform an auto attack action.

See patch #7810
------------------------------------------------------------------------
r34095 | sveinung | 2016-10-11 17:16:15 +0300 (Tue, 11 Oct 2016) | 9 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/server/rssanity.c

Move obligatory hard requirements to actions.c.

An action may force all its enablers to include one or more of its hard
requirements. The information about what requirements are obligatory for
what actions has lived in rssanity.c's sanity_check_ruleset_data() until
now. Move it to the new function action_enabler_obligatory_reqs_missing().
Make it possible to check each individual action enabler.

See patch #7801
------------------------------------------------------------------------
r34094 | sveinung | 2016-10-11 17:15:46 +0300 (Tue, 11 Oct 2016) | 3 lines
Changed paths:
   M /trunk/utility/string_vector.c
   M /trunk/utility/string_vector.h

Introduce are_strvecs_equal().

See patch #7800
------------------------------------------------------------------------
r34090 | cazfi | 2016-10-11 08:26:56 +0300 (Tue, 11 Oct 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2

Updated documentation about location of the msys2 environment.

See patch #7798

------------------------------------------------------------------------
r34089 | cazfi | 2016-10-11 08:23:52 +0300 (Tue, 11 Oct 2016) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/m4/gtk3.22-client.m4

Renamed m4-macro FC_GTK3X_CLIENT as FC_GTK3_22_CLIENT.

See patch #7797

------------------------------------------------------------------------
r34085 | sveinung | 2016-10-10 14:57:47 +0300 (Mon, 10 Oct 2016) | 1 line
Changed paths:
   M /trunk/common/actions.c

Clarify action_enablers_for_action() header.
------------------------------------------------------------------------
r34084 | sveinung | 2016-10-10 14:57:30 +0300 (Mon, 10 Oct 2016) | 6 lines
Changed paths:
   M /trunk/client/control.c
   M /trunk/client/gui-gtk-2.0/menu.c
   M /trunk/client/gui-gtk-3.0/citydlg.c
   M /trunk/client/gui-gtk-3.0/menu.c
   M /trunk/client/gui-gtk-3.22/citydlg.c
   M /trunk/client/gui-gtk-3.22/menu.c
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-sdl2/citydlg.c
   M /trunk/client/gui-sdl2/mapctrl.c
   M /trunk/client/gui-sdl2/menu.c
   M /trunk/client/helpdata.c
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/common/scriptcore/api_game_methods.c
   M /trunk/server/actiontools.c
   M /trunk/server/unithand.c
   M /trunk/server/unittools.c

Make names of action UI name getters similar.

Reaname action_get_ui_name() to action_id_name_translation() to make it like
action_name_translation().

See patch #7796
------------------------------------------------------------------------
r34083 | sveinung | 2016-10-10 14:57:10 +0300 (Mon, 10 Oct 2016) | 3 lines
Changed paths:
   M /trunk/data/alien/units.ruleset
   M /trunk/data/civ1/units.ruleset
   M /trunk/data/civ2/units.ruleset
   M /trunk/data/civ2civ3/units.ruleset
   M /trunk/data/classic/units.ruleset
   M /trunk/data/experimental/units.ruleset
   M /trunk/data/multiplayer/units.ruleset
   M /trunk/data/ruledit/comments.txt
   M /trunk/data/sandbox/units.ruleset
   M /trunk/data/stub/units.ruleset
   M /trunk/data/webperimental/units.ruleset

Sort action needs utype field comment.

See patch #7795
------------------------------------------------------------------------
r34082 | sveinung | 2016-10-10 14:56:46 +0300 (Mon, 10 Oct 2016) | 9 lines
Changed paths:
   M /trunk/client/tilespec.c
   M /trunk/client/tilespec.h
   M /trunk/data/alio.tilespec
   M /trunk/data/amplio.tilespec
   M /trunk/data/amplio2.tilespec
   M /trunk/data/cimpletoon.tilespec
   M /trunk/data/hex2t.tilespec
   M /trunk/data/hexemplio.tilespec
   M /trunk/data/isophex.tilespec
   M /trunk/data/isotrident.tilespec
   M /trunk/data/toonhex.tilespec
   M /trunk/data/trident.tilespec

Make darkness_layer layer_order controlled.

Change the darknes_layer from something drawn on top of a tileset
configurable mapview_layer to an independent layer. This makes it tileset
configurable via the layer_order tileset option.

Patch by Louis Moureaux <louis94>

See patch #7731
------------------------------------------------------------------------
r34081 | sveinung | 2016-10-10 14:55:33 +0300 (Mon, 10 Oct 2016) | 7 lines
Changed paths:
   M /trunk/server/rssanity.c
   M /trunk/server/ruleset.c

Move "Attack" blocks "Conquer City" hard coding.

The rule doesn't depend on the ruleset. It therefore doesn't belong in
load_ruleset_game(). Move it to the other unconditional action blocking
rules in autoadjust_ruleset_data().

See patch #7794
------------------------------------------------------------------------
r34078 | mir3x | 2016-10-09 21:14:46 +0300 (Sun, 09 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Qt client - fixed unit menu in city dialog

See bug #25162


------------------------------------------------------------------------
r34077 | mir3x | 2016-10-09 21:09:47 +0300 (Sun, 09 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/Makefile.am
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/cityrep.cpp
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/dialogs.h
   M /trunk/client/gui-qt/gui_main.cpp
   A /trunk/client/gui-qt/hudwidget.cpp
   A /trunk/client/gui-qt/hudwidget.h
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/repodlgs.cpp
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/Necrophos/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - replaced QMessageBoxes with customized hud_message_box

See patch #7792


------------------------------------------------------------------------
r34074 | sveinung | 2016-10-09 18:28:15 +0300 (Sun, 09 Oct 2016) | 8 lines
Changed paths:
   M /trunk/data/ruledit/comments.txt

Update saved utype action field documentation.

The unit type documentation comments about what fields a unit type must have
to perform an action of the bundled rulesets were changed in patch #7711 and
patch #7712. The unit type comment saved with a ruleset wasn't. Synchronize
it.

See bug #25163
------------------------------------------------------------------------
r34073 | sveinung | 2016-10-09 18:27:54 +0300 (Sun, 09 Oct 2016) | 6 lines
Changed paths:
   M /trunk/server/diplomats.c
   M /trunk/server/diplomats.h
   M /trunk/server/unithand.c

Spy action performers: don't assume action id.

Stop assuming action id based on the action performer function for all spy
actions. Take the action id as a parameter instead.

See patch #7793
------------------------------------------------------------------------
r34072 | sveinung | 2016-10-09 18:27:35 +0300 (Sun, 09 Oct 2016) | 3 lines
Changed paths:
   M /trunk/tools/ruledit/tab_enablers.cpp
   M /trunk/tools/ruledit/tab_enablers.h

ruledit: support changing action enabler action.

See patch #7785
------------------------------------------------------------------------
r34071 | sveinung | 2016-10-09 18:27:16 +0300 (Sun, 09 Oct 2016) | 6 lines
Changed paths:
   M /trunk/tools/ruledit/tab_enablers.cpp

ruledit: show newly created action enablers.

New action enablers were only shown when they are recycled rather than
created. Show the new action enabler when it is created too.

See bug #25158
------------------------------------------------------------------------
r34068 | cazfi | 2016-10-09 13:51:28 +0300 (Sun, 09 Oct 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/gui_stuff.c
   M /trunk/client/gui-gtk-3.22/gui_stuff.c

Gtk3-clients construct proper font definitions css using pango.

Broken css reported by Bernhard <aldot>

See patch #7162

------------------------------------------------------------------------
r34060 | cazfi | 2016-10-08 21:42:22 +0300 (Sat, 08 Oct 2016) | 4 lines
Changed paths:
   M /trunk/data/themes/gui-gtk-3.0/Freeciv/gtk-3.0/gtk.css
   M /trunk/data/themes/gui-gtk-3.22/Freeciv/gtk-3.0/gtk.css

Corrected font definition in gtk3-client Freeciv theme.

See bug #25160

------------------------------------------------------------------------
r34059 | sveinung | 2016-10-08 21:37:53 +0300 (Sat, 08 Oct 2016) | 6 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/common/scriptcore/api_game_methods.c
   M /trunk/server/rssanity.c
   M /trunk/server/unithand.c

Make names of action rule name getters similar.

Rename action_get_rule_name() to action_id_rule_name(). Move the header
declaration of action_rule_name() next to it.

See patch #7788
------------------------------------------------------------------------
r34058 | sveinung | 2016-10-08 21:37:38 +0300 (Sat, 08 Oct 2016) | 6 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h

Allow removing an enabler from a ruleset.

Rulesets can now change while in memory. Improve action enabler support of
this by introducing the function action_enabler_remove().

See patch #7787
------------------------------------------------------------------------
r34057 | sveinung | 2016-10-08 21:37:23 +0300 (Sat, 08 Oct 2016) | 3 lines
Changed paths:
   M /trunk/common/actions.c

Clarify action_enabler_add() comment header.

See patch #7786
------------------------------------------------------------------------
r34056 | sveinung | 2016-10-08 21:37:07 +0300 (Sat, 08 Oct 2016) | 5 lines
Changed paths:
   M /trunk/tools/ruledit/tab_enablers.cpp

ruledit: don't add action enabler manually.

Use action_enabler_add() to add a recently created action enabler.

See patch #7783
------------------------------------------------------------------------
r34055 | sveinung | 2016-10-08 21:36:57 +0300 (Sat, 08 Oct 2016) | 6 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h

Initialize the action of new action enablers.

Have action_enabler_new() set the action of the newly created enabler to a
known invalid value.

See bug #25157
------------------------------------------------------------------------
r34053 | cazfi | 2016-10-08 18:45:51 +0300 (Sat, 08 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/Makefile.am
   M /trunk/configure.ac
   M /trunk/data/Makefile.am
   M /trunk/data/themes/Makefile.am

Renamed automake variable CLIENT_GUI_GTK_3_X as CLIENT_GUI_GTK_3_22

See patch #7790

------------------------------------------------------------------------
r34051 | cazfi | 2016-10-08 15:58:29 +0300 (Sat, 08 Oct 2016) | 4 lines
Changed paths:
   M /trunk/ai/default/aisettler.c

Fixed compiler shadow warning from aisettler.c

See bug #25159

------------------------------------------------------------------------
r34050 | cazfi | 2016-10-08 08:12:36 +0300 (Sat, 08 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/editprop.c
   M /trunk/client/gui-gtk-3.0/editprop.c
   M /trunk/client/gui-gtk-3.22/editprop.c
   M /trunk/common/networking/packets.def
   M /trunk/fc_version
   M /trunk/server/edithand.c

Added support for editing scenario-reserved property of players.

See patch #7784

------------------------------------------------------------------------
r34048 | cazfi | 2016-10-07 19:17:04 +0300 (Fri, 07 Oct 2016) | 5 lines
Changed paths:
   M /trunk/common/Makefile.am
   A /trunk/common/srvdefs.h
   M /trunk/server/stdinhand.c

Added common srvdefs.h with TOKEN_DELIMITERS moved there also
client end to use.

See patch #7882

------------------------------------------------------------------------
r34047 | mlinnaka | 2016-10-07 15:43:25 +0300 (Fri, 07 Oct 2016) | 2 lines
Changed paths:
   M /trunk/translations/core/fi.po

Merging Finnish translation improvements from 2.5-branch

------------------------------------------------------------------------
r34043 | cazfi | 2016-10-07 15:38:19 +0300 (Fri, 07 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/audio.c

Make sdl the default audio plugin when it's built it.

See bug #24280

------------------------------------------------------------------------
r34041 | sveinung | 2016-10-07 15:12:28 +0300 (Fri, 07 Oct 2016) | 6 lines
Changed paths:
   M /trunk/common/unit.h
   M /trunk/fc_version
   M /trunk/server/savecompat.c
   M /trunk/server/savecompat.h
   M /trunk/server/savegame3.c
   M /trunk/server/unithand.c
   M /trunk/server/unittools.c

Move old unit orders to savecompat.

Move the unit orders that have been replaced by ORDER_ACTION_MOVE from the
unit_orders enum to server/savecompat.h.

See patch #7780
------------------------------------------------------------------------
r34040 | sveinung | 2016-10-07 15:11:55 +0300 (Fri, 07 Oct 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/action_dialog.c
   M /trunk/client/gui-gtk-3.0/action_dialog.c
   M /trunk/client/gui-gtk-3.22/action_dialog.c
   M /trunk/client/gui-qt/dialogs.cpp

Put ACTION_EXPEL_UNIT in its proper location.

The GTK clients and the Qt client had "Expel Unit" listed under a comment
header for actions against all units at a tile. It is against a single unit.

See bug #25154
------------------------------------------------------------------------
r34039 | sveinung | 2016-10-07 15:11:10 +0300 (Fri, 07 Oct 2016) | 3 lines
Changed paths:
   M /trunk/doc/README.actions

README.actions: document unit maintenance slots.

See patch #7779
------------------------------------------------------------------------
r34038 | sveinung | 2016-10-07 15:10:50 +0300 (Fri, 07 Oct 2016) | 8 lines
Changed paths:
   M /trunk/ai/default/daimilitary.c

ai attacker want: check occupation action...

when deciding how much a unit of a certain type is wanted (how much utility
it has). A unit that can conquer a city is desired 10x the target city worth
if the invasion has other units that can attack but no units that can
conquer the city.

See patch #7778
------------------------------------------------------------------------
r34037 | sveinung | 2016-10-07 15:10:40 +0300 (Fri, 07 Oct 2016) | 1 line
Changed paths:
   M /trunk/client/packhand.c

Comment spell fix: intersting -> interesting.
------------------------------------------------------------------------
r34035 | cazfi | 2016-10-07 15:02:02 +0300 (Fri, 07 Oct 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.nations

Documented use of nations override -directory.

See patch #7565

------------------------------------------------------------------------
r34034 | mir3x | 2016-10-07 10:41:42 +0300 (Fri, 07 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/citydlg.h
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/data/themes/gui-qt/Classic/resource.qss
   M /trunk/data/themes/gui-qt/NightStalker/resource.qss

Qt client - redesigned city dialog.

See patch #7781


------------------------------------------------------------------------
r34032 | mir3x | 2016-10-07 10:07:09 +0300 (Fri, 07 Oct 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/helpdlg.cpp
   M /trunk/client/gui-qt/helpdlg.h

Qt client - added goods help (Qt-client)
Submitted by Marko Lindqvist <cazfi>

See patch #7740

------------------------------------------------------------------------
r34031 | mir3x | 2016-10-07 10:04:42 +0300 (Fri, 07 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/pages.cpp

Qt client - fixed crash when changing default font from MAIN_PAGE

See bug #25147

------------------------------------------------------------------------
r34024 | cazfi | 2016-10-07 02:39:50 +0300 (Fri, 07 Oct 2016) | 7 lines
Changed paths:
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ1/nations.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2/nations.ruleset

Specified border colors for civ1 and civ2 ruleset nations and set plrcolormode to "NATION_ORDER"
by default on those rulesets.

Requested by Jacob Nevins <jtn>

See patch #3927

------------------------------------------------------------------------
r34021 | sveinung | 2016-10-06 15:06:32 +0300 (Thu, 06 Oct 2016) | 1 line
Changed paths:
   M /trunk/common/movement.c

Comment spell fix: un-allied -> non allied.
------------------------------------------------------------------------
r34020 | sveinung | 2016-10-06 15:05:59 +0300 (Thu, 06 Oct 2016) | 9 lines
Changed paths:
   M /trunk/data/webperimental/game.ruleset

webperimental: let the Leader heal its units.

Give the Leader unit the ability to do "Heal Unit" to domestic and allied
light weight units, including it self. The ability to heal it self and any
light weight escorts makes it a bit harder to kill the Leader. It could also
give a (small) incentive to take the Leader into the field in the beginning
of the game (when most land units have the LightWeight unit type flag).

See patch #7775
------------------------------------------------------------------------
r34019 | sveinung | 2016-10-06 15:05:31 +0300 (Thu, 06 Oct 2016) | 7 lines
Changed paths:
   M /trunk/server/savegame3.c

savegame3: add all actions to order validation.

The unit action order target validation code didn't handle all actions. Have
it handle all currently existing actions. Make it object when a new action
is added but not handled.

See bug #25152
------------------------------------------------------------------------
r34018 | sveinung | 2016-10-06 15:03:55 +0300 (Thu, 06 Oct 2016) | 7 lines
Changed paths:
   M /trunk/ai/default/aicity.c
   M /trunk/client/gui-gtk-2.0/action_dialog.c
   M /trunk/client/gui-gtk-3.0/action_dialog.c
   M /trunk/client/gui-gtk-3.22/action_dialog.c
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-sdl2/action_dialog.c
   M /trunk/client/packhand.c
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/doc/README.actions
   M /trunk/fc_version
   M /trunk/server/advisors/advdata.c
   M /trunk/server/ruleset.c
   M /trunk/server/unithand.c
   M /trunk/tools/ruleutil/rulesave.c

Add the new unit action "Heal Unit".

This allows medic units etc. A healing restores 25% of the target's hit
points are restored each healing. Healing spends all the actor's movement
points.

See patch #7774
------------------------------------------------------------------------
r34017 | sveinung | 2016-10-06 15:03:28 +0300 (Thu, 06 Oct 2016) | 6 lines
Changed paths:
   M /trunk/ai/default/daimilitary.c

ai: consider actions when assessing danger.

"Attack" and "Occupy City" are action enabler controlled. Look at the
actions to take more unit requirements into account.

See patch #7773
------------------------------------------------------------------------
r34016 | sveinung | 2016-10-06 15:03:00 +0300 (Thu, 06 Oct 2016) | 8 lines
Changed paths:
   M /trunk/server/unithand.c

Remove redundant unit order validation.

There is no need to validate that no action order contains "Paradrop Unit"
or "Airlift Unit". Any long range action is caught above.

Remove target kind specific validation. It never got any checks.

See patch #7772
------------------------------------------------------------------------
r34015 | sveinung | 2016-10-06 15:02:39 +0300 (Thu, 06 Oct 2016) | 3 lines
Changed paths:
   M /trunk/data/sandbox/README.sandbox

README.sandbox spelling fix: along -> alone.

See bug #25148
------------------------------------------------------------------------
r34014 | cazfi | 2016-10-06 07:45:22 +0300 (Thu, 06 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/editgui.c
   M /trunk/client/gui-gtk-3.0/helpdlg.c
   M /trunk/client/gui-gtk-3.22/editgui.c
   M /trunk/client/gui-gtk-3.22/helpdlg.c

Show terrain gfx on gtk3-client help browser.

See bug #15132

------------------------------------------------------------------------
r34007 | sveinung | 2016-10-05 15:02:39 +0300 (Wed, 05 Oct 2016) | 8 lines
Changed paths:
   M /trunk/common/networking/packets.def
   M /trunk/fc_version
   M /trunk/server/ruleset.c
   M /trunk/tools/ruleutil/rulesave.c

Get rid of force_* action internally.

Get rid of the force_* action semantic internally. Let it stay in the
ruleset (rather than being replace by the action blocked_by semantic until
actions become generalized. (This change helps preparing for generalized
actions)

See patch #7262
------------------------------------------------------------------------
r34006 | sveinung | 2016-10-05 15:02:27 +0300 (Wed, 05 Oct 2016) | 12 lines
Changed paths:
   M /trunk/client/helpdata.c
   M /trunk/common/actions.c
   M /trunk/common/combat.c
   M /trunk/common/movement.c
   M /trunk/common/unittype.h
   M /trunk/data/alien/game.ruleset
   M /trunk/data/alien/units.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ1/units.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2/units.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/civ2civ3/units.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/classic/units.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/experimental/units.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/multiplayer/units.ruleset
   M /trunk/data/ruledit/comments.txt
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/sandbox/units.ruleset
   M /trunk/data/stub/units.ruleset
   M /trunk/data/webperimental/game.ruleset
   M /trunk/data/webperimental/units.ruleset
   M /trunk/doc/README.actions
   M /trunk/fc_version
   M /trunk/server/rscompat.c

Unhardcode "Marines" and "AttFromNonNative".

Move the "Marines" unit type flag and the "AttFromNonNative" unit class flag
to the ruleset. Ruleset authors can now control things like their help text,
what actions they should apply to, the details of their rules and if they
should exist at all.

Example: Viking units can do spy actions, trade actions and attack actions
while being transported. Other nations can't do them while being
transported.

See patch #4683
------------------------------------------------------------------------
r34003 | cazfi | 2016-10-05 08:27:25 +0300 (Wed, 05 Oct 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/editprop.c
   M /trunk/client/gui-gtk-3.22/editprop.c

Support tooltips for properties in gtk3-clients' editor.

Patch by pepeto <pepeto> and myself

See bug #15580

------------------------------------------------------------------------
r34002 | cazfi | 2016-10-05 08:15:38 +0300 (Wed, 05 Oct 2016) | 5 lines
Changed paths:
   M /trunk/common/city.h

Changed specialist city options names so that those refer to target output, not
specific specialist.

See patch #7585

------------------------------------------------------------------------
r34001 | cazfi | 2016-10-05 08:04:46 +0300 (Wed, 05 Oct 2016) | 6 lines
Changed paths:
   M /trunk/data/alio.tilespec
   M /trunk/data/amplio.tilespec
   M /trunk/data/amplio2.tilespec
   M /trunk/data/cimpletoon.tilespec
   M /trunk/data/hex2t.tilespec
   M /trunk/data/hexemplio.tilespec
   M /trunk/data/isophex.tilespec
   M /trunk/data/isotrident.tilespec
   M /trunk/data/trident.tilespec

Fixed xgettext warnings about tileset layer order comments.

Reported by Sveinung Kvilhaugsvik <sveinung>

See bug #25126

------------------------------------------------------------------------
r33999 | sveinung | 2016-10-05 03:26:04 +0300 (Wed, 05 Oct 2016) | 7 lines
Changed paths:
   M /trunk/server/citytools.c

unit_conquer_city(): soften rule hard coding.

The function unit_conquer_city() should no longer be asked to have a unit
conquer a city it can't conquer because it isn't at war with it or because
it can't conquer any cities. Turn the checks into assertions.

See patch #7755
------------------------------------------------------------------------
r33998 | sveinung | 2016-10-05 03:25:14 +0300 (Wed, 05 Oct 2016) | 6 lines
Changed paths:
   M /trunk/ai/default/aicity.c
   M /trunk/ai/default/aitools.c
   M /trunk/client/gui-gtk-2.0/action_dialog.c
   M /trunk/client/gui-gtk-3.0/action_dialog.c
   M /trunk/client/gui-gtk-3.22/action_dialog.c
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-sdl2/action_dialog.c
   M /trunk/client/packhand.c
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/common/movement.c
   M /trunk/common/movement.h
   M /trunk/common/unittype.c
   M /trunk/data/alien/game.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/webperimental/game.ruleset
   M /trunk/doc/README.actions
   M /trunk/fc_version
   M /trunk/server/advisors/advdata.c
   M /trunk/server/advisors/advgoto.c
   M /trunk/server/barbarian.c
   M /trunk/server/rscompat.c
   M /trunk/server/rssanity.c
   M /trunk/server/ruleset.c
   M /trunk/server/unithand.c
   M /trunk/tools/ruleutil/rulesave.c

Action enabler control "Conquer City".

Allow ruleset authors to add additional restriction to when a unit can
occupy a foreign city.

See patch #7261
------------------------------------------------------------------------
r33997 | sveinung | 2016-10-05 03:24:54 +0300 (Wed, 05 Oct 2016) | 6 lines
Changed paths:
   M /trunk/server/unithand.c

List who can act from non livable tile...

when explaining that the non livable terrain at the actor unit's tile is the
reason why it can't act.

See patch #7756
------------------------------------------------------------------------
r33996 | sveinung | 2016-10-05 03:24:30 +0300 (Wed, 05 Oct 2016) | 8 lines
Changed paths:
   M /trunk/server/scripting/api_server_edit.c

Lua move: city conquest only when possible.

The Lua functions unit_teleport() and unit_move() can result in the conquest
of a city on the tile the unit is moved to. Don't try to conquer unless the
target tile has a city, the actor unit can take over cities and the actor
unit's owner is at war with the target city's owner.

See patch #7754
------------------------------------------------------------------------
r33995 | sveinung | 2016-10-05 03:23:41 +0300 (Wed, 05 Oct 2016) | 8 lines
Changed paths:
   M /trunk/server/unittools.c

Paradrop Unit: city conquest only when possible.

The action "Paradrop Unit" can result in the conquest of the city being
landed in. Don't try to conquer unless the target tile has a city, the actor
unit can take over cities and the actor unit's owner is at war with the
target city's owner.

See patch #7753
------------------------------------------------------------------------
r33994 | cazfi | 2016-10-04 21:24:06 +0300 (Tue, 04 Oct 2016) | 8 lines
Changed paths:
   M /trunk/ai/default/daieffects.c
   M /trunk/client/packhand.c
   M /trunk/common/actions.c
   M /trunk/common/city.c
   M /trunk/common/city.h
   M /trunk/common/effects.h
   M /trunk/common/networking/packets.def
   M /trunk/common/unittype.h
   M /trunk/data/alien/units.ruleset
   M /trunk/data/civ1/units.ruleset
   M /trunk/data/civ2/units.ruleset
   M /trunk/data/civ2civ3/units.ruleset
   M /trunk/data/classic/units.ruleset
   M /trunk/data/experimental/units.ruleset
   M /trunk/data/multiplayer/units.ruleset
   M /trunk/data/ruledit/comments.txt
   M /trunk/data/sandbox/units.ruleset
   M /trunk/data/stub/units.ruleset
   M /trunk/data/webperimental/units.ruleset
   M /trunk/doc/README.effects
   M /trunk/fc_version
   M /trunk/server/ruleset.c
   M /trunk/tools/ruleutil/rulesave.c

Added support for unit slots of cities.
- Unit type definition tells how many slots (if any) unit takes up
- Effect controls how many unit slots city has

Requested by Matthias Pfafferodt <syntron>

See patch #1936

------------------------------------------------------------------------
r33992 | cazfi | 2016-10-04 21:01:40 +0300 (Tue, 04 Oct 2016) | 4 lines
Changed paths:
   M /trunk/utility/registry.c

Check existence of a file before trying to run xml-parser on it.

See bug #23759

------------------------------------------------------------------------
r33989 | sveinung | 2016-10-04 14:09:27 +0300 (Tue, 04 Oct 2016) | 9 lines
Changed paths:
   M /trunk/server/unithand.c
   M /trunk/server/unithand.h

Action not enabled explain disembark and Trireme.

Explain when an action can't be performed because it includes a move and
movement is illegal because the actor can't disembark (unload) from its
transport or because the target is too far from safe terrain.

Reuse the explanation text from when a move fails. No detection included.

See patch #7752
------------------------------------------------------------------------
r33988 | sveinung | 2016-10-04 14:09:18 +0300 (Tue, 04 Oct 2016) | 6 lines
Changed paths:
   M /trunk/common/requirements.c

MinMoveFrags contradiction checking: x != !x.

Fix off by one error that made a present requirement and its not present
counter part appear non contradicting.

See bug #25138
------------------------------------------------------------------------
r33984 | jtn | 2016-10-04 12:06:35 +0300 (Tue, 04 Oct 2016) | 3 lines
Changed paths:
   M /trunk/ai/default/daieffects.c
   M /trunk/common/calendar.c
   M /trunk/common/calendar.h
   M /trunk/common/fc_types.h
   M /trunk/common/reqtext.c
   M /trunk/common/requirements.c
   M /trunk/doc/README.effects
   M /trunk/server/cityturn.c
   M /trunk/server/rssanity.c
   M /trunk/tools/ruledit/univ_value.c

Add MinCalFrag requirement, matching on calendar fragments.

See patch #7751.
------------------------------------------------------------------------
r33983 | jtn | 2016-10-04 12:06:30 +0300 (Tue, 04 Oct 2016) | 3 lines
Changed paths:
   M /trunk/common/requirements.c

Give more useful diagnostic for invalid requirement type/value in ruleset.

See bug #25137.
------------------------------------------------------------------------
r33982 | cazfi | 2016-10-04 07:11:34 +0300 (Tue, 04 Oct 2016) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/client/Makefile.am
   A /trunk/client/gui-gtk-3.22 (from /trunk/client/gui-gtk-3.x:33981)
   M /trunk/client/gui-gtk-3.22/menu.c
   M /trunk/client/gui-gtk-3.22/themes.c
   D /trunk/client/gui-gtk-3.x
   M /trunk/configure.ac
   M /trunk/data/Makefile.am
   A /trunk/data/gtk3.22_menus.xml (from /trunk/data/gtk3x_menus.xml:33981)
   D /trunk/data/gtk3x_menus.xml
   M /trunk/data/themes/Makefile.am
   A /trunk/data/themes/gui-gtk-3.22 (from /trunk/data/themes/gui-gtk-3.x:33981)
   D /trunk/data/themes/gui-gtk-3.x
   A /trunk/m4/gtk3.22-client.m4 (from /trunk/m4/gtk3x-client.m4:33981)
   D /trunk/m4/gtk3x-client.m4
   M /trunk/translations/core/POTFILES.in

Renamed current gtk3x-client files and directories as gtk3.22-client.

See patch #7750

------------------------------------------------------------------------
r33981 | mir3x | 2016-10-03 20:28:29 +0300 (Mon, 03 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/chatline.cpp
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/citydlg.h
   M /trunk/client/gui-qt/cityrep.cpp
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/messagewin.cpp
   M /trunk/client/gui-qt/optiondlg.cpp
   M /trunk/client/gui-qt/pages.cpp
   M /trunk/client/gui-qt/repodlgs.cpp
   M /trunk/client/gui-qt/repodlgs.h
   M /trunk/client/gui-qt/shortcuts.cpp
   M /trunk/client/gui-qt/themes.cpp
   M /trunk/client/gui-qt/voteinfo_bar.cpp
   M /trunk/client/options.c
   M /trunk/configure.ac
   A /trunk/data/themes/gui-qt/Classic
   A /trunk/data/themes/gui-qt/Classic/Makefile.am
   A /trunk/data/themes/gui-qt/Classic/arrow-down.png
   A /trunk/data/themes/gui-qt/Classic/arrow-left.png
   A /trunk/data/themes/gui-qt/Classic/arrow-right.png
   A /trunk/data/themes/gui-qt/Classic/arrow-up.png
   A /trunk/data/themes/gui-qt/Classic/button-default.png
   A /trunk/data/themes/gui-qt/Classic/button-insensitive.png
   A /trunk/data/themes/gui-qt/Classic/button-prelight.png
   A /trunk/data/themes/gui-qt/Classic/button-pressed.png
   A /trunk/data/themes/gui-qt/Classic/check4.png
   A /trunk/data/themes/gui-qt/Classic/checkbox-checked-pressed.png
   A /trunk/data/themes/gui-qt/Classic/checkbox-checked.png
   A /trunk/data/themes/gui-qt/Classic/checkbox-unchecked.png
   A /trunk/data/themes/gui-qt/Classic/combo-arrow.png
   A /trunk/data/themes/gui-qt/Classic/combo-normal.png
   A /trunk/data/themes/gui-qt/Classic/menu-overlay.png
   A /trunk/data/themes/gui-qt/Classic/menuline.png
   A /trunk/data/themes/gui-qt/Classic/pattern.png
   A /trunk/data/themes/gui-qt/Classic/radio-checked.png
   A /trunk/data/themes/gui-qt/Classic/radio-unchecked.png
   A /trunk/data/themes/gui-qt/Classic/resource.qss
   A /trunk/data/themes/gui-qt/Classic/splitter-horizontal.png
   A /trunk/data/themes/gui-qt/Classic/splitter-vertical.png
   A /trunk/data/themes/gui-qt/Classic/wheel.png
   M /trunk/data/themes/gui-qt/Makefile.am
   A /trunk/data/themes/gui-qt/Necrophos
   A /trunk/data/themes/gui-qt/Necrophos/Makefile.am
   A /trunk/data/themes/gui-qt/Necrophos/arrow-down.png
   A /trunk/data/themes/gui-qt/Necrophos/arrow-left.png
   A /trunk/data/themes/gui-qt/Necrophos/arrow-right.png
   A /trunk/data/themes/gui-qt/Necrophos/arrow-up.png
   A /trunk/data/themes/gui-qt/Necrophos/checkbox-checked.png
   A /trunk/data/themes/gui-qt/Necrophos/checkbox-unchecked.png
   A /trunk/data/themes/gui-qt/Necrophos/cities.png
   A /trunk/data/themes/gui-qt/Necrophos/combo-arrow.png
   A /trunk/data/themes/gui-qt/Necrophos/economy.png
   A /trunk/data/themes/gui-qt/Necrophos/endturn.png
   A /trunk/data/themes/gui-qt/Necrophos/nations.png
   A /trunk/data/themes/gui-qt/Necrophos/pattern.jpg
   A /trunk/data/themes/gui-qt/Necrophos/radio-checked.png
   A /trunk/data/themes/gui-qt/Necrophos/radio-unchecked.png
   A /trunk/data/themes/gui-qt/Necrophos/research.png
   A /trunk/data/themes/gui-qt/Necrophos/resource.qss
   A /trunk/data/themes/gui-qt/Necrophos/splitter-horizontal.png
   A /trunk/data/themes/gui-qt/Necrophos/splitter-vertical.png
   A /trunk/data/themes/gui-qt/Necrophos/sun.jpg
   A /trunk/data/themes/gui-qt/Necrophos/units.png
   A /trunk/data/themes/gui-qt/Necrophos/view.png
   A /trunk/data/themes/gui-qt/Necrophos/wheel.png
   A /trunk/data/themes/gui-qt/NightStalker
   A /trunk/data/themes/gui-qt/NightStalker/Makefile.am
   A /trunk/data/themes/gui-qt/NightStalker/ai.png
   A /trunk/data/themes/gui-qt/NightStalker/arrow-down.png
   A /trunk/data/themes/gui-qt/NightStalker/arrow-left.png
   A /trunk/data/themes/gui-qt/NightStalker/arrow-right.png
   A /trunk/data/themes/gui-qt/NightStalker/arrow-up.png
   A /trunk/data/themes/gui-qt/NightStalker/checkbox-checked-pressed.png
   A /trunk/data/themes/gui-qt/NightStalker/checkbox-checked.png
   A /trunk/data/themes/gui-qt/NightStalker/checkbox-unchecked-pressed.png
   A /trunk/data/themes/gui-qt/NightStalker/checkbox-unchecked.png
   A /trunk/data/themes/gui-qt/NightStalker/combo-arrow.png
   A /trunk/data/themes/gui-qt/NightStalker/human.png
   A /trunk/data/themes/gui-qt/NightStalker/pattern-game.jpg
   A /trunk/data/themes/gui-qt/NightStalker/pattern.jpg
   A /trunk/data/themes/gui-qt/NightStalker/radio-checked.png
   A /trunk/data/themes/gui-qt/NightStalker/radio-unchecked.png
   A /trunk/data/themes/gui-qt/NightStalker/resource.qss
   A /trunk/data/themes/gui-qt/NightStalker/splitter-horizontal.png
   A /trunk/data/themes/gui-qt/NightStalker/splitter-vertical.png
   A /trunk/data/themes/gui-qt/NightStalker/sun.jpg
   A /trunk/data/themes/gui-qt/NightStalker/wheel.png
   A /trunk/data/themes/gui-qt/System
   A /trunk/data/themes/gui-qt/System/Makefile.am
   A /trunk/data/themes/gui-qt/System/resource.qss
   M /trunk/data/themes/gui-qt/icons/Makefile.am
   A /trunk/data/themes/gui-qt/icons/building.png
   A /trunk/data/themes/gui-qt/icons/cunits.png
   A /trunk/data/themes/gui-qt/icons/future.png
   A /trunk/data/themes/gui-qt/icons/wonder.png

Added 3 themes to qt client.

See patch #7739

------------------------------------------------------------------------
r33978 | sveinung | 2016-10-03 15:37:49 +0300 (Mon, 03 Oct 2016) | 8 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/action_dialog.c
   M /trunk/client/gui-gtk-3.x/action_dialog.c

Act sel dlg: pre select current target unit.

The unit select unit dialog now supports specifying what unit should be
preselected. Use this feature in the action selection dialog's target unit
switcher. Have the action selection target unit switcher dialog select the
current target unit.

See patch #7748
------------------------------------------------------------------------
r33977 | sveinung | 2016-10-03 15:37:18 +0300 (Mon, 03 Oct 2016) | 5 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h

Support forcing action enabler target reqs.

Introduce action_blocked_by_situation_tgt(). Don't use it yet.

See patch #7747
------------------------------------------------------------------------
r33970 | jtn | 2016-10-03 13:01:44 +0300 (Mon, 03 Oct 2016) | 5 lines
Changed paths:
   M /trunk/data/civ2civ3/terrain.ruleset

Remove JumpFrom/To from civ2civ3 ruleset.

They have no effect after patch #7137 changed caravan movement rules.

See bug #25136.
------------------------------------------------------------------------
r33969 | jtn | 2016-10-03 13:01:41 +0300 (Mon, 03 Oct 2016) | 3 lines
Changed paths:
   M /trunk/data/sandbox/README.sandbox
   M /trunk/data/sandbox/game.ruleset

sandbox: Allow a city's outer workable tiles to be stolen, but not inner tiles.

See patch #7745.
------------------------------------------------------------------------
r33968 | jtn | 2016-10-03 13:01:38 +0300 (Mon, 03 Oct 2016) | 6 lines
Changed paths:
   M /trunk/data/sandbox/README.sandbox
   M /trunk/data/sandbox/effects.ruleset
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/sandbox/governments.ruleset
   M /trunk/data/sandbox/units.ruleset

Import rules from experimental to sandbox ruleset:
 - Explorers establishing embassies once Writing is known
 - Spies can sabotage units in stacks
 - "Personal Freedom" custom policy

See patch #7744.
------------------------------------------------------------------------
r33967 | jtn | 2016-10-03 13:01:34 +0300 (Mon, 03 Oct 2016) | 3 lines
Changed paths:
   M /trunk/data/sandbox/README.sandbox
   M /trunk/data/sandbox/buildings.ruleset
   M /trunk/data/sandbox/effects.ruleset
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/sandbox/governments.ruleset
   M /trunk/data/sandbox/techs.ruleset
   M /trunk/data/sandbox/terrain.ruleset
   M /trunk/data/sandbox/units.ruleset

Rebase sandbox ruleset against current 2.6 civ2civ3 ruleset.

See patch #7743.
------------------------------------------------------------------------
r33966 | jtn | 2016-10-03 13:01:31 +0300 (Mon, 03 Oct 2016) | 4 lines
Changed paths:
   M /trunk/data/civ2civ3/buildings.ruleset
   M /trunk/data/civ2civ3/terrain.ruleset

civ2civ3: Allow building Lighthouse and Magellan's Expedition next to
Deep Ocean.

See patch #7742.
------------------------------------------------------------------------
r33965 | jtn | 2016-10-03 13:01:26 +0300 (Mon, 03 Oct 2016) | 5 lines
Changed paths:
   M /trunk/data/civ2civ3/buildings.ruleset
   M /trunk/data/civ2civ3/effects.ruleset
   M /trunk/data/civ2civ3/terrain.ruleset

Prevent building civ2civ3 Harbour next to Lake, since it cannot improve Lakes.

Also clarify Offshore Platform help wrt Lake after patch #5915.

See bug #25070.
------------------------------------------------------------------------
r33964 | cazfi | 2016-10-03 06:49:59 +0300 (Mon, 03 Oct 2016) | 4 lines
Changed paths:
   M /trunk/INSTALL

Corrected minimum gtk3x-client requirements in INSTALL

See patch #7746

------------------------------------------------------------------------
r33963 | cazfi | 2016-10-02 20:12:17 +0300 (Sun, 02 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/helpdata.c
   M /trunk/client/packhand.c
   M /trunk/common/networking/packets.def
   M /trunk/common/traderoutes.c
   M /trunk/common/traderoutes.h
   M /trunk/data/alien/game.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/ruledit/comments.txt
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/stub/game.ruleset
   M /trunk/data/webperimental/game.ruleset
   M /trunk/fc_version
   M /trunk/server/ruleset.c
   M /trunk/tools/ruleutil/rulesave.c

Added support for helptexts for goods.

See patch #7741

------------------------------------------------------------------------
r33961 | cazfi | 2016-10-02 10:24:30 +0300 (Sun, 02 Oct 2016) | 4 lines
Changed paths:
   M /trunk/windows/installer_msys2/Makefile

Build Ruledit-installer as part of msys2 based Windows Installer snapshot build.

See patch #7738

------------------------------------------------------------------------
r33958 | cazfi | 2016-10-02 08:59:59 +0300 (Sun, 02 Oct 2016) | 6 lines
Changed paths:
   M /trunk/server/unithand.c

Do not try to make 'disband' act like 'help wonder' for caravans.

Reported by Sveinung Kvilhaugsvik <sveinung>

See bug #23911

------------------------------------------------------------------------
r33957 | cazfi | 2016-10-01 17:25:51 +0300 (Sat, 01 Oct 2016) | 5 lines
Changed paths:
   M /trunk/data/sandbox/README.sandbox
   M /trunk/data/sandbox/effects.ruleset

Sandbox ruleset Republic has corruption increased by distance relative to
the world size.

See patch #7597

------------------------------------------------------------------------
r33956 | cazfi | 2016-10-01 17:14:43 +0300 (Sat, 01 Oct 2016) | 4 lines
Changed paths:
   M /trunk/m4/debug.m4
   M /trunk/m4/gprof.m4

Removed double [[braces]] around some default values in configure --help.

See patch #7737

------------------------------------------------------------------------
r33955 | cazfi | 2016-10-01 16:20:04 +0300 (Sat, 01 Oct 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/helpdlg.cpp

Fixed broken Qt-client compile.

Reported by Jacob Nevins <jtn>

See patch #7735

------------------------------------------------------------------------
r33954 | cazfi | 2016-10-01 08:05:18 +0300 (Sat, 01 Oct 2016) | 4 lines
Changed paths:
   M /trunk/data/alien/terrain.ruleset

Added helptexts for alien ruleset Resources.

See patch #7736

------------------------------------------------------------------------
r33953 | cazfi | 2016-10-01 07:32:34 +0300 (Sat, 01 Oct 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/helpdlg.c
   M /trunk/client/gui-gtk-3.0/helpdlg.c
   M /trunk/client/gui-gtk-3.x/helpdlg.c
   M /trunk/client/helpdata.c
   M /trunk/client/helpdata.h
   M /trunk/client/include/helpdlg_g.h
   M /trunk/common/traderoutes.c
   M /trunk/common/traderoutes.h
   M /trunk/data/helpdata.txt

Added goods help page.

See patch #7735

------------------------------------------------------------------------
r33948 | cazfi | 2016-09-30 07:20:15 +0300 (Fri, 30 Sep 2016) | 4 lines
Changed paths:
   M /trunk/utility/registry_ini.c
   M /trunk/utility/section_file.c
   M /trunk/utility/support.c
   M /trunk/utility/support.h

Moved make_escapes() and remove_escapes() to support.c.

See patch #7734

------------------------------------------------------------------------
r33943 | cazfi | 2016-09-29 07:27:34 +0300 (Thu, 29 Sep 2016) | 4 lines
Changed paths:
   M /trunk/data/sandbox/README.sandbox
   M /trunk/data/sandbox/game.ruleset

Set sandbox ruleset goods from_pct and to_pct values.

See patch #7733

------------------------------------------------------------------------
r33942 | cazfi | 2016-09-29 07:07:26 +0300 (Thu, 29 Sep 2016) | 4 lines
Changed paths:
   M /trunk/data/hexemplio/bases.spec

Corrected Ruins tag in hexemplio.

See bug #25127

------------------------------------------------------------------------
r33941 | cazfi | 2016-09-29 07:04:41 +0300 (Thu, 29 Sep 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruleutil/rulesave.c

Save goods flags to ruleset.

See bug #25124

------------------------------------------------------------------------
r33940 | cazfi | 2016-09-29 06:55:49 +0300 (Thu, 29 Sep 2016) | 5 lines
Changed paths:
   M /trunk/common/city.c

Changed same EFT_OUTPUT_WASTE_BY_REL_DISTANCE value to give about same corruption level
as EFT_OUTPUT_WASTE_BY_DISTANCE on typical world size.

See patch #7732

------------------------------------------------------------------------
r33936 | jtn | 2016-09-29 02:56:13 +0300 (Thu, 29 Sep 2016) | 3 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/citydlg.c
   M /trunk/client/gui-gtk-3.x/citydlg.c

Use transport selection dialog when loading unit from Gtk3 city dialog.

See bug #25122.
------------------------------------------------------------------------
r33935 | jtn | 2016-09-29 02:56:09 +0300 (Thu, 29 Sep 2016) | 4 lines
Changed paths:
   M /trunk/common/road.c

When 'first_reqs' are specified for a cardinal road type, only
cardinally adjacent roads can be continued from.

See bug #25121.
------------------------------------------------------------------------
r33932 | cazfi | 2016-09-28 08:13:30 +0300 (Wed, 28 Sep 2016) | 6 lines
Changed paths:
   M /trunk/server/srv_main.c
   M /trunk/server/stdinhand.c
   M /trunk/server/stdinhand.h

Lower default cmdlevel to basic on game start.

Reported by taka <taka>

See bug #24774

------------------------------------------------------------------------
r33929 | cazfi | 2016-09-28 07:54:47 +0300 (Wed, 28 Sep 2016) | 6 lines
Changed paths:
   M /trunk/client/mapview_common.c

Made mouse clicks to target correct tiles in hex topologies.

Reported by Jacob Nevins <jtn>

See bug #24031

------------------------------------------------------------------------
r33926 | cazfi | 2016-09-28 07:42:05 +0300 (Wed, 28 Sep 2016) | 7 lines
Changed paths:
   M /trunk/server/srv_main.c

Made one to really get random nation, if one reverts to random nation after already
selecting specific nation.

Reported by Jacob Nevins <jtn>

See bug #24170

------------------------------------------------------------------------
r33923 | cazfi | 2016-09-28 07:33:36 +0300 (Wed, 28 Sep 2016) | 7 lines
Changed paths:
   M /trunk/ai/default/aisettler.c

Close default ai data phase after calling ai settler reset for a newly created
barbarian player.

Reported by Frank <dunnoob>

See bug #24545

------------------------------------------------------------------------
r33917 | jtn | 2016-09-28 00:16:25 +0300 (Wed, 28 Sep 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/action_dialog.c
   M /trunk/client/gui-gtk-3.0/transportdlg.c
   M /trunk/client/gui-gtk-3.0/unitselunitdlg.c
   M /trunk/client/gui-gtk-3.0/unitselunitdlg.h
   M /trunk/client/gui-gtk-3.x/action_dialog.c
   M /trunk/client/gui-gtk-3.x/transportdlg.c
   M /trunk/client/gui-gtk-3.x/unitselunitdlg.c
   M /trunk/client/gui-gtk-3.x/unitselunitdlg.h

In transport selection dialog, select what we think is the best
transport by default.

See patch #7728.
------------------------------------------------------------------------
r33916 | jtn | 2016-09-28 00:16:22 +0300 (Wed, 28 Sep 2016) | 7 lines
Changed paths:
   M /trunk/server/rssanity.c

Enforce that road integrators must be symmetric.

A warning was given, but this didn't stop ruleset loading. But the work
hasn't been done in the game engine to support non-symmetric 'integrates'
relationships properly.

See bug #25116.
------------------------------------------------------------------------
r33915 | jtn | 2016-09-28 00:16:18 +0300 (Wed, 28 Sep 2016) | 5 lines
Changed paths:
   M /trunk/server/ruleset.c

Fix loading of road 'integrates' from ruleset.

It wasn't possible to define integrating roads at all.

See bug #25115.
------------------------------------------------------------------------
r33912 | cazfi | 2016-09-27 21:35:08 +0300 (Tue, 27 Sep 2016) | 7 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/gui_main.c
   M /trunk/client/gui-gtk-3.0/gui_main.c
   M /trunk/client/gui-gtk-3.x/gui_main.c
   M /trunk/client/gui-qt/gui_main.cpp

Set client to quitting-mode already before disconnecting from the server
when going to shut down.

Reported by Jacob Nevins <jtn>

See bug #24844

------------------------------------------------------------------------
r33910 | cazfi | 2016-09-27 21:26:42 +0300 (Tue, 27 Sep 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2
   M /trunk/windows/installer_msys2/Makefile

Build sdl2-client as part of msys2 based Windows Installer snapshot build.

See patch #7727

------------------------------------------------------------------------
r33908 | cazfi | 2016-09-27 12:48:34 +0300 (Tue, 27 Sep 2016) | 5 lines
Changed paths:
   M /trunk/ai/default/daieffects.c
   M /trunk/client/gui-sdl2/action_dialog.c
   M /trunk/client/gui-sdl2/menu.c
   M /trunk/client/packhand.c
   M /trunk/client/text.c
   M /trunk/common/aicore/caravan.c
   M /trunk/common/city.c
   M /trunk/common/networking/packets.def
   M /trunk/common/traderoutes.c
   M /trunk/common/traderoutes.h
   M /trunk/data/alien/game.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/ruledit/comments.txt
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/stub/game.ruleset
   M /trunk/data/webperimental/game.ruleset
   M /trunk/fc_version
   M /trunk/server/ruleset.c
   M /trunk/server/unithand.c
   M /trunk/tools/ruleutil/rulesave.c

Added support for good specific trade value percentages,
for both ends of the route carrying the good.

See patch #7730

------------------------------------------------------------------------
r33907 | cazfi | 2016-09-27 08:07:00 +0300 (Tue, 27 Sep 2016) | 6 lines
Changed paths:
   M /trunk/client/packhand.c

Added "new_tech" lua scripting signal to client side.

Patch by Matthias Pfafferodt <syntron>

See patch #2519

------------------------------------------------------------------------
r33906 | cazfi | 2016-09-27 08:01:10 +0300 (Tue, 27 Sep 2016) | 4 lines
Changed paths:
   M /trunk/client/packhand.c

Receive goods flags to client side

See patch #7729

------------------------------------------------------------------------
r33901 | sveinung | 2016-09-26 13:10:45 +0300 (Mon, 26 Sep 2016) | 3 lines
Changed paths:
   M /trunk/common/actions.c

action_hard_reqs_actor(): "Airlift Unit" checks.

See patch #7726
------------------------------------------------------------------------
r33900 | sveinung | 2016-09-26 13:10:37 +0300 (Mon, 26 Sep 2016) | 3 lines
Changed paths:
   M /trunk/common/actions.c

Comment spelling fix: probabilty -> probability

See bug #25113
------------------------------------------------------------------------
r33899 | sveinung | 2016-09-26 13:10:29 +0300 (Mon, 26 Sep 2016) | 6 lines
Changed paths:
   M /trunk/data/alien/game.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/stub/game.ruleset
   M /trunk/data/webperimental/game.ruleset

Document mnemonic insertion in action UI names.

Explain to ruleset authors that the first %s gets replaced by the client's
in-band "this in a mnemonic" signal character.

See patch #7725
------------------------------------------------------------------------
r33898 | sveinung | 2016-09-26 13:10:19 +0300 (Mon, 26 Sep 2016) | 9 lines
Changed paths:
   M /trunk/common/actions.c

Document changing action UI name's info part.

Add a hint for translators that explains how extra information can be added
inside the parens that holds the action UI name info part. This isn't
obvious.

Reported by fomalhaut at the Freeciv forum.

See patch #7724
------------------------------------------------------------------------
r33897 | cazfi | 2016-09-26 10:26:50 +0300 (Mon, 26 Sep 2016) | 4 lines
Changed paths:
   M /trunk/server/savecompat.c
   M /trunk/server/savegame3.c

Replaced leader "Sex" with "Kind" in savegame3.c

See patch #7614

------------------------------------------------------------------------
r33895 | cazfi | 2016-09-26 06:43:23 +0300 (Mon, 26 Sep 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2
   M /trunk/windows/installer_msys2/Makefile

Updated Msys2 Windows Installer build environment to version 160922.

See patch #7654

------------------------------------------------------------------------
r33894 | mir3x | 2016-09-25 20:42:27 +0300 (Sun, 25 Sep 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/cityrep.cpp
   M /trunk/client/gui-qt/plrdlg.cpp

Qt client - Don't use deprecated QAbstractItemDelegateV2 and QAbstractItemDelegateV3
Patch by Louis Moureaux <louis94>

See patch #7704

------------------------------------------------------------------------
r33891 | mir3x | 2016-09-25 20:38:38 +0300 (Sun, 25 Sep 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/plrdlg.cpp

Qt client - fixed players dialog losing selection sometimes

See bug #25104

------------------------------------------------------------------------
r33888 | sveinung | 2016-09-25 18:59:37 +0300 (Sun, 25 Sep 2016) | 3 lines
Changed paths:
   M /trunk/server/unithand.c
   M /trunk/server/unithand.h

Action not enabled explain wrong actor nation.

See patch #7721
------------------------------------------------------------------------
r33887 | sveinung | 2016-09-25 18:59:29 +0300 (Sun, 25 Sep 2016) | 6 lines
Changed paths:
   M /trunk/common/unit.c
   M /trunk/common/unit.h

unit_can_airlift_to(): consider action enablers.

An action enabler may forbid a unit from airlifting to a target city even if
the hard coded airlifting requirements are fulfilled.

See patch #7723
------------------------------------------------------------------------
r33886 | sveinung | 2016-09-25 18:59:15 +0300 (Sun, 25 Sep 2016) | 11 lines
Changed paths:
   M /trunk/server/unithand.c

does_terrain_block_action: kill false negatives.

Eliminate some cases where the action not enabled explanation detection
failed to find out that a tile's terrain blocks an action.
* if the terrain doesn't block an action the unit can't do the terrain still
  blocks the unit from performing any action.
* if an action enabler allows some action to be performed but not by the
  unit seeking an explanation the terrain still blocks the unit from
  performing the action.

See patch #7722
------------------------------------------------------------------------
r33884 | jtn | 2016-09-25 18:02:33 +0300 (Sun, 25 Sep 2016) | 2 lines
Changed paths:
   M /trunk/common/scriptcore/tolua_common_a.pkg
   M /trunk/common/scriptcore/tolua_common_z.pkg
   M /trunk/common/scriptcore/tolua_game.pkg
   M /trunk/common/scriptcore/tolua_signal.pkg
   M /trunk/server/scripting/tolua_server.pkg

Update maintenance comments in Lua script files to reflect that APIs may
be in use in savegames so can't be changed for a long time.
------------------------------------------------------------------------
r33883 | mir3x | 2016-09-25 16:27:06 +0300 (Sun, 25 Sep 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/Makefile.am
   M /trunk/client/gui-qt/canvas.cpp
   M /trunk/client/gui-qt/chatline.cpp
   M /trunk/client/gui-qt/chatline.h
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/dialogs.h
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/fonts.cpp
   M /trunk/client/gui-qt/fonts.h
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-qt/helpdlg.cpp
   M /trunk/client/gui-qt/helpdlg.h
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/mapview.h
   M /trunk/client/gui-qt/pages.cpp
   M /trunk/client/gui-qt/qtg_cxxside.cpp
   M /trunk/client/gui-qt/repodlgs.cpp
   M /trunk/client/gui-qt/repodlgs.h

Qt client - fixed fonts.

See bug #25098

------------------------------------------------------------------------
r33881 | cazfi | 2016-09-25 09:25:58 +0300 (Sun, 25 Sep 2016) | 6 lines
Changed paths:
   M /trunk/common/ai.h
   M /trunk/doc/README.AI_modules
   M /trunk/server/commands.c
   M /trunk/server/commands.h
   M /trunk/server/stdinhand.c

Added aicmd command.

Patch by Matthias Pfafferodt <syntron> and myself

See patch #2969

------------------------------------------------------------------------
r33878 | cazfi | 2016-09-25 08:45:54 +0300 (Sun, 25 Sep 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-sdl2/gotodlg.c

Show all applicable target cities in the sdl-clients' goto dialog.

Reported by Exbed <exbed>

See bug #25024

------------------------------------------------------------------------
r33877 | sveinung | 2016-09-25 00:24:17 +0300 (Sun, 25 Sep 2016) | 3 lines
Changed paths:
   M /trunk/server/unithand.c
   M /trunk/server/unithand.h

Action not enabled explain wrong target nation.

See patch #7718
------------------------------------------------------------------------
r33876 | sveinung | 2016-09-24 23:02:05 +0300 (Sat, 24 Sep 2016) | 3 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/data/alien/units.ruleset
   M /trunk/data/civ1/units.ruleset
   M /trunk/data/civ2/units.ruleset
   M /trunk/data/civ2civ3/units.ruleset
   M /trunk/data/classic/units.ruleset
   M /trunk/data/experimental/units.ruleset
   M /trunk/data/multiplayer/units.ruleset
   M /trunk/data/sandbox/units.ruleset
   M /trunk/data/stub/units.ruleset
   M /trunk/data/webperimental/units.ruleset
   M /trunk/doc/README.actions

"Bombard" needs attack strength.

See patch #7712
------------------------------------------------------------------------
r33875 | sveinung | 2016-09-24 23:01:41 +0300 (Sat, 24 Sep 2016) | 3 lines
Changed paths:
   M /trunk/data/alien/units.ruleset
   M /trunk/data/civ1/units.ruleset
   M /trunk/data/civ2/units.ruleset
   M /trunk/data/civ2civ3/units.ruleset
   M /trunk/data/classic/units.ruleset
   M /trunk/data/experimental/units.ruleset
   M /trunk/data/multiplayer/units.ruleset
   M /trunk/data/sandbox/units.ruleset
   M /trunk/data/stub/units.ruleset
   M /trunk/data/webperimental/units.ruleset

Document that "Attack" needs attack strength.

See patch #7711
------------------------------------------------------------------------
r33873 | cazfi | 2016-09-24 20:23:02 +0300 (Sat, 24 Sep 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2

Updated TODO lists and Status report in README.msys2

See patch #7720

------------------------------------------------------------------------
r33871 | cazfi | 2016-09-24 17:52:42 +0300 (Sat, 24 Sep 2016) | 4 lines
Changed paths:
   M /trunk/m4/sdl2-client.m4

Use pkg-config to detect freetype for sdl2-client

See patch #7719

------------------------------------------------------------------------
r33868 | cazfi | 2016-09-24 16:24:46 +0300 (Sat, 24 Sep 2016) | 7 lines
Changed paths:
   M /trunk/client/gui-sdl2/diplodlg.c

Fixed sdl-clients diplomacy dialog crash when there's no pact to cancel and declaring
war is not possible.

Reported by Exbed <exbed>

See bug #25085

------------------------------------------------------------------------
r33867 | mir3x | 2016-09-23 18:02:16 +0300 (Fri, 23 Sep 2016) | 5 lines
Changed paths:
   D /trunk/data/graphics/qt-icons
   M /trunk/data/themes/gui-qt/icons/cities.png
   M /trunk/data/themes/gui-qt/icons/economy.png
   M /trunk/data/themes/gui-qt/icons/endturn.png
   M /trunk/data/themes/gui-qt/icons/nations.png
   M /trunk/data/themes/gui-qt/icons/research.png
   M /trunk/data/themes/gui-qt/icons/units.png
   M /trunk/data/themes/gui-qt/icons/view.png

Qt client - updated sidebar icons

See patch #7706


------------------------------------------------------------------------
r33863 | sveinung | 2016-09-23 12:05:05 +0300 (Fri, 23 Sep 2016) | 11 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/helpdlg.c
   M /trunk/client/gui-gtk-3.0/helpdlg.c
   M /trunk/client/gui-gtk-3.x/helpdlg.c
   M /trunk/common/requirements.h
   M /trunk/server/unithand.c

Introduce requirement_fulfilled_by_terrain().

Make universal_fulfills_requirement()'s terrain support easier to discover
by defining requirement_fulfilled_by_terrain(). Use it rather than using
universal_fulfills_requirement() directly. (Except in the Qt client. C++
doesn't like C99 designated initializers.)

Thanks to Marko Lindqvist <cazfi> for finding direct
universal_fulfills_requirement() calls missed in version 1 of this patch.

See patch #7717
------------------------------------------------------------------------
r33862 | sveinung | 2016-09-23 12:04:49 +0300 (Fri, 23 Sep 2016) | 3 lines
Changed paths:
   M /trunk/common/requirements.c
   M /trunk/common/requirements.h

universal_fulfills_requirement: support nations.

See patch #7716
------------------------------------------------------------------------
r33861 | sveinung | 2016-09-23 12:04:27 +0300 (Fri, 23 Sep 2016) | 16 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/server/rssanity.c

Freeciv-web: ruleset action distance compat.

An unlimited max action distance is stored as the text "unlimited". The
largest non unlimited max distance an action can have is stored as a
number. The max size of that number was MAP_DISTANCE_MAX. MAP_DISTANCE_MAX
is the largest possible distance between two tiles. But that value is,
because of different max map sizes, smaller in Freeciv-web than in regular
Freeciv. This made it possible to create a ruleset that would be rejected in
Freeciv-web because of a too larger action max distance.

Define the action distance numbers without a direct reference to
MAP_DISTANCE_MAX. Add a static assertion to make sure that MAP_DISTANCE_MAX
still can be as a regular distance. This makes Freeciv and Freeciv-web
rulesets compatible (when it comes to action distance).

See patch #7715
------------------------------------------------------------------------
r33860 | sveinung | 2016-09-23 12:04:05 +0300 (Fri, 23 Sep 2016) | 3 lines
Changed paths:
   M /trunk/client/helpdata.c

Spelling fix: populatio) -> population

See bug #25099
------------------------------------------------------------------------
r33859 | sveinung | 2016-09-23 12:03:42 +0300 (Fri, 23 Sep 2016) | 3 lines
Changed paths:
   M /trunk/server/rssanity.c

rssanity: action min distance < max map size.

See patch #7714
------------------------------------------------------------------------
r33856 | sveinung | 2016-09-23 01:43:26 +0300 (Fri, 23 Sep 2016) | 3 lines
Changed paths:
   M /trunk/client/helpdata.c

Help: check for the "Attack" action.

See patch #7713
------------------------------------------------------------------------
r33855 | sveinung | 2016-09-23 00:18:21 +0300 (Fri, 23 Sep 2016) | 7 lines
Changed paths:
   M /trunk/server/maphand.c
   M /trunk/server/scripting/api_server_edit.c
   M /trunk/server/unithand.c
   M /trunk/server/unittools.c
   M /trunk/server/unittools.h

Some unit moves can't include city occupation.

Some calls to unit_move() can't result in the occupation of a city because
they never are called in situations that would lead to city occupation.
Introduce the new conquer_city_allowed parameter to make this explicit.

See patch #7710
------------------------------------------------------------------------
r33854 | sveinung | 2016-09-23 00:18:10 +0300 (Fri, 23 Sep 2016) | 3 lines
Changed paths:
   M /trunk/server/unithand.c

Remove redundant can move to tile call.

See patch #7709
------------------------------------------------------------------------
r33853 | mir3x | 2016-09-22 20:26:40 +0300 (Thu, 22 Sep 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/pages.cpp

Qt client - dont allow detached players with hack access to start game

See patch #7703


------------------------------------------------------------------------
r33851 | mir3x | 2016-09-22 20:22:31 +0300 (Thu, 22 Sep 2016) | 7 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/pages.cpp

Qt client - fixed misleading pregame player display immediately after loading savegame.
Added "loading" page.

Reported by Jacob Nevins <jtn>

See bug #25072

------------------------------------------------------------------------
r33848 | mir3x | 2016-09-22 19:41:28 +0300 (Thu, 22 Sep 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/repodlgs.cpp

Qt client - fixed blinking research icon after getting all techs.

Reported by Jacob Nevins <jtn>

See bug #25071

------------------------------------------------------------------------
r33845 | sveinung | 2016-09-22 19:27:08 +0300 (Thu, 22 Sep 2016) | 6 lines
Changed paths:
   M /trunk/server/citytools.c
   M /trunk/server/citytools.h
   M /trunk/server/unittools.c

Don't call unit_conquer_city() for passengers.

A unit can't conquer a city while being moved by its transport. Don't call
unit_conquer_city() for it.

See patch #7708
------------------------------------------------------------------------
r33844 | sveinung | 2016-09-22 19:26:58 +0300 (Thu, 22 Sep 2016) | 3 lines
Changed paths:
   M /trunk/server/cityturn.c

Give reason when pop_cost blocks unit building.

See patch #7707
------------------------------------------------------------------------
r33841 | sveinung | 2016-09-21 20:07:20 +0300 (Wed, 21 Sep 2016) | 1 line
Changed paths:
   M /trunk/client/control.c

Comment fact fix: player input needed.
------------------------------------------------------------------------
r33840 | sveinung | 2016-09-21 12:17:50 +0300 (Wed, 21 Sep 2016) | 1 line
Changed paths:
   M /trunk/ai/default/aitools.c
   M /trunk/common/actions.c

Comment fix: "Occupy City" -> "Conquer City"
------------------------------------------------------------------------
r33838 | cazfi | 2016-09-20 20:02:40 +0300 (Tue, 20 Sep 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/chatline.cpp
   M /trunk/client/gui-qt/chatline.h
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/fonts.cpp
   M /trunk/client/gui-qt/fonts.h

Shadow warning fixes and other cleanup to Qt client.

See patch #7701

------------------------------------------------------------------------
r33834 | jtn | 2016-09-19 23:11:18 +0300 (Mon, 19 Sep 2016) | 3 lines
Changed paths:
   M /trunk/data/civ2civ3/units.ruleset
   M /trunk/data/classic/units.ruleset
   M /trunk/data/experimental/units.ruleset
   M /trunk/data/multiplayer/units.ruleset
   M /trunk/data/sandbox/units.ruleset
   M /trunk/data/webperimental/units.ruleset

Rename diplomatic rank to "attaché".

See patch #7698.
------------------------------------------------------------------------
r33833 | jtn | 2016-09-19 23:11:12 +0300 (Mon, 19 Sep 2016) | 5 lines
Changed paths:
   M /trunk/data/civ1/nations.ruleset
   M /trunk/data/civ2/nations.ruleset
   M /trunk/data/nation/alander.ruleset
   M /trunk/data/nation/albanian.ruleset
   M /trunk/data/nation/argentine.ruleset
   M /trunk/data/nation/aztec.ruleset
   M /trunk/data/nation/bolivian.ruleset
   M /trunk/data/nation/burkinabe.ruleset
   M /trunk/data/nation/canari.ruleset
   M /trunk/data/nation/centrallithuanian.ruleset
   M /trunk/data/nation/chadian.ruleset
   M /trunk/data/nation/congolese.ruleset
   M /trunk/data/nation/danish.ruleset
   M /trunk/data/nation/ecuadorian.ruleset
   M /trunk/data/nation/gokturk.ruleset
   M /trunk/data/nation/guinean.ruleset
   M /trunk/data/nation/hephthalite.ruleset
   M /trunk/data/nation/ivoirian.ruleset
   M /trunk/data/nation/metis.ruleset
   M /trunk/data/nation/mexican.ruleset
   M /trunk/data/nation/mixtec.ruleset
   M /trunk/data/nation/navajo.ruleset
   M /trunk/data/nation/nimiipuu.ruleset
   M /trunk/data/nation/otomi.ruleset
   M /trunk/data/nation/purhepecha.ruleset
   M /trunk/data/nation/raramuri.ruleset
   M /trunk/data/nation/salvadoran.ruleset
   M /trunk/data/nation/santomean.ruleset
   M /trunk/data/nation/venezuelan.ruleset
   M /trunk/data/nation/volapuk.ruleset
   M /trunk/data/nation/xhosa.ruleset
   M /trunk/data/nation/yucatecan.ruleset
   M /trunk/data/nation/zapotec.ruleset
   M /trunk/doc/README.nations

Use correct diacritics in nation strings.

Also fix a couple of unrelated typos.

See patch #7697.
------------------------------------------------------------------------
r33832 | sveinung | 2016-09-19 14:02:16 +0300 (Mon, 19 Sep 2016) | 3 lines
Changed paths:
   M /trunk/common/actions.c

Don't unitwaittime limit home city changing.

See patch #7694
------------------------------------------------------------------------
r33829 | sveinung | 2016-09-18 16:53:29 +0300 (Sun, 18 Sep 2016) | 7 lines
Changed paths:
   M /trunk/server/unittools.c

Remove redundant client unit update.

Stop sending a unit to its owner's client when it discovers that it may be
able to act against the city it just performed a non adjacent move to. The
full unit information will be sent later in unit_move().

See patch #7692
------------------------------------------------------------------------
r33828 | sveinung | 2016-09-18 16:53:18 +0300 (Sun, 18 Sep 2016) | 7 lines
Changed paths:
   M /trunk/ai/default/aicity.c
   M /trunk/client/control.c
   M /trunk/client/gui-gtk-2.0/action_dialog.c
   M /trunk/client/gui-gtk-3.0/action_dialog.c
   M /trunk/client/gui-gtk-3.0/menu.c
   M /trunk/client/gui-gtk-3.x/action_dialog.c
   M /trunk/client/gui-gtk-3.x/menu.c
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-sdl2/action_dialog.c
   M /trunk/client/helpdata.c
   M /trunk/client/packhand.c
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/common/unittype.c
   M /trunk/server/actiontools.c
   M /trunk/server/diplomats.c
   M /trunk/server/rssanity.c
   M /trunk/server/unithand.c
   M /trunk/server/unittools.c

Action actor/target kind functions: id to action.

The functions action_id_get_actor_kind() and action_get_target_kind() have
taken an action id rather than an action as parameter. Split them in an
action structure variant and an action id variant.

See patch #7695
------------------------------------------------------------------------
r33827 | sveinung | 2016-09-18 02:50:18 +0300 (Sun, 18 Sep 2016) | 8 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/server/unithand.c

Permit non unitwaittime controlled actions.

Allow action enabler controlled actions to be unlimited by the unitwaittime
server setting by introducing the unitwaittime_controlled action property.
Don't change unitwaittime_controlled for any currently enabler controlled
action yet.

See patch #7693
------------------------------------------------------------------------
r33826 | sveinung | 2016-09-18 02:50:00 +0300 (Sun, 18 Sep 2016) | 8 lines
Changed paths:
   M /trunk/client/gui-gtk-2.0/editprop.c
   M /trunk/client/gui-gtk-3.0/editprop.c
   M /trunk/client/gui-gtk-3.x/editprop.c
   M /trunk/client/tilespec.c
   M /trunk/client/tilespec.h
   M /trunk/data/alio.tilespec
   M /trunk/data/amplio.tilespec
   M /trunk/data/amplio2.tilespec
   M /trunk/data/cimpletoon.tilespec
   M /trunk/data/hex2t.tilespec
   M /trunk/data/hexemplio.tilespec
   M /trunk/data/isophex.tilespec
   M /trunk/data/isotrident.tilespec
   M /trunk/data/toonhex.tilespec
   M /trunk/data/trident.tilespec

Let tilesets configure layer draw order.

Allow tilesets to configure the order of map layers via the new optional
layer_order field.

Patch by: Louis Moureaux <louis94>

See patch #7667
------------------------------------------------------------------------
r33824 | cazfi | 2016-09-17 07:55:50 +0300 (Sat, 17 Sep 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruleutil/rulesave.c

Corrected typo in "transform_result" key in rulesave.

See bug #25062

------------------------------------------------------------------------
r33822 | cazfi | 2016-09-16 19:32:58 +0300 (Fri, 16 Sep 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-qt/citydlg.cpp

Fixed problems on setting worker task target extra in Qt client.

See bug #25061

------------------------------------------------------------------------
r33821 | mir3x | 2016-09-16 15:09:22 +0300 (Fri, 16 Sep 2016) | 7 lines
Changed paths:
   M /trunk/client/gui-qt/fonts.cpp
   M /trunk/client/gui-qt/fonts.h
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-qt/qtg_cxxside.cpp
   M /trunk/client/options.c

Qt client - Update the font database for all fonts

Patch by Louis Moureaux <louis94>

See patch #7670


------------------------------------------------------------------------
r33819 | mir3x | 2016-09-16 13:09:31 +0300 (Fri, 16 Sep 2016) | 7 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/mapview.h
   M /trunk/client/gui-qt/sidebar.cpp
   M /trunk/client/gui-qt/sidebar.h

Qt client - Sidebar not drawn correctly when loading savegame with pending diplomacy meeting

Reported by Jacob Nevins <jtn>

See bug #25051


------------------------------------------------------------------------
r33817 | mir3x | 2016-09-16 13:03:05 +0300 (Fri, 16 Sep 2016) | 7 lines
Changed paths:
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/mapview.cpp

Qt client - Fuel not shown in new sidebar unit display

Reported by Jacob Nevins <jtn>

See bug #25038


------------------------------------------------------------------------
r33815 | cazfi | 2016-09-16 09:26:27 +0300 (Fri, 16 Sep 2016) | 4 lines
Changed paths:
   M /trunk/data/sandbox/README.sandbox
   M /trunk/data/sandbox/game.ruleset

Added goods types to sandbox ruleset.

See patch #7687

------------------------------------------------------------------------
r33814 | cazfi | 2016-09-16 09:11:47 +0300 (Fri, 16 Sep 2016) | 4 lines
Changed paths:
   M /trunk/common/achievements.c
   M /trunk/common/achievements.h
   M /trunk/common/fc_types.h
   M /trunk/common/terrain.h
   M /trunk/tools/ruledit/tab_misc.cpp
   M /trunk/tools/ruledit/univ_value.c

Implemented requirement value editing for remaining requirement types.

See patch #7686

------------------------------------------------------------------------
r33813 | sveinung | 2016-09-16 05:05:22 +0300 (Fri, 16 Sep 2016) | 5 lines
Changed paths:
   M /trunk/server/unithand.c

Inline unit_attack_handling() in do_attack().

It is its only user.

See patch #7691
------------------------------------------------------------------------
r33812 | sveinung | 2016-09-16 05:01:56 +0300 (Fri, 16 Sep 2016) | 6 lines
Changed paths:
   M /trunk/server/citytools.c
   M /trunk/server/citytools.h
   M /trunk/server/unittools.c

Clarify what the unit conquer city function does.

* rename it from unit_enter_city() to unit_conquer_city()
* have it return if the city was conquered

See patch #7690
------------------------------------------------------------------------
r33811 | sveinung | 2016-09-16 05:01:41 +0300 (Fri, 16 Sep 2016) | 12 lines
Changed paths:
   M /trunk/client/control.c
   M /trunk/client/gui-gtk-3.0/menu.c
   M /trunk/client/gui-gtk-3.x/menu.c
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/server/rssanity.c
   M /trunk/server/unithand.c

Stop interpreting action max_distance everywhere.

An action's max_distance can now be a regular value or
ACTION_DISTANCE_UNLIMITED. The latter is a special value signaling that the
action has unlimited range. At the moment this doesn't cause any issues
because the special value representing "unlimited" is larger than any legal
regular distance value.

Introduce the new function action_distance_inside_max(). Have it replace
checking if a given distance is inside an action's max_distance.

See patch #7689
------------------------------------------------------------------------
r33808 | sveinung | 2016-09-15 18:03:20 +0300 (Thu, 15 Sep 2016) | 6 lines
Changed paths:
   M /trunk/doc/CodingStyle

Clarify doc/CodingStyle on variable declaration.

Change "Declaring variables in the middle of the function body is forbidden"
to "Declaring variables in the middle of the scope is forbidden".

See patch #7688
------------------------------------------------------------------------
r33807 | sveinung | 2016-09-15 18:02:58 +0300 (Thu, 15 Sep 2016) | 8 lines
Changed paths:
   M /trunk/ai/default/aisettler.c

AI: near city blocking "Found City" not an error.

Do not give error message about AI settler being unable to build city when
the reason is that there's another one too close.

Based on the 2.6 patch by Marko Lindqvist <cazfi>

See bug #24094
------------------------------------------------------------------------
r33806 | cazfi | 2016-09-15 10:22:18 +0300 (Thu, 15 Sep 2016) | 4 lines
Changed paths:
   M /trunk/common/reqtext.c

Typofix: "knoe" -> "know"

See bug #25058

------------------------------------------------------------------------
r33805 | cazfi | 2016-09-15 10:11:00 +0300 (Thu, 15 Sep 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruledit/req_edit.cpp
   M /trunk/tools/ruledit/req_edit.h

Added functionality for editing requirement 'present' value.

See patch #7649

------------------------------------------------------------------------
r33804 | cazfi | 2016-09-15 10:06:07 +0300 (Thu, 15 Sep 2016) | 4 lines
Changed paths:
   M /trunk/server/ruleset.c

Fixed assert failure when loading ruleset without goods in compatibility mode.

See bug #25053

------------------------------------------------------------------------
r33802 | cazfi | 2016-09-15 07:16:13 +0300 (Thu, 15 Sep 2016) | 4 lines
Changed paths:
   M /trunk/server/unithand.c

Check legality of worker task target received from the client.

See patch #7685

------------------------------------------------------------------------
r33801 | cazfi | 2016-09-14 22:05:45 +0300 (Wed, 14 Sep 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruledit/req_edit.cpp

Show description of preventing requirements in requirement editor.

See bug #25056

------------------------------------------------------------------------
r33799 | cazfi | 2016-09-14 09:29:17 +0300 (Wed, 14 Sep 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2
   M /trunk/windows/installer_msys2/Makefile

Fixed sdl2-client part of msys2 Windows Installer Makefile.

See patch #7684

------------------------------------------------------------------------
r33796 | cazfi | 2016-09-14 09:13:59 +0300 (Wed, 14 Sep 2016) | 4 lines
Changed paths:
   M /trunk/common/vision.h
   M /trunk/data/amplio/ancientcities.spec
   M /trunk/data/amplio/medievalcities.spec
   M /trunk/data/amplio/moderncities.spec
   M /trunk/data/amplio2/cities.spec
   M /trunk/data/hexemplio/bases.spec
   M /trunk/data/isotrident/cities.spec
   M /trunk/data/isotrident/morecities.spec
   M /trunk/data/trident/cities.spec

Corrected comments, mostly in tilesets, about MAX_CITY_SIZE.

See bug #24996

------------------------------------------------------------------------
r33795 | cazfi | 2016-09-14 08:45:37 +0300 (Wed, 14 Sep 2016) | 7 lines
Changed paths:
   M /trunk/translations/Makefile.am
   M /trunk/translations/core/Makefile.in.in
   D /trunk/translations/core/POTFILES.skip
   A /trunk/translations/generate_skips.sh
   A /trunk/translations/global.skip
   M /trunk/translations/nations/Makefile.in.in
   D /trunk/translations/nations/POTFILES.skip
   M /trunk/translations/ruledit/Makefile.in.in
   D /trunk/translations/ruledit/POTFILES.skip

Added script to generate POTFILES.skip files when needed, so there's no longer need
to maintain them manually.

Requested by Jacob Nevins <jtn>

See patch #4454

------------------------------------------------------------------------
r33793 | cazfi | 2016-09-13 19:58:30 +0300 (Tue, 13 Sep 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruleutil/rulesave.c

Do not save duplicate allowed_... lists to rulesets when nationlist used.

See bug #25052

------------------------------------------------------------------------
r33792 | cazfi | 2016-09-13 16:29:27 +0300 (Tue, 13 Sep 2016) | 4 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/tools/ruledit/Makefile.am
   M /trunk/tools/ruledit/ruledit_qt.cpp
   M /trunk/tools/ruledit/ruledit_qt.h
   A /trunk/tools/ruledit/tab_enablers.cpp
   A /trunk/tools/ruledit/tab_enablers.h

Added Action Enablers tab to ruledit.

See patch #7682

------------------------------------------------------------------------
r33791 | cazfi | 2016-09-13 12:26:54 +0300 (Tue, 13 Sep 2016) | 2 lines
Changed paths:
   M /trunk/translations/core/fi.po

Updated Finnish translation.

------------------------------------------------------------------------
r33789 | cazfi | 2016-09-13 08:48:36 +0300 (Tue, 13 Sep 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruledit/univ_value.c

Added value editing for various flag requirement types.

See patch #7681

------------------------------------------------------------------------
r33788 | cazfi | 2016-09-13 07:58:35 +0300 (Tue, 13 Sep 2016) | 4 lines
Changed paths:
   M /trunk/client/citydlg_common.c

Fixed client to list trade route direction correctly.

See bug #25048

------------------------------------------------------------------------
r33784 | jtn | 2016-09-12 23:56:16 +0300 (Mon, 12 Sep 2016) | 1 line
Changed paths:
   M /trunk/common/tile.h
   M /trunk/common/unit.c
   M /trunk/common/unit.h

Fix references to non-existent ACTIVITY_COUNT in comments.
------------------------------------------------------------------------
r33783 | cazfi | 2016-09-12 18:34:49 +0300 (Mon, 12 Sep 2016) | 4 lines
Changed paths:
   M /trunk/client/helpdata.c
   M /trunk/common/reqtext.c
   M /trunk/common/reqtext.h

Avoid extra newline after requirement in requirement editor.

See patch #7680

------------------------------------------------------------------------
r33782 | cazfi | 2016-09-12 07:58:13 +0300 (Mon, 12 Sep 2016) | 4 lines
Changed paths:
   M /trunk/data/alien/game.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/stub/game.ruleset
   M /trunk/data/webperimental/game.ruleset

Fixed xgettext warnings about unterminated character constants.

See bug #25050

------------------------------------------------------------------------
r33781 | cazfi | 2016-09-12 07:35:56 +0300 (Mon, 12 Sep 2016) | 4 lines
Changed paths:
   M /trunk/common/fc_types.h
   M /trunk/fc_version

Set maximum number of goods types to 25.

See patch #7677

------------------------------------------------------------------------
r33779 | sveinung | 2016-09-11 18:48:59 +0300 (Sun, 11 Sep 2016) | 1 line
Changed paths:
   M /trunk/client/gui-sdl2/widget_edit.c
   M /trunk/client/gui-sdl2/widget_icon.c
   M /trunk/client/gui-sdl2/widget_scrollbar.c

Comment spelling fix: parametr -> parameter
------------------------------------------------------------------------
r33778 | cazfi | 2016-09-11 17:30:26 +0300 (Sun, 11 Sep 2016) | 4 lines
Changed paths:
   M /trunk/common/specialist.c
   M /trunk/common/specialist.h
   M /trunk/common/terrain.h
   M /trunk/tools/ruledit/tab_misc.cpp
   M /trunk/tools/ruledit/univ_value.c

Added value editing for AI Level, Specialist, and Terrain Class requirement types.

See patch #7679

------------------------------------------------------------------------
r33777 | cazfi | 2016-09-11 16:01:53 +0300 (Sun, 11 Sep 2016) | 4 lines
Changed paths:
   M /trunk/common/traderoutes.c

Fixed bug that caused trade route income to be almost one hundred times too big.

See bug #25049

------------------------------------------------------------------------
r33775 | cazfi | 2016-09-11 10:36:57 +0300 (Sun, 11 Sep 2016) | 2 lines
Changed paths:
   M /trunk/client/gui-sdl2/widget_scrollbar.c

Comment typofixes to sdl2-client widget_scrollbar.c

------------------------------------------------------------------------
r33774 | sveinung | 2016-09-11 05:35:15 +0300 (Sun, 11 Sep 2016) | 9 lines
Changed paths:
   M /trunk/common/actions.c

Clarify the max range of paradrop and airlift.

The action "Airlift Unit" has no maximum range. Specify it by using
ACTION_DISTANCE_UNLIMITED.

The action "Paradrop Unit" is still limited by the unit type's
paratroopers_range field. Explain this in a comment.

See patch #7676
------------------------------------------------------------------------
r33772 | cazfi | 2016-09-10 10:38:54 +0300 (Sat, 10 Sep 2016) | 2 lines
Changed paths:
   M /trunk/translations/core/POTFILES.in
   M /trunk/translations/nations/POTFILES.skip
   M /trunk/translations/ruledit/POTFILES.skip

Added gui-qt/shortcuts.cpp to POTFILES.

------------------------------------------------------------------------
r33771 | cazfi | 2016-09-09 21:59:51 +0300 (Fri, 09 Sep 2016) | 4 lines
Changed paths:
   M /trunk/common/extras.c
   M /trunk/common/extras.h
   M /trunk/common/style.c
   M /trunk/common/style.h
   M /trunk/tools/ruledit/tab_misc.cpp
   M /trunk/tools/ruledit/univ_value.c
   M /trunk/tools/ruleutil/rulesave.c

Added value editing for Nationality, Extra, and Style requirement types.

See patch #7655

------------------------------------------------------------------------
r33770 | cazfi | 2016-09-09 19:11:03 +0300 (Fri, 09 Sep 2016) | 4 lines
Changed paths:
   M /trunk/common/traderoutes.h
   M /trunk/data/alien/game.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/ruledit/comments.txt
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/stub/game.ruleset
   M /trunk/fc_version
   M /trunk/server/cityturn.c

Added support for goods flag "Depletes"

See patch #7645

------------------------------------------------------------------------
r33768 | cazfi | 2016-09-09 15:33:00 +0300 (Fri, 09 Sep 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2
   M /trunk/windows/installer_msys2/Makefile

Added libbz2 support to msys2 based Windows Installer builds.

See patch #7674

------------------------------------------------------------------------
r33767 | cazfi | 2016-09-09 08:58:59 +0300 (Fri, 09 Sep 2016) | 4 lines
Changed paths:
   M /trunk/client/helpdata.c
   M /trunk/common/reqtext.c
   M /trunk/common/reqtext.h
   M /trunk/tools/ruledit/req_edit.cpp

Support two different verbosity modes in req_text_insert() to better support its usage in ruledit.

See patch #7672

------------------------------------------------------------------------
r33766 | cazfi | 2016-09-07 19:39:33 +0300 (Wed, 07 Sep 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruledit/tab_building.cpp
   M /trunk/tools/ruledit/tab_building.h
   M /trunk/tools/ruledit/tab_gov.cpp

Added button to edit building's requirements to ruledit.

See patch #7651

------------------------------------------------------------------------
r33765 | cazfi | 2016-09-07 18:58:00 +0300 (Wed, 07 Sep 2016) | 4 lines
Changed paths:
   M /trunk/ai/default/aicity.c
   M /trunk/client/cityrepdata.c
   M /trunk/client/control.c
   M /trunk/client/gui-gtk-2.0/cityrep.c
   M /trunk/client/gui-gtk-2.0/gui_stuff.c
   M /trunk/client/gui-gtk-3.0/choice_dialog.c
   M /trunk/client/gui-gtk-3.0/cityrep.c
   M /trunk/client/gui-gtk-3.0/gui_stuff.c
   M /trunk/client/gui-gtk-3.x/choice_dialog.c
   M /trunk/client/gui-gtk-3.x/cityrep.c
   M /trunk/client/gui-gtk-3.x/gui_stuff.c
   M /trunk/client/gui-sdl2/graphics.c
   M /trunk/client/gui-sdl2/helpdlg.c
   M /trunk/client/tilespec.c
   M /trunk/common/spaceship.c
   M /trunk/common/unittype.c
   M /trunk/server/generator/mapgen.c
   M /trunk/server/generator/utilities.c
   M /trunk/server/legacysave.c
   M /trunk/server/ruleset.c
   M /trunk/server/savegame2.c
   M /trunk/server/savegame3.c
   M /trunk/server/sernet.c
   M /trunk/utility/inputfile.c
   M /trunk/utility/rand.c
   M /trunk/utility/registry_ini.c
   M /trunk/utility/shared.c
   M /trunk/utility/support.c

Added Space between 'for' and '(' in all places where it was still missing.

See patch #7671

------------------------------------------------------------------------
r33760 | cazfi | 2016-09-04 22:40:34 +0300 (Sun, 04 Sep 2016) | 4 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/pages.c
   M /trunk/client/gui-gtk-3.x/pages.c

Added scenario authors display to scenario page of gtk3-clients.

See patch #7329

------------------------------------------------------------------------
r33753 | cazfi | 2016-09-04 18:42:16 +0300 (Sun, 04 Sep 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2
   M /trunk/windows/installer_msys2/Makefile

Added audio support to msys2 based Windows Installer builds.

See patch #7657

------------------------------------------------------------------------
r33752 | mir3x | 2016-09-04 18:09:16 +0300 (Sun, 04 Sep 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/Makefile.am
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/mapctrl.cpp
   M /trunk/client/gui-qt/mapview.h
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h
   M /trunk/client/gui-qt/pages.cpp
   A /trunk/client/gui-qt/shortcuts.cpp
   A /trunk/client/gui-qt/shortcuts.h

Qt client - added configurable shortcuts

See patch #7664


------------------------------------------------------------------------
r33749 | mir3x | 2016-09-04 17:57:49 +0300 (Sun, 04 Sep 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/themes.cpp

Qt client - added default system theme

See patch #7666


------------------------------------------------------------------------
r33747 | mir3x | 2016-09-04 17:55:10 +0300 (Sun, 04 Sep 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/mapview.h
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/messagewin.cpp
   M /trunk/client/gui-qt/pages.cpp
   M /trunk/client/gui-qt/sidebar.cpp

Qt client - updated sidebar

See patch #7665


------------------------------------------------------------------------
r33742 | sveinung | 2016-09-02 17:11:37 +0300 (Fri, 02 Sep 2016) | 9 lines
Changed paths:
   M /trunk/common/actions.c

Act prob: stop leaking invisible units.

An invisible unit at a tile can allow or forbid an action with the units
target. An unseen enemy can make the "Bombard" action legal. An invisible
unit belonging to someone the player has peace with can forbid bombard. Stop
leaking this information by making action probability calculation against
unit stack targeted actions consider this.

See bug #25010
------------------------------------------------------------------------
r33741 | mir3x | 2016-09-01 19:44:07 +0300 (Thu, 01 Sep 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-qt/optiondlg.cpp

Qt client - Remove old font system
Patch by Louis Moureaux <louis94>

See patch #7663


------------------------------------------------------------------------
r33739 | mir3x | 2016-09-01 19:38:03 +0300 (Thu, 01 Sep 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/dialogs.h
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/mapview.h

Qt client - Use new font system in self-drawing classes
Patch by Louis Moureaux <louis94>

See patch #7662


------------------------------------------------------------------------
r33737 | mir3x | 2016-09-01 19:36:29 +0300 (Thu, 01 Sep 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/chatline.cpp
   M /trunk/client/gui-qt/chatline.h
   M /trunk/client/gui-qt/citydlg.cpp
   M /trunk/client/gui-qt/citydlg.h
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-qt/helpdlg.cpp
   M /trunk/client/gui-qt/helpdlg.h
   M /trunk/client/gui-qt/pages.cpp

Qt client - Use font_updater wherever possible.
Patch by Louis Moureaux <louis94>

See patch #7661


------------------------------------------------------------------------
r33735 | mir3x | 2016-09-01 19:34:44 +0300 (Thu, 01 Sep 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/canvas.cpp
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/mapview.h
   M /trunk/client/gui-qt/repodlgs.cpp
   M /trunk/client/gui-qt/repodlgs.h

Qt client - Use new font system in canvas-related classes.
Patch by Louis Moureaux <louis94>

See patch #7660


------------------------------------------------------------------------
r33733 | mir3x | 2016-09-01 19:30:29 +0300 (Thu, 01 Sep 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/Makefile.am
   A /trunk/client/gui-qt/fonts.cpp
   A /trunk/client/gui-qt/fonts.h
   M /trunk/client/gui-qt/gui_main.cpp

Qt client - Add listener for fonts
Patch by Louis Moureaux <louis94>

See patch #7659


------------------------------------------------------------------------
r33731 | mir3x | 2016-08-31 19:00:13 +0300 (Wed, 31 Aug 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/repodlgs.cpp

Qt client - fixed reserach label not updated when blinking (no current research set)

See bug #25020


------------------------------------------------------------------------
r33728 | mir3x | 2016-08-31 17:24:32 +0300 (Wed, 31 Aug 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/menu.cpp
   M /trunk/client/gui-qt/menu.h
   M /trunk/client/gui-qt/ratesdlg.cpp
   M /trunk/client/gui-qt/ratesdlg.h

Qt client - Added policies (effect multipliers)
Sumbitted by Marko Lindqvist <cazfi>

See patch #5067


------------------------------------------------------------------------
r33725 | cazfi | 2016-08-29 18:07:40 +0300 (Mon, 29 Aug 2016) | 4 lines
Changed paths:
   M /trunk/ai/default/aihand.c
   M /trunk/client/cityrepdata.c
   M /trunk/client/gui-gtk-2.0/dialogs.c
   M /trunk/client/gui-gtk-3.0/dialogs.c
   M /trunk/client/gui-gtk-3.x/dialogs.c
   M /trunk/client/gui-sdl2/graphics.c
   M /trunk/client/gui-sdl2/mapview.c
   M /trunk/client/gui-sdl2/widget_scrollbar.c
   M /trunk/client/helpdata.c
   M /trunk/client/helpdata.h
   M /trunk/client/tilespec.c
   M /trunk/common/spaceship.c
   M /trunk/common/traderoutes.h
   M /trunk/common/vision.h
   M /trunk/server/advisors/advchoice.h
   M /trunk/server/sanitycheck.c
   M /trunk/utility/bitvector.h
   M /trunk/utility/inputfile.c
   M /trunk/utility/log.c
   M /trunk/utility/mem.h
   M /trunk/utility/shared.c

Added Space between 'while' and '(' in all places where it was still missing.

See patch #7653

------------------------------------------------------------------------
r33723 | mir3x | 2016-08-28 21:13:59 +0300 (Sun, 28 Aug 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/pages.cpp

Qt client - fixed manu in pregame page
Patch by Louis Moureaux <louis94>

See bug #25017


------------------------------------------------------------------------
r33721 | mir3x | 2016-08-28 21:03:37 +0300 (Sun, 28 Aug 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h

Qt client - Use QStackedLayout as main layout

See patch #7656


------------------------------------------------------------------------
r33719 | mir3x | 2016-08-28 20:53:26 +0300 (Sun, 28 Aug 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/Makefile.am
   M /trunk/client/gui-qt/cityrep.cpp
   M /trunk/client/gui-qt/diplodlg.cpp
   M /trunk/client/gui-qt/diplodlg.h
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-qt/mapctrl.cpp
   M /trunk/client/gui-qt/mapview.cpp
   M /trunk/client/gui-qt/mapview.h
   M /trunk/client/gui-qt/messagedlg.cpp
   M /trunk/client/gui-qt/messagewin.cpp
   M /trunk/client/gui-qt/pages.cpp
   M /trunk/client/gui-qt/plrdlg.cpp
   M /trunk/client/gui-qt/repodlgs.cpp
   A /trunk/client/gui-qt/sidebar.cpp
   A /trunk/client/gui-qt/sidebar.h
   M /trunk/client/gui-qt/spaceshipdlg.cpp
   M /trunk/client/options.c
   M /trunk/client/options.h
   A /trunk/data/graphics/qt-icons
   A /trunk/data/graphics/qt-icons/map.kra
   A /trunk/data/graphics/qt-icons/nations.kra
   A /trunk/data/graphics/qt-icons/units.kra
   M /trunk/data/themes/gui-qt/icons/Makefile.am
   A /trunk/data/themes/gui-qt/icons/cities.png
   A /trunk/data/themes/gui-qt/icons/economy.png
   A /trunk/data/themes/gui-qt/icons/endturn.png
   A /trunk/data/themes/gui-qt/icons/nations.png
   A /trunk/data/themes/gui-qt/icons/research.png
   A /trunk/data/themes/gui-qt/icons/units.png
   A /trunk/data/themes/gui-qt/icons/view.png

Qt client - added sidebar

See patch #7617


------------------------------------------------------------------------
r33716 | cazfi | 2016-08-28 13:45:59 +0300 (Sun, 28 Aug 2016) | 4 lines
Changed paths:
   M /trunk/windows/installer_msys2/Makefile

Use arch-specific nsi file names when building msys2 based Windows Installers.

See patch #7658

------------------------------------------------------------------------
r33714 | mir3x | 2016-08-26 15:41:36 +0300 (Fri, 26 Aug 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/pages.cpp

List only latest version of the scenario in Qt-client
Sumbitted by Marko Lindqvist <cazfi>

See patch #7086


------------------------------------------------------------------------
r33712 | cazfi | 2016-08-26 09:50:08 +0300 (Fri, 26 Aug 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruleutil/rulesave.c

Do not save items marked removed to the ruleset.

See bug #25008

------------------------------------------------------------------------
r33710 | mir3x | 2016-08-25 23:44:36 +0300 (Thu, 25 Aug 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/chatline.cpp
   M /trunk/client/gui-qt/chatline.h
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/pages.cpp

Qt client - Factor chat input out of fc_client
Patch by Louis Moureaux <louis94>

See patch #7647


------------------------------------------------------------------------
r33707 | cazfi | 2016-08-25 09:51:30 +0300 (Thu, 25 Aug 2016) | 4 lines
Changed paths:
   M /trunk/data/wonders/mausoleum_of_halicarnassus.png
   M /trunk/data/wonders/temple_of_artemis.png

Added frame to large icons of Tample of Artemis and Mausoleum of Halicarnassus.

See bug #25009

------------------------------------------------------------------------
r33704 | cazfi | 2016-08-25 09:30:43 +0300 (Thu, 25 Aug 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/pages.c
   M /trunk/client/gui-gtk-3.x/pages.c

Corrected "Choose a Scenario" label placement in gtk3-clients

Reported by Jacob Nevins <jtn>

See bug #24882

------------------------------------------------------------------------
r33702 | cazfi | 2016-08-25 08:33:14 +0300 (Thu, 25 Aug 2016) | 4 lines
Changed paths:
   M /trunk/windows/installer_msys2/Makefile

Updated msys2 ruledit dll list to match environment 160821.

See patch #7652

------------------------------------------------------------------------
r33701 | mir3x | 2016-08-24 16:35:06 +0300 (Wed, 24 Aug 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/helpdlg.cpp
   M /trunk/client/gui-qt/helpdlg.h

Qt client - updated help dialog

See patch #7633


------------------------------------------------------------------------
r33699 | mir3x | 2016-08-24 16:31:30 +0300 (Wed, 24 Aug 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/chatline.cpp
   M /trunk/client/gui-qt/chatline.h
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/listener.h
   M /trunk/client/gui-qt/pages.cpp

Qt client - use helper<> to propagate output_window_append
Patch by Louis Moureaux <louis94>

See patch #7491


------------------------------------------------------------------------
r33696 | cazfi | 2016-08-24 10:49:46 +0300 (Wed, 24 Aug 2016) | 2 lines
Changed paths:
   M /trunk/translations/core/POTFILES.in
   M /trunk/translations/nations/POTFILES.skip
   M /trunk/translations/ruledit/POTFILES.skip

Updated POTFILES

------------------------------------------------------------------------
r33695 | cazfi | 2016-08-24 10:43:34 +0300 (Wed, 24 Aug 2016) | 4 lines
Changed paths:
   M /trunk/common/unittype.c
   M /trunk/common/unittype.h
   M /trunk/tools/ruledit/tab_misc.cpp
   M /trunk/tools/ruledit/univ_value.c
   M /trunk/tools/ruleutil/rulesave.c

Added value editing for Unit class, Output type, and Good requirement types.

See patch #7646

------------------------------------------------------------------------
r33692 | cazfi | 2016-08-24 09:37:12 +0300 (Wed, 24 Aug 2016) | 4 lines
Changed paths:
   M /trunk/common/fc_types.h

Move end of extern "C" block to the end of the fc_types.h

See bug #25007

------------------------------------------------------------------------
r33691 | cazfi | 2016-08-24 08:11:52 +0300 (Wed, 24 Aug 2016) | 4 lines
Changed paths:
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset

Made civ/2 traderoutes bidirectional.

See patch #7648

------------------------------------------------------------------------
r33690 | cazfi | 2016-08-24 07:59:53 +0300 (Wed, 24 Aug 2016) | 4 lines
Changed paths:
   M /trunk/configure.ac

Show result to thread implementation configure test when it's tinycthread.

See bug #25006

------------------------------------------------------------------------
r33689 | cazfi | 2016-08-23 20:08:08 +0300 (Tue, 23 Aug 2016) | 4 lines
Changed paths:
   M /trunk/ai/default/aitools.c
   M /trunk/client/cityrepdata.c
   M /trunk/client/client_main.c
   M /trunk/client/control.c
   M /trunk/client/gui-gtk-2.0/citydlg.c
   M /trunk/client/gui-gtk-2.0/cityrep.c
   M /trunk/client/gui-gtk-2.0/colors.c
   M /trunk/client/gui-gtk-2.0/gamedlgs.c
   M /trunk/client/gui-gtk-2.0/gui_main.c
   M /trunk/client/gui-gtk-2.0/helpdlg.c
   M /trunk/client/gui-gtk-2.0/mapctrl.c
   M /trunk/client/gui-gtk-2.0/spaceshipdlg.c
   M /trunk/client/gui-gtk-3.0/citydlg.c
   M /trunk/client/gui-gtk-3.0/cityrep.c
   M /trunk/client/gui-gtk-3.0/colors.c
   M /trunk/client/gui-gtk-3.0/gui_main.c
   M /trunk/client/gui-gtk-3.0/helpdlg.c
   M /trunk/client/gui-gtk-3.0/mapctrl.c
   M /trunk/client/gui-gtk-3.0/spaceshipdlg.c
   M /trunk/client/gui-gtk-3.x/citydlg.c
   M /trunk/client/gui-gtk-3.x/cityrep.c
   M /trunk/client/gui-gtk-3.x/colors.c
   M /trunk/client/gui-gtk-3.x/gui_main.c
   M /trunk/client/gui-gtk-3.x/helpdlg.c
   M /trunk/client/gui-gtk-3.x/mapctrl.c
   M /trunk/client/gui-gtk-3.x/spaceshipdlg.c
   M /trunk/client/gui-qt/cityrep.cpp
   M /trunk/client/gui-qt/dialogs.cpp
   M /trunk/client/gui-qt/plrdlg.cpp
   M /trunk/client/gui-qt/sprite.cpp
   M /trunk/client/gui-sdl2/citydlg.c
   M /trunk/client/gui-sdl2/graphics.h
   M /trunk/client/gui-sdl2/gui_tilespec.c
   M /trunk/client/gui-sdl2/menu.c
   M /trunk/client/helpdata.c
   M /trunk/client/packhand.c
   M /trunk/common/capstr.c
   M /trunk/common/networking/connection.c
   M /trunk/common/networking/packets.c
   M /trunk/common/unittype.c
   M /trunk/m4/readline.m4
   M /trunk/server/advisors/autoexplorer.c
   M /trunk/server/civserver.c
   M /trunk/server/generator/mapgen.c
   M /trunk/server/legacysave.c
   M /trunk/server/rssanity.c
   M /trunk/server/ruleset.c
   M /trunk/server/sernet.c
   M /trunk/server/stdinhand.c
   M /trunk/server/unittools.c
   M /trunk/translations/core/check_po.pl
   M /trunk/utility/rand.c

Added Space between 'if' and '(' in all places where it was still missing.

See patch #7640

------------------------------------------------------------------------
r33687 | cazfi | 2016-08-23 20:02:27 +0300 (Tue, 23 Aug 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2
   M /trunk/windows/installer_msys2/Makefile

Updated msys2 environment to 160821 level.

See patch #7547

------------------------------------------------------------------------
r33686 | sveinung | 2016-08-23 14:08:13 +0300 (Tue, 23 Aug 2016) | 12 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/menu.c
   M /trunk/client/gui-gtk-3.x/menu.c
   M /trunk/data/gtk3_menus.xml
   M /trunk/data/gtk3x_menus.xml

Gtk 3 clients: add the "Go to and..." menu.

Make it work like the Qt client's "Go to and..." menu for now. The user
selects the action before clicking on the map. No checks for action legality
are performed. This allows the player to order an action that will become
legal before the unit reaches the target tile. Example: join the city that
will be built at the target tile next turn.

Implementing a more beginner friendly alternative UI like the one suggested
in bug #16905 has been left for later.

See patch #7644
------------------------------------------------------------------------
r33680 | jtn | 2016-08-23 11:04:16 +0300 (Tue, 23 Aug 2016) | 7 lines
Changed paths:
   M /trunk/common/spaceship.c
   M /trunk/common/spaceship.h

It was possible to launch an unconnected spaceship.

Fix typo in space structurals connectivity data.

Reported and diagnosed by log65536@gna.

See gna bug #24979.
------------------------------------------------------------------------
r33679 | jtn | 2016-08-23 11:04:12 +0300 (Tue, 23 Aug 2016) | 5 lines
Changed paths:
   M /trunk/data/nation/texan.ruleset

Remove duplicate city "Orange" from texan.ruleset.

Reported by Sam Sam (uruiamme@gna).

See gna bug #25003.
------------------------------------------------------------------------
r33678 | jtn | 2016-08-23 11:04:07 +0300 (Tue, 23 Aug 2016) | 8 lines
Changed paths:
   M /trunk/data/misc/events.png
   M /trunk/data/misc/events.spec

Updated event icons.

Now covers almost all 3.0.x events.

Artwork and most spec updates by GriffonSpade on the forum, spec tweaks
for trunk by me.

See gna patch #7639.
------------------------------------------------------------------------
r33677 | cazfi | 2016-08-23 09:09:29 +0300 (Tue, 23 Aug 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruledit/Makefile.am
   M /trunk/tools/ruledit/ruledit_qt.cpp
   M /trunk/tools/ruledit/ruledit_qt.h
   A /trunk/tools/ruledit/tab_gov.cpp
   A /trunk/tools/ruledit/tab_gov.h
   M /trunk/tools/ruledit/validity.c
   M /trunk/tools/ruledit/validity.h

Added governments tab to ruledit

See patch #7628

------------------------------------------------------------------------
r33675 | sveinung | 2016-08-23 05:45:04 +0300 (Tue, 23 Aug 2016) | 8 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/unitselect.c
   M /trunk/client/gui-gtk-3.0/unitselect.h
   M /trunk/client/gui-gtk-3.0/unitselunitdlg.c
   M /trunk/client/gui-gtk-3.x/unitselect.c
   M /trunk/client/gui-gtk-3.x/unitselect.h
   M /trunk/client/gui-gtk-3.x/unitselunitdlg.c

Gtk 3 clients: standardize unit selection text.

Standardize on the unit selection dialog's unit description text in unit
selection text items. Use it in the transport dialog and in the action
selection dialog's unit target switcher. (The last two both use the unit
selects unit dialog) This gives them information like home city.

See patch #7643
------------------------------------------------------------------------
r33674 | sveinung | 2016-08-23 05:44:36 +0300 (Tue, 23 Aug 2016) | 3 lines
Changed paths:
   M /trunk/client/control.c

Beginner help for "Drop Paratrooper".

See patch #7642
------------------------------------------------------------------------
r33673 | mir3x | 2016-08-22 23:49:50 +0300 (Mon, 22 Aug 2016) | 5 lines
Changed paths:
   M /trunk/client/gui-qt/fc_client.cpp

Disable/Enable QSocketNotifier on Windows only.

See bug #24909


------------------------------------------------------------------------
r33670 | cazfi | 2016-08-22 23:39:08 +0300 (Mon, 22 Aug 2016) | 4 lines
Changed paths:
   M /trunk/tools/download.c
   M /trunk/tools/download.h

Changed modpack download description file suffix from ".modpack" to ".mpdl"

See patch #7641

------------------------------------------------------------------------
r33668 | cazfi | 2016-08-22 21:10:08 +0300 (Mon, 22 Aug 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruledit/req_edit.cpp

Req_edit shows good description as constructed by req_text_insert() when ever it's available.

See patch #7626

------------------------------------------------------------------------
r33667 | cazfi | 2016-08-22 13:45:19 +0300 (Mon, 22 Aug 2016) | 4 lines
Changed paths:
   M /trunk/common/terrain.c
   M /trunk/common/terrain.h
   M /trunk/tools/ruledit/tab_misc.cpp
   M /trunk/tools/ruledit/univ_value.c

Added value editing for Terrain, Nation, and Unit type requirement types.

See patch #7638

------------------------------------------------------------------------
r33666 | cazfi | 2016-08-22 09:56:06 +0300 (Mon, 22 Aug 2016) | 4 lines
Changed paths:
   M /trunk/data/ruledit/comments.txt

Corrected escaping of comments.txt

See bug #24999

------------------------------------------------------------------------
r33665 | sveinung | 2016-08-21 13:11:55 +0300 (Sun, 21 Aug 2016) | 12 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/actions.h
   M /trunk/common/game.h
   M /trunk/data/alien/game.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/stub/game.ruleset
   M /trunk/data/webperimental/game.ruleset
   M /trunk/fc_version
   M /trunk/server/rssanity.c
   M /trunk/server/ruleset.c
   M /trunk/tools/ruleutil/rulesave.c

Support unlimited action max distance.

Allow a ruleset to specify that the entire map is a valid target of an
action rather than having to define a max_distance value large enough to
cover the biggest possible maps. This way the action will be able to cover
the entire map after the next time the map size increases.

Unlimited max distance is represented by the string "unlimited" in the
ruleset format and by the new special value ACTION_DISTANCE_UNLIMITED
internally.

See patch #7635
------------------------------------------------------------------------
r33664 | sveinung | 2016-08-21 12:58:07 +0300 (Sun, 21 Aug 2016) | 21 lines
Changed paths:
   M /trunk/common/actions.c

Fix action distance validation in Freeciv-web.

The "Paradrop Unit" action limits its distance to target tile via each unit
type's field paratroopers_range. The maximum distance of the "Paradrop Unit"
action was therefore set to the UNIT_MAX_PARADROP_RANGE, the highest value
the paratroopers_range field can have. UNIT_MAX_PARADROP_RANGE comes from
paratroopers_range being transferred as an unit16 in the network protocol.

Freeciv-web builds have different max map size constants. This influences
the maximum legal action max_distance so UNIT_MAX_PARADROP_RANGE becomes too
large.

(This limits what rulesets a Freeciv-web build can load. Maybe we should
find another way to limit the map size on http://play.freeciv.org? A general
"the server operator forbids the following server settings" system could
also be used by regular public Freeciv server operators.)

Set max distance for ACTION_PARADROP to the highest value it can have. The
unit type's paratroopers_range will still limit it.

See bug #24987
------------------------------------------------------------------------
r33663 | sveinung | 2016-08-21 12:57:25 +0300 (Sun, 21 Aug 2016) | 9 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/map.h
   M /trunk/server/rssanity.c

Fix airlifting over huge distances legality.

Airlifting from any city to any city should be allowed according to the old
rules. When "Airlift Unit" became action enabler controlled it got
MAP_MAX_LINEAR_SIZE as its maximum distance. It was assumed to cover the
whole map. The assumption was wrong. A map can be non wrapping. It can also
forbid some diagonal movement.

See bug #24997
------------------------------------------------------------------------
r33661 | cazfi | 2016-08-21 10:16:42 +0300 (Sun, 21 Aug 2016) | 6 lines
Changed paths:
   M /trunk/data/themes/gui-gtk-2.0/Freeciv/gtk-2.0/bg.png
   M /trunk/data/themes/gui-gtk-3.0/Freeciv/gtk-3.0/bg.png
   M /trunk/data/themes/gui-gtk-3.x/Freeciv/gtk-3.0/bg.png

Improved compressions of bg.png

Patch by Frank <dunnoob>

See patch #7630

------------------------------------------------------------------------
r33658 | cazfi | 2016-08-21 10:05:23 +0300 (Sun, 21 Aug 2016) | 4 lines
Changed paths:
   M /trunk/server/cityturn.c

Removed city_change_size() assert causing compiler warning.

See patch #7634

------------------------------------------------------------------------
r33656 | cazfi | 2016-08-21 07:40:33 +0300 (Sun, 21 Aug 2016) | 7 lines
Changed paths:
   M /trunk/client/gui-gtk-3.0/gui_main.c
   M /trunk/client/gui-gtk-3.x/gui_main.c

Made gtk3-clients "Arrange Widgets for Small Display" initial default DISABLED
on big screens, when possible.

Requested by Christian Knoke <chrisk>

See bug #23988

------------------------------------------------------------------------
r33653 | cazfi | 2016-08-20 19:55:16 +0300 (Sat, 20 Aug 2016) | 6 lines
Changed paths:
   M /trunk/client/client_main.c
   M /trunk/client/client_main.h
   M /trunk/client/gui-gtk-2.0/gui_main.c
   M /trunk/client/gui-gtk-3.0/gui_main.c
   M /trunk/client/gui-gtk-3.x/gui_main.c
   M /trunk/client/gui-qt/gui_main.cpp
   M /trunk/client/gui-sdl2/gui_main.c
   M /trunk/client/gui-stub/gui_main.c

Do not start menu music when the client leaves game with purpose to quit completely.

Reported by Jacob Nevins <jtn>

See bug #24844

------------------------------------------------------------------------
r33652 | cazfi | 2016-08-20 16:14:54 +0300 (Sat, 20 Aug 2016) | 4 lines
Changed paths:
   M /trunk/common/networking/packets.def
   M /trunk/common/traderoutes.c
   M /trunk/common/traderoutes.h
   M /trunk/data/alien/game.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/ruledit/comments.txt
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/stub/game.ruleset
   M /trunk/fc_version
   M /trunk/server/ruleset.c
   M /trunk/server/unithand.c

Added support for "Bidirectional" goods flag.

See patch #7619

------------------------------------------------------------------------
r33651 | cazfi | 2016-08-20 15:56:58 +0300 (Sat, 20 Aug 2016) | 5 lines
Changed paths:
   M /trunk/windows/Makefile.am
   D /trunk/windows/installer
   A /trunk/windows/installer_legacy (from /trunk/windows/installer:33650)

Dropped msys1 based Windows Installer files from the tarball.
Renamed directory still containing them in svn as 'installer_legacy'

See patch #7631

------------------------------------------------------------------------
r33650 | cazfi | 2016-08-20 09:26:44 +0300 (Sat, 20 Aug 2016) | 4 lines
Changed paths:
   M /trunk/tools/ruledit/univ_value.c

Added improvement requirement type value editing.

See patch #7627

------------------------------------------------------------------------
r33649 | cazfi | 2016-08-19 22:26:57 +0300 (Fri, 19 Aug 2016) | 4 lines
Changed paths:
   M /trunk/data/alio.tilespec
   M /trunk/data/hexemplio/Makefile.am
   A /trunk/data/hexemplio/activities.png
   A /trunk/data/hexemplio/activities.spec
   M /trunk/data/hexemplio/unitextras.png
   M /trunk/data/hexemplio/unitextras.spec
   M /trunk/data/hexemplio.tilespec
   M /trunk/data/toonhex.tilespec

Updated hexemplio actions icons from ampliohexbig-2.6.00

See patch #7618

------------------------------------------------------------------------
r33647 | cazfi | 2016-08-19 21:35:58 +0300 (Fri, 19 Aug 2016) | 4 lines
Changed paths:
   M /trunk/common/networking/packets.def

Typofix ACHIEVMENT_TYPE -> ACHIEVEMENT_TYPE

See patch #7623

------------------------------------------------------------------------
r33646 | cazfi | 2016-08-19 21:15:15 +0300 (Fri, 19 Aug 2016) | 5 lines
Changed paths:
   M /trunk/common/fc_types.h
   M /trunk/common/networking/packets.def
   M /trunk/data/alien/game.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/stub/game.ruleset
   M /trunk/fc_version
   M /trunk/server/ruleset.c
   M /trunk/server/unithand.c
   M /trunk/server/unittools.c

Added ruleset option to control whether trade route goods are selected when caravan
is built, or when it arrives to the destination.

See patch #7622

------------------------------------------------------------------------
r33644 | cazfi | 2016-08-19 10:49:49 +0300 (Fri, 19 Aug 2016) | 4 lines
Changed paths:
   M /trunk/doc/README.msys2
   M /trunk/windows/installer_msys2/Makefile

Fixed building of msys2 based gtk2-client Installer for Windows.

See patch #7621

------------------------------------------------------------------------
r33643 | sveinung | 2016-08-19 04:24:38 +0300 (Fri, 19 Aug 2016) | 8 lines
Changed paths:
   M /trunk/data/webperimental/game.ruleset
   M /trunk/data/webperimental/units.ruleset

webperimental: weaken Battleship vs bomber plane.

Battleships now has the ability bombard 3 tiles away. Make it easier to
defend against them.

Halve a Battleship's defense when attacked by a Bomber or a Stealth Bomber.

See patch #7620
------------------------------------------------------------------------
r33641 | cazfi | 2016-08-18 11:44:35 +0300 (Thu, 18 Aug 2016) | 4 lines
Changed paths:
   M /trunk/common/government.c
   M /trunk/common/government.h
   M /trunk/tools/ruledit/tab_misc.cpp
   M /trunk/tools/ruledit/univ_value.c

Added government requirement type value editing.

See patch #7615

------------------------------------------------------------------------
r33638 | cazfi | 2016-08-18 08:37:50 +0300 (Thu, 18 Aug 2016) | 4 lines
Changed paths:
   M /trunk/server/maphand.c

Make sure illegal border claims are cleared after a tile has transformed from land to ocean.

See bug #23179

------------------------------------------------------------------------
r33637 | cazfi | 2016-08-17 21:25:53 +0300 (Wed, 17 Aug 2016) | 4 lines
Changed paths:
   M /trunk/client/packhand.c
   M /trunk/common/networking/packets.def
   M /trunk/common/traderoutes.c
   M /trunk/common/traderoutes.h
   M /trunk/common/unit.c
   M /trunk/common/unit.h
   M /trunk/fc_version
   M /trunk/server/savegame3.c
   M /trunk/server/unithand.c
   M /trunk/server/unittools.c
   M /trunk/server/unittools.h

Keep information about carried good in unit structure.

See patch #7600

------------------------------------------------------------------------
r33635 | cazfi | 2016-08-17 20:51:55 +0300 (Wed, 17 Aug 2016) | 4 lines
Changed paths:
   M /trunk/server/civserver.c

Fixed double free of option of commandline parameter '-D'

See bug #24977

------------------------------------------------------------------------
r33634 | cazfi | 2016-08-17 12:23:24 +0300 (Wed, 17 Aug 2016) | 7 lines
Changed paths:
   M /trunk/windows/installer_msys2/Makefile

Use tinycthread threading in Windows Installer builds.

This has knock-on effect that as requirements for threaded AI module are thus fulfilled,
it gets built in.

See patch #7503

------------------------------------------------------------------------
r33633 | cazfi | 2016-08-17 10:26:31 +0300 (Wed, 17 Aug 2016) | 6 lines
Changed paths:
   M /trunk/common/game.h
   M /trunk/common/networking/packets.def
   M /trunk/common/traderoutes.c
   M /trunk/fc_version
   M /trunk/server/settings.c

Added server setting to adjust how world size affects distance based trade bonuses.

Requested by Jacob Nevins <jtn>

See patch #6884

------------------------------------------------------------------------
r33632 | cazfi | 2016-08-17 10:08:04 +0300 (Wed, 17 Aug 2016) | 4 lines
Changed paths:
   M /trunk/client/helpdata.c
   M /trunk/common/Makefile.am
   A /trunk/common/reqtext.c
   A /trunk/common/reqtext.h

Moved requirement description text construction to new reqtext.[ch] module under common/

See patch #7610

------------------------------------------------------------------------
r33631 | sveinung | 2016-08-16 20:56:44 +0300 (Tue, 16 Aug 2016) | 10 lines
Changed paths:
   M /trunk/data/webperimental/game.ruleset

webperimental: spread the start units by default.

Set the dispersion server setting to 2 by default.

Dispersing the start units, together with patch #7543 and patch #7587, gives
a Webperimental game a distinct visual first impression. The different look
of the game start helps to communicate that the Webperimental rules really
are different from the Classic rules.

See patch #7606
------------------------------------------------------------------------
r33630 | sveinung | 2016-08-16 20:56:18 +0300 (Tue, 16 Aug 2016) | 11 lines
Changed paths:
   M /trunk/data/webperimental/game.ruleset
   M /trunk/data/webperimental/units.ruleset

webperimental: introduce bombardment.

Give the Howitzer and the Battleship the ability to bombard. Set the max
range of the "Bombard" action to 3. That is further away than their vision
range. The idea is to simulate how they, with the help of a scout, can
attack targets beyond the horizon.

Bombardment doesn't replace regular attacks. Freeciv bombardment can't kill.
A Battleship is able to sink another ship.

See patch #7607
------------------------------------------------------------------------
r33629 | sveinung | 2016-08-16 20:55:52 +0300 (Tue, 16 Aug 2016) | 10 lines
Changed paths:
   M /trunk/common/actions.c
   M /trunk/common/game.h
   M /trunk/data/alien/game.ruleset
   M /trunk/data/civ1/game.ruleset
   M /trunk/data/civ2/game.ruleset
   M /trunk/data/civ2civ3/game.ruleset
   M /trunk/data/classic/game.ruleset
   M /trunk/data/experimental/game.ruleset
   M /trunk/data/multiplayer/game.ruleset
   M /trunk/data/sandbox/game.ruleset
   M /trunk/data/stub/game.ruleset
   M /trunk/data/webperimental/game.ruleset
   M /trunk/doc/README.actions
   M /trunk/server/ruleset.c
   M /trunk/server/unithand.c
   M /trunk/tools/ruleutil/rulesave.c

Support distant bombardment.

Allow the rulset to set the maximum distance "Bombard" can be performed from
via bombard_max_range. This sets the max range for all bombardment. No per
unit type granularity is supported. Generalized actions will allow defining
many "Bombard" actions with different ranges. If the same flexibility is
needed before generalized actions are done a new bombardment action can be
defined.

See patch #7604
------------------------------------------------------------------------
r33628 | sveinung | 2016-08-16 20:55:14 +0300 (Tue, 16 Aug 2016) | 3 lines
Changed paths:
   M /trunk/server/rssanity.c

Sanity check action distance range.

See patch #7605
------------------------------------------------------------------------
r33627 | sveinung | 2016-08-16 20:54:48 +0300 (Tue, 16 Aug 2016) | 6 lines
Changed paths:
   M /trunk/server/unithand.c
   M /trunk/server/unittools.c
   M /trunk/server/unittools.h

Stop handling bombardment in unit_versus_unit().

Factor out bombardment handling from the regular attack handling in
unit_versus_unit(). Put it in the new function unit_bombs_unit().

See patch #7603
------------------------------------------------------------------------
r33626 | sveinung | 2016-08-16 20:54:18 +0300 (Tue, 16 Aug 2016) | 11 lines
Changed paths:
   M /trunk/ai/default/daieffects.c
   M /trunk/common/effects.h
   M /trunk/data/alien/effects.ruleset
   M /trunk/data/alien/nation_effects.ruleset
   M /trunk/data/civ1/effects.ruleset
   M /trunk/data/civ2/effects.ruleset
   M /trunk/data/civ2civ3/effects.ruleset
   M /trunk/data/classic/effects.ruleset
   M /trunk/data/experimental/effects.ruleset
   M /trunk/data/multiplayer/effects.ruleset
   M /trunk/data/sandbox/effects.ruleset
   M /trunk/data/webperimental/effects.ruleset
   M /trunk/doc/README.effects
   M /trunk/fc_version
   M /trunk/server/diplomats.c
   M /trunk/server/rscompat.c

Split the Spy_Resisant effect.

Move the protection against building sabotage to the new
Building_Saboteur_Resistant effect.

Assumes that the DiplomatDefense base flag will start working inside cities
in 2.6. If bug #24956 isn't fixed the ruleset upgrade code must change.

Requested by Marko Lindqvist <cazfi>

See bug #24956
------------------------------------------------------------------------
r33625 | mir3x | 2016-08-16 18:43:49 +0300 (Tue, 16 Aug 2016) | 6 lines
Changed paths:
   M /trunk/client/gui-qt/Makefile.am
   A /trunk/client/gui-qt/listener.h

Qt client - add class to ease wrapping the C API
Patch by Louis Moureaux <louis94>

See patch #7490


------------------------------------------------------------------------
r33623 | mir3x | 2016-08-16 18:31:27 +0300 (Tue, 16 Aug 2016) | 7 lines
Changed paths:
   M /trunk/client/gui-qt/chatline.cpp
   M /trunk/client/gui-qt/chatline.h
   M /trunk/client/gui-qt/fc_client.cpp
   M /trunk/client/gui-qt/fc_client.h
   M /trunk/client/gui-qt/pages.cpp

Qt client - fixed version message not shown at Qt-client
Reported by Marko Lindqvist <cazfi>
Patch by Louis Moureaux <louis94>

See bug #24935


------------------------------------------------------------------------
r33618 | cazfi | 2016-08-16 16:31:18 +0300 (Tue, 16 Aug 2016) | 4 lines
Changed paths:
   M /trunk/data/hexemplio/bases.png
   M /trunk/data/hexemplio/bases.spec

Updated hexemplio bases graphics to ones from ampliohexbig-2.6.00

See patch #7608

------------------------------------------------------------------------
r33616 | cazfi | 2016-08-16 12:33:27 +0300 (Tue, 16 Aug 2016) | 7 lines
Changed paths:
   M /trunk/common/aicore/pf_tools.c

Always use fuel map in pathfinding when unit type uses fuel.

This avoids related assertion failures and crashes, but does not teach AI
not to lose units to out-of-fuel when it assumes that unit of that kind should have no fuel

See bug #24820

------------------------------------------------------------------------
